Welcome

This page links you to product and user information for the Keysight N7621B Signal Studio for Multitone Distortion software.

Technical Overview

Web Page

Free Trial

Installation

Licensing

Using the Software

Release Notes

Help compiled on Wednesday, May 25, 2016 - get the latest revision

© Keysight Technologies, Inc. 2007-2016


Installation

Internal Arb Systems (PSG, MXG, EXG, or ESG)

External Arb Systems (M8190A, N603xA, M933xA, or N824xA)

Internal Arb Systems

(PSG, MXG, EXG, or ESG)

From the Internet

If you are downloading and installing the Signal Studio software from the Internet, verify or perform each step of the installation procedure in the order shown below.

1. | System Requirements | Verify that your hardware and PC meet the requirements.
2. | .NET Framework | Download and install the .NET framework (version 4.0) onto your PC.
4. | Keysight IO Libraries | Download and install Keysight IO Libraries Suite 16.2 or later onto your PC.
7. | Signal Studio Software | Download and install the N7621B Signal Studio for Multitone Distortion software.
8. | Equipment Setup | Determine the IO interface, configure the equipment and connect the PC.
9. | Testing Connections | Check that the software communicates with the signal generator and spectrum/signal analyzer.

From the Signal Studio DVD

The Signal Studio DVD automates much of the installation process for internal Arb systems. To install the software from the DVD, do the following:

  1. Perform step 1 above.

  2. Insert the DVD and follow the prompts.

  3. Perform steps 8 and 9 above.

External Arb Systems
(M8190A, N603xA, M933xA, or N824xA)

Performing these installation steps in the proper sequence is especially important when you are using an external arbitrary waveform generator.

From the Internet

If you are downloading and installing the Signal Studio software from the Internet, verify or perform each step of the installation procedure in the order shown below.

1. | System Requirements | Verify that your hardware and PC meet the requirements.
2. | .NET Framework | Download and install the .NET framework (version 4.0) onto your PC.
3. | IVI Compliance Package 4.1 | Download and install IVI Compliance Package 4.1 (N603xA, M933xA, or N824xA only)
4. | Keysight IO Libraries | Download and install Keysight IO Libraries Suite 16.2 or later onto your PC.
5. | External Arbitrary Waveform Generator Software | Install the M8190A, N603xA/M933xA, or N824xA software packages onto your PC.
6. | NI PXI Embedded Controller | Configure the National Instruments PXI embedded controller to support the N603xA/M933xA arbitrary waveform generator with the Multitone Distortion software.
7. | Signal Studio Software | Download and install the N7621B Signal Studio for Multitone Distortion software.
8. | Equipment Setup | Determine the IO interface, configure the equipment and connect the PC.
9. | Testing Connections | Check that the software communicates with the arbitrary waveform generator, signal generator, and spectrum/signal analyzer.

From the Signal Studio DVD

For external Arb systems, you can use the Signal Studio DVD to install the Signal Studio software only. To install the software from the DVD, do the following:

  1. Perform steps 1 through 6 above.

  2. Insert the DVD and follow the prompts.

  3. Perform steps 8 and 9 above.


Requirements

Step 1 - System Requirements

Installation Steps: 1 2 3 4 5 6 7 8 9

In order for the N7621B Signal Studio for Multitone Distortion software to generate multitone and noise power ratio (NPR) signals, you must have a properly configured PC and properly configured signal generation hardware, all of which meet the system requirements. Signal generation hardware includes a vector signal generator, an arbitrary waveform generator (AWG), and a spectrum or signal analyzer (to correct RF flatness, and to reduce intermodulation distortion (IMD) products). The signal generator is selected based on the desired frequency coverage and I/Q modulation bandwidth: internal I/Q, external I/Q, or wideband I/Q.

The analyzer is used for correction measurements. The N7621B software supports the entire family of Keysight PSA, UXA, PXA, and MXA analyzers. The analyzer is chosen for its frequency coverage and performance. The software also supports the ESA and EXA analyzer for corrections; however, the performance is not guaranteed. The N7621B can also use the N8201A Option H02 Synthetic Down-Converter.

In configurations that use an MXA/PXA signal analyzer, the N7621B Signal Studio for Multitone Distortion software turns off the signal analyzer's Auto Align feature to prevent the possibility of long communication delays during alignment. This is the recommended setting while the Multitone Distortion software is running. If you need to align your MXA/PXA, you can perform a manual alignment (Align Now), but understand that the software cannot communicate with the instrument during the alignment.

PC Requirements

100 GB HDD with 2 GB free disk space at runtime (5 GB or higher recommended)

1024 x 768 screen resolution (1280 x 1024 recommended)

Windows XP Service Pack 3 or later (Professional)

  • 2 GHz Pentium 4 or higher (recommended)

  • 1.0 GB of memory or higher

  • 1.5 GB hard disk space (includes 1 GB for Microsoft .NET Framework and 65 MB for the Keysight IO Libraries)

  • Microsoft .Net Framework 3.5 and 4.0

  • Keysight IO Libraries, version 16.2 or later (installed in Step 4)

Windows 7 (64 bit) Service Pack 1

  • 2 GHz Pentium 4 or higher (recommended)

  • 8.0 GB of memory or higher

  • 1.5 GB hard disk space (includes 1 GB for Microsoft .NET Framework and 65 MB for the Keysight IO Libraries)

  • Microsoft .Net Framework 3.5 and 4.0

  • Keysight IO Libraries, version 16.2 or later (installed in Step 4)

Installed GPIB IO interface card, LAN interface card, or USB/GPIB interface connector

National Instrument GPIB interface card users must install the National Instruments library. (Keysight IO Libraries will cover NI driver.)

Keysight VISA

Microsoft Windows Installer version 2.0 or later

For systems using the N603xA/M933xA or N824xA Arbitrary Waveform Generators:

IVI Compliance Package, version 4.1 (installed in Step 3)

IVI-C N8241A driver, version 1.31.3 or later (N824xA Arbitrary Waveform Generators – installed in Step 5)

IVI-C M9330A driver, version 2.00.0001 or later (N603xA/M933xA Arbitrary Waveform Generators – installed in Step 5)

Vector Signal Generators

Requirements

E4438C ESG Vector Signal Generator

Firmware revision C.05.70 or later (how to upgrade)

One of the following baseband generator options is required for Internal I/Q:

  • E4438C-001 (internal baseband generator with 8 Msample memory)

  • E4438C-002 (internal baseband generator with 32 Msample memory)

  • E4438C-601 (internal baseband generator with 8 Msample memory and digital bus capability)

  • E4438C-602 (internal baseband generator with 64 Msample memory and digital bus capability, recommended)

Recommended options for all configurations:

  • E4438C-005 (6 GB internal hard drive)

  • E4438C-403 (calibrated AWGN)

  • E4438C-UNB (high output power, mechanical attenuator)

  • E4438C-UNJ (enhanced phase noise performance)

E8267C PSG Vector Signal Generator

Firmware revision C.03.85 or later (how to upgrade)

Required options:

One of the following baseband generator options is required for Internal I/Q:

  • E8267C-001 (internal baseband generator with 8 Msample memory)

  • E8267C-002 (internal baseband generator with 32 Msample memory)

  • E8267C-601 (internal baseband generator with 8 Msample memory and digital bus capability)

  • E8267C-602 (internal baseband generator with 64 Msample memory and digital bus capability, recommended)

The following option is required for Wideband I/Q:

  • E8267C-015 (wideband I/Q inputs, only available above 3.2 GHz)

Recommended options for all configurations:

  • E8267C-005 (6 GB internal hard drive)

  • E8267C-UNR (enhanced phase noise performance)

E8267D PSG Vector Signal Generator

Firmware revision C.06.18 or later (how to upgrade)

One of the following baseband generator options is required for internal IQ:

  • E8267D-601 (internal baseband generator with 8 Msample memory and digital bus capability)

  • E8267D-602 (internal baseband generator with 64 Msample memory and digital bus capability, recommended)

One of the following options is required for Wideband I/Q:

  • E8267D-015 (wideband I/Q inputs, only available above 3.2 GHz)

  • E8267D-H16 (differential wideband I/Q inputs, only available above 3.2 GHz)

  • E8267D-016 (differential wideband I/Q inputs, only available above 3.2 GHz, preferred)

Recommended options for all configurations:

  • E8267D-005 (6 GB internal hard drive

  • E8267D-1EH (improved harmonics below 2 GHz)

  • E8267D-UNX (ultra-low phase noise, recommended) , or

  • E8267D-UNY (enhanced ultra-low phase noise)

  • E8267D-H18 (wideband IQ below 3.2 GHz)

N5182B MXG Vector Signal Generator

Firmware revision B.01.40 or later (how to upgrade)

One of the following baseband generator options is required for Internal I/Q:

  • N5182B-656 (internal baseband generator, 80 MHz RF bandwidth, 32 Msample memory)

  • N5182B-657 (upgrade baseband generator to 160 MHz RF bandwidth, recommended)

Also required for internal IQ:

  • N5182B-UNV (enhanced dynamic range, required for specified corrected performance)

  • N5182B-1EA (high output power)

Recommended options for all configurations:

  • N5182B-006 (instrument security & removable memory)

  • N5182B-009 (internal solid-state memory)

  • N5182B-022 (upgrade ARB memory to 512 MSa)

  • N5182B-023 (upgrade ARB memory to 1 GSa)

  • N5182B-099 (expanded license key upgradability)

  • N5182B-403 (calibrated AWGN)

  • N5182B-UNW (narrow pulse modulation)

  • N5182B-UNY (enhanced low phase noise)

N5172B EXG Vector Signal Generator

Firmware revision B.01.40 or later (how to upgrade)

One of the following baseband generator options is required for Internal I/Q:

  • N5172B-653 (internal baseband generator, 60 MHz RF bandwidth, 32 Msample memory)

  • N5172B-655 (upgrade baseband generator to 120 MHz RF bandwidth, recommended)

Also required for internal IQ:

  • N5172B-UNV (enhanced dynamic range, required for specified corrected performance)

  • N5172B-1EA (high output power)

Recommended options for all configurations:

  • N5172B-006 (instrument security & removable memory)

  • N5172B-009 (internal solid-state memory)

  • N5172B-021 (upgrade ARB memory to 256 MSa)

  • N5172B-022 (upgrade ARB memory to 512 MSa)

  • N5172B-099 (expanded license key upgradability)

  • N5172B-403 (calibrated AWGN)

  • N5172B-UNW (narrow pulse modulation)

N5182A/N5162A MXG Vector Signal Generator

Firmware revision A.01.86 or later (how to upgrade)

One of the following baseband generator options:

  • N5182A-651(internal baseband generator with 8 Msample memory and digital bus capability)

  • N5182A -652 (internal baseband generator with 8 Msample memory and digital bus capability)

  • N5182A-654 (internal baseband generator with 8 Msample memory and digital bus capability, recommended)

Also required for internal IQ:

  • N5182A-UNV (enhanced dynamic range, required for specified corrected performance)

  • N5182A-1EA (high output power)

Recommended options for all configurations:

  • N5182A-006 (instrument security & removable memory)

  • N5182A-019 (upgrade internal baseband generator memory to 64 MSa)

  • N5182A-099 (expanded license key upgradability)

  • N5182A-403 (calibrated AWGN)

  • N5182A-UNW (narrow pulse modulation)

N8212A Performance Vector Upconverter

Firmware revision C.04.73 or later

Required options:

This option is required for Wideband I/Q:

  • N8212A-016 (differential wideband I/Q inputs)

Recommended options for all configurations:

  • N8212A-UNX (enhanced SSB phase noise)

  • N8212A-UNW (narrow pulse modulation)

Internal I/Q is not supported.

External I/Q and Option 016 are mutually exclusive - they share the same front panel connectors.

Instrument I/O is only available using LAN.

Spectrum/Signal Analyzers

Requirements

PC to Spectrum Analyzer I/O Interface

  • GPIB (Keysight GPIB cards or National Instruments GPIB cards compatible with Keysight I/O Libraries)

  • 10 Base-T LAN (for models that support LAN)

  • Keysight USB-GPIB converter

E444xA PSA Series Spectrum Analyzer

Firmware revision A.11.16 (how to upgrade )

  • E4443A (3 Hz to 6.7 GHz)

  • E4445A (3 Hz to 13.2 GHz)

  • E4440A (3 Hz to 26.5 GHz)

  • E4446A (3 Hz to 44.0 GHz)

  • E4448A (3 Hz to 50.0 GHz)

E44xxB ESA-E Series Spectrum Analyzer

Firmware revision A.14.06 with Option B72 (how to upgrade)

  • E4401B (9 kHz to 1.5 GHz)

  • E4402B (9 kHz to 3.0 GHz)

  • E4404B (9 kHz to 6.7 GHz)

  • E4405B (9 kHz to 13.2 GHz)

  • E4407B (9 kHz to 26.5 GHz)

E44xxB ESA-L Series Spectrum Analyzer

Firmware revision A.14.06 with Option B72 (how to upgrade)

  • E4411B (9 kHz to 1.5 GHz)

  • E4403B (9 kHz to 3.0 GHz)

  • E4408B (9 kHz to 26.5 GHz)

N9010A EXA Signal Analyzer

Firmware revision A.07.06 or later (how to upgrade)

One of the following options:

  • N9010A-503: 9 kHz to 3.6 GHz

  • N9010A-507: 9 kHz to 7.0 GHz

  • N9010A-513: 9 kHz to 13.6 GHz

  • N9010A-526: 9 kHz to 26.5 GHz

  • N9010A-532: 9 kHz to 32 GHz

  • N9010A-544: 9 kHz to 44 GHz

N9020A MXA Signal Analyzer

Firmware revision A.07.06 or later (how to upgrade)

One of the following options:

  • N9020A-503: 20 Hz to 3.6 GHz

  • N9020A-508: 20 Hz to 8.4 GHz

  • N9020A-513: 20 Hz to 13.6 GHz

  • N9020A-526: 20 Hz to 26.5 GHz

N9030A PXA Signal Analyzer

Firmware revision A.07.06 or later (how to upgrade)

One of the following options:

  • N9030A-503: 3 Hz to 3.6 GHz

  • N9030A-508: 3 Hz to 8.4 GHz

  • N9030A-513: 3 Hz to 13.6 GHz

  • N9030A-526: 3 Hz to 26.5 GHz

  • N9030A-543: 3 Hz to 43 GHz

  • N9030A-544: 3 Hz to 44 GHz

  • N9030A-550: 3 Hz to 50 GHz

N9010B EXA Signal Analyzer

Firmware revision A.17.55 or later (how to upgrade)

One of the following options:

  • N9010B-503: 9 kHz to 3.6 GHz

  • N9010B-507: 9 kHz to 7.0 GHz

  • N9010B-513: 9 kHz to 13.6 GHz

  • N9010B-526: 9 kHz to 26.5 GHz

  • N9010B-532: 9 kHz to 32 GHz

  • N9010B-544: 9 kHz to 44 GHz

N9020B MXA Signal Analyzer

Firmware revision A.17.55 or later (how to upgrade)

One of the following options:

  • N9020B-503: 20 Hz to 3.6 GHz

  • N9020B-508: 20 Hz to 8.4 GHz

  • N9020B-513: 20 Hz to 13.6 GHz

  • N9020B-526: 20 Hz to 26.5 GHz

N9030B PXA Signal Analyzer

Firmware revision A.17.55 or later (how to upgrade)

One of the following options:

  • N9030B-503: 3 Hz to 3.6 GHz

  • N9030B-508: 3 Hz to 8.4 GHz

  • N9030B-513: 3 Hz to 13.6 GHz

  • N9030B-526: 3 Hz to 26.5 GHz

  • N9030B-544: 3 Hz to 44 GHz

  • N9030B-550: 3 Hz to 50 GHz

N9040B UXA Signal Analyzer

Firmware revision A.15.09 or later (how to upgrade)

One of the following options:

  • N9040B-508: 3 Hz to 8.4 GHz

  • N9040B-513: 3 Hz to 13.6 GHz

  • N9040B-526: 3 Hz to 26.5 GHz

Arbitrary Waveform Generators

Requirements

M8190A Arbitrary Waveform Generator

Revision 1 hardware (Option B02) is not supported.

Firmware revision 2.4.3.1 or later

  • Keysight IO libraries version 16.2 or later

Required options for Wideband IQ:

  • M8190A-002 (2 channels)

  • M8190A-SEQ (sequencer)

  • M8190A-14B (14-bit, 8 GHz max sample rate), or

  • M8190A-12G (12-bit, 12 GHz max sample rate)

Required options for Wideband IF:

  • M8190A-002 (2 channels)

  • M8190A-SEQ (sequencer)

  • M8190A-14B (14-bit, 8 GHz max sample rate), or

  • M8190A-12G (12-bit, 12 GHz max sample rate)

  • M8190A-DUC (digital upconversion)

Recommended options for all configurations:

  • M8190A-02G (upgrade baseband generator memory from 128 MSample to 2 MSample, recommended)

  • M8190A-AMP (5 GHz analog bandwidth)

  • M8190A-DUC (digital upconversion, required for IF)

N603xA, M933xA Arbitrary Waveform Generators

  • IVI compliance package 4.1 (includes IVI shared components)

  • IVI-C M933xA driver revision 2.00.0001 or later

    Fundamental DLL 3.0.3

Other requirements:

  • To support the N603xA, you must use the M933xA version 2.00.0001 driver

    (firmware version 3.0.3).

  • IVI Compliance Package 4.1 (or greater) (installed in Step 3)

PC to M933xA I/O Interface

  • IVI-C driver using National Instruments MXI PCI to PXI interface card

  • M933xA drivers must be installed and functional

N824xA Arbitrary Waveform Generator

One of the following is required:

  • N8241A-125 (15-bit, 1.25 GS/s sample rate)

  • N8241A-062 (15-bit, 625 MS/s sample rate)

  • N8242A-125 (10-bit, 1.25 GS/s sample rate)

  • N8242A-062 (10-bit, 625 MS/s sample rate)

Other requirements:

  • IVI compliance package 4.1 (includes IVI shared components)

  • IVI-C driver revision 1.31.3 or later

PC to N824xA I/O Interface

  • IVI-C driver using LAN

  • N824xA drivers must be installed and functional


.NET Framework

Step 2 - Downloading and Installing the .NET Framework

Installation Steps: 1 2 3 4 5 6 7 8 9

Ensure you have Microsoft .NET Framework Version 4.0 installed on your PC. If it is already installed, proceed to Installation Step 3. If it is not installed, do the following:

  1. Go to: http://www.microsoft.com/downloads/.

  2. Search the site for .NET Framework 4.0.

  3. Download the Microsoft .NET Framework 4 (Web Installer) and install the software.

    If you get a security exception message when you try to open the software, you can adjust security permissions using the steps below. Consult your system administrator if this does not resolve the problem.

Adjusting Security Settings

To adjust the security setting:

  1. From your PC's Control Panel, click Performance and Maintenance in Category View (or click Switch to Classic View).

  2. Double-click Administrative Tools > Microsoft .NET Framework 4.0 Configuration.

  3. In the tree view of the .NET Configuration 1.1 window, expand the following selections by clicking the [image] box:

    Runtime Security Policy > Machine > Code Groups >All_Code.

  4. If the .NET Framework is installed on a shared network drive, click Local Intranet_Zone.

    If the.NET Framework is installed on your C:\ drive click My_Computer_Zone.

  5. Click Edit Code Group Properties.

  6. Select the Permission Set tab.

  7. From the Permission set drop-down list, select Full Trust.

  8. Click Apply > OK


IVI Compliance Package

Step 3 - Installing the IVI Compliance Package

Installation Steps: 1 2 3 4 5 6 7 8 9

Perform this step only if you are using the N603xA/M933xA or N824xA arbitrary waveform generator. Otherwise, proceed to next step.

Visit www.ni.com to download and install IVI Compliance Package 4.1 (includes the IVI Shared Components).

Only use IVI Compliance Package 4.1. The IVI Shared Components included in other versions may not be compatible with the arbitrary waveform generator drivers installed in step 5.


Keysight IO Libraries

Step 4 - Downloading and Installing the Keysight IO Libraries Suite

Installation Steps: 1 2 3 4 5 6 7 8 9

Keysight IO Libraries Are Installed

Verify that Keysight IO Libraries Suite 16.2 is properly configured for your IO interface connection, then proceed to the next step. (Refer to the IO libraries online help for assistance.)

Keysight IO Libraries Are Not Installed

If you are using GPIB, this procedure assumes that you have installed a GPIB card.

The Keysight IO libraries provide the function calls that enable the PC to properly communicate with instruments. The documentation provided with the IO libraries suite comes in two types: PDF files that you access through your Start menu and the online help. If you experience GPIB connectivity problems, see Interface Problems in the Troubleshooting section.

  1. Download Keysight IO Libraries Suite 16.2 from the following Keysight website, free of charge : http://www.keysight.com/find/iolib.

    After installing the IO Libraries Suite, the Keysight Connection Expert utility should automatically start. In addition, the IO libraries install an Keysight IO Control icon in the Windows notification area on your PC screen.

    The Keysight Connection Expert utility automatically detects most interfaces and instruments that are on, and assigns names and other default configuration settings that you can edit. If you need assistance with the connection expert or the I/O libraries installation, refer to the Keysight IO Libraries Suite Getting Started documentation.

  2. If you require GPIB connectivity and the Keysight Connection Expert does not automatically start, perform the following steps:

    1. Click the Keysight IO Control icon.

    2. Select Keysight Connection Expert from the pop-up menu

    3. Enter in the information necessary to configure the GPIB connection.


Installing the Arb Waveform Generator Software

Step 5 - Installing the External Arbitrary Waveform Generator Software

Installation Steps: 1 2 3 4 5 6 7 8 9

If you are not using the Multitone Distortion software with an external Arb (M8190A, N603xA, M933xA, or N824xA), skip to Step 7.

M8190A Arbitrary Waveform Generator

If you are using Multitone Distortion software with an M8190A arbitrary waveform generator be sure that the M8190A firmware version 2.4.3.1 or later is installed and functional on the AXIe embedded controller or on the PC that is physically connected to the M8190A hardware.

M8190A Arbitrary Waveform Generator Firmware (installed on controlling PC)

Firmware version 2.4.3.1 or later. Requires Keysight IO Libraries version 16.2 or later.

Closed Installation/setup steps

  1. Install Keysight IO libraries version 16.2 or later on the controlling PC.

  2. Install M8190A Firmware Version 2.4.3.1 or later on the PC controlling the M8190A hardware. This may be the AXIe embedded controller. See the M8190A Getting Started Guide for detailed steps.

  3. Start the M8190A firmware.

  4. Open Keysight IO Connection Expert.

  5. Select the LAN interface and create a new instrument for the M8190A using localhost.

The N7621B software can be loaded on the PC running the M8190A firmware or on a PC connected to the PC running the M8190A firmware.

If you are unable to connect to the M8190A from N7621B running on a separate PC see "M8190A FAQ - Making the M8190A A LAN based instrument” under Troubleshooting.

M9330A/N6030A Arbitrary Waveform Generator

If you are using Multitone Distortion software with an N603xA/M933xA arbitrary waveform generator, install M9330A IVI driver version 2.01.0001 or later on the PC connected to the N603xA/M933xA hardware.

M933xA/N603xA Arbitrary Waveform Generator IVI Drivers

The M9330A IVI driver version 2.01.0001 is used for the N603xA family of arbitrary waveform generators.

N8241A Arbitrary Waveform Generator

If you are using Multitone Distortion software with an N824xA arbitrary waveform generator, install N8241A IVI driver version 1.31.3 or later on the PC running the Multitone Distortion software.

N824xA Arbitrary Waveform Generator Synthetic Instrument Module IVI Drivers and Control Utility


Configuring the NI PXI Embedded Controller

Step 6 - Configuring the National Instruments PXI Embedded Controller

Installation Steps: 1 2 3 4 5 6 7 8 9

The N7621B Signal Studio for Multitone Distortion software supports the N603xA/M933xA PXI Arbitrary Waveform Generator. If the N7621B software is installed on a National Instrument PXI embedded controller it may be necessary to modify the embedded controller software configuration.

Be sure to install the N603xA/M933xA software on the embedded controller before installing the N7621B software. Use the N603xA/M933xA Control Utility to insure that the N603xA/M933xA arbitrary waveform generator is operational. The Control Utility will also display the N603xA/M933xA PXI address. This address is required by the Multitone Distortion software. If only the PSG/MXG/EXG/ESG internal arbitrary waveform generator is going to be used with the Multitone Distortion software, the N603xA/M933xA software does not need to be installed.

If I/O control of the PSG/MXG/EXG/ESG Signal Generator will be over LAN or GPIB using a National Instruments USB to GPIB pod Stop Here. No additional configurations are required. The N7621B software will work on the NI embedded controller as is.

If an Keysight 82357A USB to GPIB convertor is used to control the PSG/MXG/EXG/ESG Signal Generator you must do the following:

  1. Install the Keysight I/O Libraries Suite version 16.2 on the embedded controller. Be sure to install the Keysight Libraries as Secondary VISA. Choosing Secondary VISA allows a side by side installation with the existing NI VISA Libraries. Do not install the Keysight Libraries as the Primary VISA.

  2. Open the National Instruments Closed Measurement & Automation Explorer (MAX) and select the VISA Options. VISA Options are found under the Tools > NI-VISA > VISA Options menu.

  3. Select Passports under the General Settings group.

  4. Enable the NI VISA Tulip DLL by placing a check mark in the box. It should be the only .dll not enabled in the default configuration.

  5. Save any changes and re-boot the PC as necessary.


Downloading Signal Studio Software

Step 7 - Downloading and Installing the Signal Studio Software

Installation Steps: 1 2 3 4 5 6 7 8 9

  1. Go to the Keysight Technologies website: http://www.keysight.com/find/signalstudio.

  2. Click the N7621B Signal Studio for Multitone Distortion link.

  3. Click the Trials & Licenses tab.

  4. Click the Details & Download button

  5. Click the Download button. Select a version of the executable to download, and install the software onto your PC.There are 32 bit and 64 bit versions of the application. Windows XP and Win 7 32 bit use the 32 bit version. Win 7 64 bit requires the 64 bit version. At the prompt, select Run to install the software directly, or select Save to save a copy of the installation software on your PC.

If you have an existing N7621A license for N6030A, N8241A, or M9330A arbitrary waveform generators, only the 32-bit version of the N7621B software installed on Windows XP will recognize the license. See Support for N7621A Licenses for mappings and other information.

The N7621B software must be installed with administrator privileges. For Windows XP, you must be logged in as administrator. For Windows 7, right-click the installer and select Run as administrator.


Equipment Setup

Step 8 - Equipment Setup

Installation Steps: 1 2 3 4 5 6 7 8 9

  1. Ensure the signal generator, arbitrary waveform generator, and analyzer are turned off.

  2. Connect the equipment to a computer using one of the following methods for instrument control:

    • LAN Network— Closed connect the signal generator, arbitrary waveform generator, analyzer, and computer to an external LAN network using standard LAN cables.

      Equipment Setup

      Equipment Required

      • One 10Base-T cable for the PC and one for each instrument connected to a network LAN

    • Crossover LAN— Closed connect the signal generator directly to the computer using a crossover LAN cable. (You will need to configure your PC using this setup.)

      Equipment Setup

      Equipment Required

      • One 10Base-T crossover cable for the PC

    • Crossover LAN—If Closed connecting more than one instrument (signal generator, analyzer, arbitrary waveform generator):

      • one 10Base-T crossover cable for the PC

      • one 10Base-T cable for each instrument

      • one 10Base-T hub

    • GPIB— Closed connect the signal generator, or signal analyzer directly to the computer using a GPIB cable.

      Equipment Setup

      Equipment Required

      • GPIB cable between PC and signal generator.

      • One of the following interfaces configured using the Keysight IO Libraries:

        • GPIB interface card in PC

        • Keysight 82357A USB/GPIB interface connector for USB port

      You can test the GPIB connections by using either the Connection Expert or the Interactive IO utility that comes with the Keysight IO Libraries. Refer to the Keysight IO Libraries Suite documentation for more information.

    • PXI (M9330A or N6030A only)—connect the computer's MXI/PXI adapter to the PXI mainframe.

Hardware Connections

The N7621B Signal Studio for Multitone Distortion software supports three general system configurations. Each system requires an PSG/MXG/EXG/ESG vector signal generator, an arbitrary waveform generator (AWG), and a spectrum or signal analyzer. The three systems are designed around the modulation capabilities of the PSG/MXG/EXG/ESG vector signal generators and are:

  • Internal I/Q – Uses the PSG/MXG/EXG/ESG with internal AWG.

  • External I/Q – Uses the PSG/MXG/EXG/ESG external I/Q, and external AWG.

  • Wideband I/Q – Uses the PSG with a wideband I/Q option (015, 016, H16) and an external AWG.

The following hardware can be used to create a system:

  • Vector Signal Generator

PSG Series

E8267C

E8267C Option 015

E8267D

E8267D Option 015

E8267D Option H16

X-Series

N5182A MXG

N5172B EXG

N5182B MXG

ESG Series

E4438C

LXI Series

N8212A

N8212A Option 016

  • Arbitrary Waveform Generator

PSG/ESG Internal AWG (Options 001, 002, 601, or 602)

MXG Internal AWG (Options 651, 652, 654, 656, or 657)

EXG Internal AWG (Options 653 or 655)

M8190A Arbitrary Waveform Generator

N603xA Arbitrary Waveform Generator

N824xA Arbitrary Waveform Generator (Option SL1 is not supported by this application.)

M933xA Arbitrary Waveform Generator

  • Signal/Spectrum Analyzer

XA-Series

N9010A EXA Signal Analyzer

N9020A MXA Signal Analyzer

N9030A PXA Signal Analyzer

N9010B EXA Signal Analyzer

N9020B MXA Signal Analyzer

N9030B PXA Signal Analyzer

N9040B UXA Signal Analyzer

SA-Series

E440xA ESA Spectrum Analyzer

E444xA PSA Spectrum Analyzer

  • Other
 N8201A Option H02 Down Converter

Common 10 MHz Reference

In all configurations the hardware must share a common 10 MHz reference.

This reference can be provided by the signal generator, the spectrum/signal analyzer, or by a house standard. The N7621B software always configures the external arbitrary waveform generator to use an external 10 MHz reference. The PSG/MXG/EXG/ESG signal generator has an auto sensing 10 MHz reference input. That is to say, the signal generator will automatically use an external reference if one is connected. The software verifies a common 10 MHz reference during a correction measurement or during the self test.

Possible System Configurations

In configurations that use an MXA/PXA signal analyzer, the N7621B Signal Studio for Multitone Distortion software turns off the signal analyzer's Auto Align feature to prevent the possibility of long communication delays during alignment. This is the recommended setting while the Multitone Distortion software is running. If you need to align your MXA/PXA, you can perform a manual alignment (Align Now), but understand that the software cannot communicate with the instrument during the alignment.

PSG Signal Generator with Wideband IQ option (015,016,H16,HBQ) and an external Arb (N824xA, M933xA, N603xA, M8190A)

Closed Wideband IQ: E8267D PSG Option 016 and M8190A Arb with N9030A PXA

Connections:

  • M8190A Channel 1+ Direct Out to the PSG Wideband I input

  • M8190A Channel 1– Direct Out to the PSG Wideband I– input

  • M8190A Channel 2+ Direct Out to the PSG Wideband Q input

  • M8190A Channel 2– Direct Out to the PSG Wideband Q– input

  • M8190A Channel 2 Sample Mrk Out to the PSG Gate/Pulse/Trigger input

  • M8190A Sync Mrk Out 2 to the PSG ALC Hold Input (E8267D only)

  • PXA 10 MHz reference output to the PSG 10 MHz input

  • PSG 10 MHz output to the M8190A 10 MHz reference clock input

  • PSG RF output to the PXA RF input

Closed Wideband IQ: E8267D PSG Option 016 and N8241A or N6030A Arb with PXA

Connections:

  • N8241A Channel 1+ output to the PSG Wideband I input

  • N8241A Channel 1– output to the PSG Wideband I– input

  • N8241A Channel 2+ output to the PSG Wideband Q input

  • N8241A Channel 2– output to the PSG Wideband Q– input

  • N8241A Marker 4 output to the PSG Gate/Pulse/Trigger input

  • N8241A Marker 3 output to the PSG ALC Hold Input (E8267D only)

  • PXA 10 MHz reference output to the PSG 10 MHz input

  • PSG 10 MHz output to the N8241A AUX 10 MHz reference input

  • PSG RF output to the PXA RF input

OR

  • N6030A Channel 1+ output to the PSG Wideband I+ input

  • N6030A Channel 1– output to the PSG Wideband I– input

  • N6030A Channel 2+ output to the PSG Wideband Q+ input

  • N6030A Channel 2– output to the PSG Wideband Q– input

  • N6030A Marker 4 output to the PSG Gate/Pulse/Trigger input

  • N6030A Marker 3 output to the PSG ALC Hold Input

  • PXA 10 MHz reference output to the PSG 10 MHz input

  • PSG 10 MHz output to the N6030A 10 MHz reference input

  • PSG RF output to the PXA RF input

Closed Wideband IQ: E8267D PSG Option 016, H16 or HBQ, and N8241A or N6030A Arb with PSA

Connections:

  • N8241A Channel 1+ output to the PSG Wideband I input

  • N8241A Channel 1– output to the PSG Wideband I– input

  • N8241A Channel 2+ output to the PSG Wideband Q input

  • N8241A Channel 2– output to the PSG Wideband Q– input

  • N8241A Marker 4 output to the PSG Gate/Pulse/Trigger input

  • N8241A Marker 3 output to the PSG ALC Hold Input (E8267D only)

  • PSA/ESA 10 MHz reference output to the PSG 10 MHz input

  • PSG 10 MHz reference output to the N8241A AUX 10 MHz reference input

  • PSG RF output to the PSA/ESA RF input

OR

  • N6030A Channel 1+ output to the PSG Wideband I+ input

  • N6030A Channel 1– output to the PSG Wideband I– input

  • N6030A Channel 2+ output to the PSG Wideband Q+ input

  • N6030A Channel 2– output to the PSG Wideband Q– input

  • N6030A Marker 4 output to the PSG Gate/Pulse/Trigger input

  • N6030A Marker 3 output to the PSG ALC Hold Input

  • PSA/ESA 10 MHz reference output to the PSG 10 MHz input

  • PSG 10 MHz reference output to the N6030A 10 MHz reference input

  • PSG RF output to the PSA/ESA RF input

Closed Wideband IQ: E8267C/D PSG Option 015 and N8241A or N6030A Arb with PSA

Be sure to enable the spectrum analyzer 10 MHz reference output.

Connections:

  • N8241A Channel 1+ output to the PSG Wideband I input

  • N8241A Channel 2+ output to the PSG Wideband Q input

  • N8241A Marker 4 output to the PSG Gate/Pulse/Trigger input

  • N8241A Marker 3 output to the PSG ALC Hold Input (E8267D only)

  • PSA/ESA 10 MHz reference output to the PSG 10 MHz input

  • PSG 10 MHz reference output to the N8241A AUX 10 MHz reference input

  • PSG RF output to the PSA/ESA RF input

OR

  • N6030A Channel 1+ output to the PSG I input

  • N6030A Channel 2+ output to the PSG Q input

  • N6030A Marker 4 output to the PSG Gate/Pulse/Trigger Input

  • N6030A Marker 3 output to the PSG ALC Hold Input (E8267D only)

  • PSA/ESA 10 MHz reference output to the N6030A 10 MHz reference input

  • PSG RF output to the PSA/ESA RF input

Closed Wideband IQ: N8212A Option 016 and N8241A Arb with PSA

Be sure to enable the spectrum analyzer 10 MHz reference output.

  • N8241A Channel 1+ output to the N8212A Wideband I+ input

  • N8241A Channel 1– output to the N8212A Wideband I– input

  • N8241A Channel 2+ output to the N8212A Wideband Q+ input

  • N8241A Channel 2– output to the N8212A Wideband Q– input

  • N8241A Marker 4 output to the N8212A Gate/Pulse/Trigger input

  • N8241A Marker 3 output to the N8212A ALC Hold Input

  • PSA/ESA 10 MHz reference output to the N8212A 10 MHz input

  • N8212A 10 MHz reference output to the N8241A AUX 10 MHz reference input

  • N8212A RF output to the PSA/ESA RF input

Closed Wideband IQ: N8212A Option 016 and N8241A Arb with N8201A

Be sure to enable the spectrum analyzer 10 MHz reference output.

  • N8241A Channel 1+ output to the N8212A Wideband I+ input

  • N8241A Channel 1– output to the N8212A Wideband I– input

  • N8241A Channel 2+ output to the N8212A Wideband Q+ input

  • N8241A Channel 2– output to the N8212A Wideband Q– input

  • N8241A Marker 4 output to the N8212A Gate/Pulse/Trigger input

  • N8241A Marker 3 output to the N8212A ALC Hold Input

  • N8201A 10 MHz reference output to the N8212A 10 MHz input

  • N8212A 10 MHz reference output to the N8241A AUX 10 MHz reference input

  • N8212A RF output to the N8201A RF input

Signal Generator with external IQ and an external Arb (N824xA, M933xA, N603xA, M8190A)

Closed External IQ: E8267C/D PSG and N8241A or N6030A Arb with PXA

Be sure to enable the spectrum analyzer 10 MHz reference output.

Connections:

  • N8241A Channel 1+ output to the PSG I input

  • N8241A Channel 2+ output to the PSG Q input

  • N8241A Marker 4 output to the PSG Gate/Pulse/Trigger input

  • N8241A Marker 3 output to the PSG ALC Hold Input (E8267D only)

  • PXA 10 MHz output to the PSG 10 MHz input

  • PSG 10 MHz output to the N8241A AUX 10 MHz reference input

  • PSG RF output to the PXA RF input

OR

  • N6030A Channel 1+ output to the PSG I input

  • N6030A Channel 2+ output to the PSG Q input

  • N6030A Marker 4 output to the PSG Gate/Pulse/Trigger Input

  • N6030A Marker 3 output to the PSG ALC Hold Input (E8267D only)

  • PXA 10 MHz output to the PSG 10 MHz input

  • PSG 10 MHz output to the N6030A 10 MHz reference input

  • PSG RF output to the PXA RF input

Closed External IQ: N5182B MXG and N8241A or N6030A Arb with PXA

Be sure to enable the spectrum analyzer 10 MHz reference output.

Connections:

  • N8241A Channel 1+ output to the MXG I input

  • N8241A Channel 2+ output to the MXG Q input

  • N8241A Marker 4 output to the MXG Pulse input

  • PXA 10 MHz output to the MXG 10 MHz reference input

  • MXG 10 MHz output to the N8241A AUX 10 MHz reference input

  • MXG RF output to the PXA RF input

OR

  • N6030A Channel 1+ output to the MXG I input

  • N6030A Channel 2+ output to the MXG Q input

  • N6030A Marker 4 output to the MXG Pulse Input

  • PXA 10 MHz output to the MXG 10 MHz reference input

  • MXG 10 MHz output to the N6030A 10 MHz reference input

  • MXG RF output to the PXA RF input

Closed External IQ: E8267C/D PSG and N6030A Arb with PSA

Be sure to enable the spectrum analyzer 10 MHz reference output.

Connections:

  • N6030A Channel 1+ output to the PSG I input

  • N6030A Channel 2+ output to the PSG Q input

  • N6030A Marker 4 output to the PSG Gate/Pulse/Trigger Input

  • N6030A Marker 3 output to the PSG ALC Hold Input (E8267D only)

  • PSA/ESA 10 MHz reference output to the N6030A 10 MHz reference input

  • PSG RF output to the PSA/ESA RF input

Closed External IQ: E4438C ESG and N6030A Arb with PSA

Be sure to enable the spectrum analyzer 10 MHz reference output.

Connections:

  • N6030A Channel 1+ output to the ESG I input

  • N6030A Channel 2+ output to the ESG Q input

  • N6030A Marker 1 output to the ESG External 2 Input

  • PSA/ESA 10 MHz reference output to the N6030A 10 MHz reference input

  • ESG RF output to the PSA/ESA RF input

Arb only (N824xA, M933xA, N603xA, M8190A)

Closed Arb Only: M8190A with PXA

Be sure to enable the spectrum analyzer 10 MHz reference output.

With the N7621B Multitone Distortion software and a dual-channel M8190A, you can select Channel 1, Channel 2, or Both as the active channel.

When both channels are active, the signal is directed to both output channels. Using corrections in this mode is not advised because corrections may not behave as expected.

Connections:

  • M8190A Channel n+ Direct Out to the non-inverting port of the M8190A-801 phase matched balun

  • M8190A Channel n– Direct Out to the inverting port of the M8190A-801 phase matched balun

  • Output of the M8190A-801 balun (labeled "Input" on some balun models) to the PXA RF input

  • M8190A Sample Clock Out to the M8190A Sample Clock In

  • M8190A Channel 2 Sample Mrk Out to the PSG Gate/Pulse/Trigger input

  • M8190A Sync Mrk Out 2 to the PSG ALC Hold Input (E8267D only)

  • PXA 10 MHz reference output to the M8190A 10 MHz reference clock input

Closed Arb Only: N8241A or N6030A with PSA

Be sure to enable the spectrum analyzer 10 MHz reference output.

Connections:

N6030A/N8241A Channel 1+ output to the to the PSA RF input

PSA 10 MHz reference output to the N6030A/N8212A 10 MHz input

The N8241 External 10 MHz Reference Input is not supported. Use the Auxiliary 10 MHz reference input as illustrated above.

Signal Generator with internal Arb (PSG/ESG/MXG/EXG)

Closed Internal IQ: N5182B MXG with MXA or PXA

Be sure to enable the spectrum analyzer 10 MHz reference output.

Connections:

  • MXA/PXA 10 MHz output to the MXG 10 MHz reference input

  • PSG RF output to the MXA/PXA RF input

The analyzer provides the 10 MHz reference in these configurations.


Connection Test

Step 9 - Testing Connections

Installation Steps: 1 2 3 4 5 6 7 8 9

After starting the N7621B software, the Closed Configuration Wizard is used to configure the I/O interface for the signal generator, arbitrary waveform generator, and spectrum/signal analyzer.

  1. Turn on the equipment and, if necessary, the computer.

  2. If using an external Arbitrary Waveform Generator (M8190A, M9330A, N6030A, or N8241A), turn on the Arb and verify correct functionality using the Closed instrument's soft front panel or control utility.

    M8190A Soft Front Panel

    M9330A/N6030A Control Utility

    N8241A Control Utility

  1. Start the Signal Studio for Multitone Distortion software.

  2. Establish communications between the software and the equipment by first selecting New hardware configuration in the Closed Welcome to Keysight Signal Studio for Multitone Distortion dialog box (System Configuration Wizard) that appears.

  3. Select a Closed function from the list (Internal Arb, Arb Only, Wideband I/Q, or External I/Q) then click Next.

    Use the configurations that do not include a signal analyzer only if you do not plan to use signal corrections.

  4. Select Closed a hardware configuration and click Next.

  5. Select Closed <New> and click Next.

  6. Enter the GPIB or LAN address for the Closed signal generator.

    To find the signal generator's LAN information, (IP address/hostname), press the following front panel keys:

    Utility > GPIB/RS-232 LAN > LAN Setup.

    To find the signal generator's GPIB address, press the following front panel keys:

    Utility > GPIB/RS-232 LAN > GPIB Address.

  7. Click the Next button to automatically check the Closed I/O connection of the signal generator. Click Next to continue.

  8. Enter the LAN or PXI address for the Closed external arb.

    The N603xA/M933xA Control Utility can be run to determine the PXI address of the Arb. The addresses of all N603xA/M933xA Arbs found in the system can be viewed in the Control Utility by looking in the Instrument > Browse menu.

  9. Click the Next button to automatically check the Closed I/O connection of the external arb. Click Next to continue.

  10. Enter the GPIB or LAN address for the Closed spectrum/signal analyzer.

  11. Click Next to automatically check the Closed I/O connection of the analyzer. Click Next to continue.

  12. Enter a Closed system name and click Finish to save the current setup.

  13. After making the connections you can view the Closed system's information on the Hardware panel.

  14. Install the software license.

  15. Run Self Test to make certain the system is configured correctly.

If the connection fails, or for help with error messages, refer to Troubleshooting.

Related Topics

Run System Configuration Wizard

Change Hardware Connection

Run Self Test


Licensing

To play waveforms created with this Signal Studio software, a valid license must be installed on your instrument or controlling PC. Several license configurations are available to meet your specific testing needs.

Use the following tools to ensure that you obtain the type of license that works best for you:

  • Use the Getting a License flow chart to learn how to redeem and install a license.

  • Obtain a free trial license to evaluate all of the capabilities of the Signal Studio software for a limited time.

Related Licensing Topics

Moving a Transportable License

Viewing the Remaining Time on a License

Waveform Licensing

Support for N7621A Licenses


Getting a License

The flowchart below illustrates the process for obtaining a Signal Studio software license and installing it in your instrument. Click a block in the flowchart for details on that step of the process.


Software License Redemption

  1. Go to the Keysight Software License Redemption web page:

    http://www.keysight.com/find/softwarelicense.

  2. Follow the directions on the website and be prepared to enter the following information:

    PSG, ESG, or MXG/EXG signal generator connectivity (internal Arb):

    • order number

    • certificate number

    • signal generator model number (e.g., E8267D)

    • signal generator serial number (e.g., US12345678)

    • a valid email address

    N8241A, N6030A, or M9330A Arb connectivity:

    • order number

    • certificate number

    • Arb model number (e.g., M9330A)

    • Arb serial number (e.g., US12345678)

    • PC Host ID1 (e.g., PCSERNO,AS84542292)

    • a valid email address

    M8190A Arb connectivity:

    • order number

    • certificate number

    • Arb model number (M8190A)

    • PC Host ID1 (e.g., PCSERNO,AS84542292)

    • a valid email address

  3. You will promptly receive an email with the license file attached.

1. The PC Host ID can be obtained by running the Closed Keysight License Manager software on the PC that contains the N8241A, N6030A, or M9330A IVI Driver and Control Utility or the M8190A Firmware and Soft Front Panel.


Installing the License

Your Signal Studio software license file (*.lic) is a text file that is attached to the email message you receive when you redeem your license. The license file is specific to the target instrument’s model and serial number. To view license installation instructions, click the link below for the target instrument you are using.

All trial licenses are installed just like purchased licenses (see available trial licenses).

Before installing the license file, save a backup copy in a safe place.

  • Keysight E8267D PSG Signal Generator

  • Keysight E4438C ESG Signal Generator

  • Keysight N5182B MXG X-Series RF Vector Signal Generator

  • Keysight N5172B EXG X-Series RF Vector Signal Generator

  • Keysight N5182A MXG Signal Generator

  • Keysight M8190A Arbitrary Waveform Generator

  • Keysight M9330A/M9331A Arbitrary Waveform Generators

  • Keysight N8241A/N8242A Arbitrary Waveform Generators

  • Keysight N6030A/N6031A/N6032A/N6033A Arbitrary Waveform Generators


Installing the License in a PSG Signal Generator

Before installing the license file, save a backup copy in a safe place.

To install the license file in your signal generator, follow the procedure below for your connection type.

  • For LAN connection between PC and signal generator, see Using Keysight License Manager.

  • For GPIB connection between PC and signal generator, see Using GPIB and SCPI Commands.

Using Keysight License Manager

The Keysight License Manager (KLM) software requires a LAN connection between the PC on which it is installed and the PSG signal generator. If your equipment cannot be connected through a LAN, install the license using a GPIB connection and SCPI commands.

  1. If you do not have KLM installed on your PC, you can download it at no charge from the following website: http://www.keysight.com/find/licensemanager.

  2. Establish a LAN connection between the PC and the instrument, as described in Equipment Setup and Connection.

  3. Copy the license file to your PC. The license file has a .lic extension, and is attached to the email message you received when you redeemed your license.

  4. Obtain the hostname or IP address of your instrument. Refer to the instrument's user's guide to learn how.

  5. On your PC, use the KLM software to install the license file in your instrument. Refer to the KLM help for specific instructions.

Using GPIB and SCPI Commands

If you are unable to establish a LAN connection between your PC and your signal generator, you can manually install the license using a GPIB connection and the Keysight Connection Expert software (or another command line tool).

This method can be used for perpetual licenses only. To install or move a transportable license, you must use the Keysight License Manager software on a PC connected to your signal generator through LAN.

  1. Copy the license file to your PC. The license file is attached to the email message your received when you redeemed your license.

  2. On your PC, start the Keysight Connection Expert software. Click Start > All Programs > Keysight Connection Expert. If you do not have Keysight IO Libraries Suite installed on your PC, you can download it from www.keysight.com/find/iolib.

    If you are not using Keysight Connection Expert, start your command line tool and proceed to step 5.

  3. Select your signal generator, as shown below. If there are a lot of instruments connected to the network, you can use the Filter Instruments field to narrow your search.

  4. Click Send Commands To This Instrument to open the Keysight Interactive IO window.

  5. Open the license file you copied to your PC in Step 1 using Microsoft Notepad, or a similar text editor that creates plain, ASCII text files. Do not use a word processor such as Microsoft Word.

  6. Using the text editor, select and copy the license file text.

  7. Type the following SCPI command into the Command: field in the Keysight Interactive IO window, pasting the license file text you copied in Step 7 at the <license_line> location in the command.

    :SYST:LIC:INST "<license_line>"

  8. Click the Send Command button to send the command, or the Send & Read button to send the command and read the response in the Instrument Session History displayed at the bottom of the window.


Installing the License in an ESG Signal Generator

Before installing the license file, save a backup copy in a safe place.

To install the license file in your signal generator, follow the procedure below for your connection type.

  • For LAN connection between PC and signal generator, see Using Keysight License Manager.

  • For GPIB connection between PC and signal generator, see Using GPIB and SCPI Commands.

Using Keysight License Manager

The Keysight License Manager (KLM) software requires a LAN connection between the PC on which it is installed and the ESG signal generator. If your equipment cannot be connected through a LAN, install the license using a GPIB connection and SCPI commands.

  1. If you do not have KLM installed on your PC, you can download it at no charge from the following website: http://www.keysight.com/find/licensemanager.

  2. Establish a LAN connection between the PC and the instrument, as described in Equipment Setup and Connection.

  3. Copy the license file to your PC. The license file has a .lic extension, and is attached to the email message you received when you redeemed your license.

  4. Obtain the hostname or IP address of your instrument. Refer to the instrument's user's guide to learn how.

  5. On your PC, use the KLM software to install the license file in your instrument. Refer to the KLM help for specific instructions.

Using GPIB and SCPI Commands

If you are unable to establish a LAN connection between your PC and your signal generator, you can manually install the license using a GPIB connection and the Keysight Connection Expert software (or another command line tool).

This method can be used for perpetual licenses only. To install or move a transportable license, you must use the Keysight License Manager software on a PC connected to your signal generator through LAN.

  1. Copy the license file to your PC. The license file is attached to the email message your received when you redeemed your license.

  2. On your PC, start the Keysight Connection Expert software. Click Start > All Programs > Keysight Connection Expert. If you do not have Keysight IO Libraries Suite installed on your PC, you can download it from www.keysight.com/find/iolib.

    If you are not using Keysight Connection Expert, start your command line tool and proceed to step 5.

  3. Select your signal generator, as shown below. If there are a lot of instruments connected to the network, you can use the Filter Instruments field to narrow your search.

  4. Click Send Commands To This Instrument to open the Keysight Interactive IO window.

  5. Open the license file you copied to your PC in Step 1 using Microsoft Notepad, or a similar text editor that creates plain, ASCII text files. Do not use a word processor such as Microsoft Word.

  6. Using the text editor, select and copy the license file text.

  7. Type the following SCPI command into the Command: field in the Keysight Interactive IO window, pasting the license file text you copied in Step 7 at the <license_line> location in the command.

    :SYST:LIC:INST "<license_line>"

  8. Click the Send Command button to send the command, or the Send & Read button to send the command and read the response in the Instrument Session History displayed at the bottom of the window.


Installing the License in an MXG Signal Generator

Installing the License in an MXG/EXG Signal Generator

Before installing the license file, save a backup copy in a safe place.

This topic supports N5172B EXG, N5182B MXG, and N5182A MXG vector signal generators.

To install the license file in your signal generator, follow one of the procedures below.

  • If your signal generator is connected to LAN, see Using Keysight License Manager.

  • If your signal generator is not connected to LAN, see Using a USB Storage Device or Using GPIB and SCPI Commands.

Using Keysight License Manager

The Keysight License Manager (KLM) software requires a LAN connection between the PC on which it is installed and the MXG/EXG signal generator. If your equipment cannot be connected through a LAN, install the license using a USB storage device.

  1. If you do not have KLM installed on your PC, you can download it at no charge from the following website: http://www.keysight.com/find/licensemanager.

  2. Establish a LAN connection between the PC and the instrument, as described in Equipment Setup and Connection.

  3. Copy the license file to your PC. The license file has a .lic extension, and is attached to the email message you received when you redeemed your license.

  4. Obtain the hostname or IP address of your instrument. Refer to the instrument's user's guide to learn how.

  5. On your PC, use the KLM software to install the license file in your instrument. Refer to the KLM help for specific instructions.

Using a USB Storage Device

If you are unable to establish a LAN connection between your PC and your MXG/EXG signal generator, you can manually install the license using a USB storage device.

  1. Copy the license file to a supported USB storage device. The license file is attached to the email message you received when you redeemed your license.

  2. Insert the storage device into the USB port on the front panel of the MXG/EXG signal generator.

  3. Press the Install licenses key to copy the file to the signal generator's memory.

  4. Cycle the signal generator power.

Using GPIB and SCPI Commands

If you are unable to establish a LAN connection between your PC and your signal generator, you can manually install the license using a GPIB connection and the Keysight Connection Expert software (or another command line tool).

This method can be used for perpetual licenses only. To install or move a transportable license, you must use the Keysight License Manager software on a PC connected to your signal generator through LAN.

  1. Copy the license file to your PC. The license file is attached to the email message your received when you redeemed your license.

  2. On your PC, start the Keysight Connection Expert software. Click Start > All Programs > Keysight Connection Expert. If you do not have Keysight IO Libraries Suite installed on your PC, you can download it from www.keysight.com/find/iolib.

    If you are not using Keysight Connection Expert, start your command line tool and proceed to step 5.

  3. Select your signal generator, as shown below. If there are a lot of instruments connected to the network, you can use the Filter Instruments field to narrow your search.

  4. Click Send Commands To This Instrument to open the Keysight Interactive IO window.

  5. Open the license file you copied to your PC in Step 1 using Microsoft Notepad, or a similar text editor that creates plain, ASCII text files. Do not use a word processor such as Microsoft Word.

  6. Using the text editor, select and copy the license file text.

  7. Type the following SCPI command into the Command: field in the Keysight Interactive IO window, pasting the license file text you copied in Step 7 at the <license_line> location in the command.

    :SYST:LIC:INST "<license_line>"

  8. Click the Send Command button to send the command, or the Send & Read button to send the command and read the response in the Instrument Session History displayed at the bottom of the window.


Installing the License in an M8190A Arbitrary Waveform Generator

Before installing the license file, save a backup copy in a safe place.

Using Keysight License Manager

The Keysight License Manager (KLM) must be running on the PC that is physically connected to the M8190A AWG. This PC may be an embedded AXIe controller or a PC connected to the M8190A AWG over PCIe. The PC must have the M8190A firmware running on it.

  1. If you do not have KLM installed on the PC connected to the M8190A, you can download it at no charge from the following website: http://www.keysight.com/find/licensemanager.

  2. Copy the license file to the PC. The license file has a .lic extension, and is attached to the email message you received when you redeemed your license.

  3. Use the KLM software to install the license file. Refer to the KLM help for specific instructions.


Installing the License in an M9330A/N6030A Arbitrary Waveform Generator

Before installing the license file, save a backup copy in a safe place.

Using Keysight License Manager

The Keysight License Manager must be run on the PC that is physically connected to the M9330A/N6030A Arb and hosting the N7621B software. This PC may be an embedded PXIe controller or a PC connected to the Arb over PXI. The PC will have the M9330A/N6030A IVI-Drivers and Control Utility software on it also.

  1. If you do not have Keysight License Manager installed on your PC, you can download it at no charge from the following website: http://www.keysight.com/find/licensemanager.

  2. On the PC connected to the M9330A/N6030A, start the Keysight License Manager software. Click Start > All Programs > Keysight License Manager > Keysight License Manager.

  3. Click File > Install... to open the Install License File(s) dialog box.

  4. Use the Install License File(s) dialog box to navigate to the license file. The license file has a .lic extension, and is attached to the email message you received when you redeemed your license. In this example, the license file is M9330A_1000909321_760041.lic.

  5. Select the desired license file and click Open.

  6. Wait for a message to appear, informing you that the license has been successfully installed.

    Refer to the Keysight License Manager online help for more information about using the software.


Installing the License in an N8241A Arbitrary Waveform Generator

Before installing the license file, save a backup copy in a safe place.

Using Keysight License Manager

The Keysight License Manager must be run on the PC that is connected to the N8241A Arb over LAN and be hosting the N7621B software. The PC will have the N8241A IVI-Drivers and Control Utility software on it also.

  1. If you do not have Keysight License Manager installed on your PC, you can download it at no charge from the following website: http://www.keysight.com/find/licensemanager.

  2. On the PC connected to the N8241A, start the Keysight License Manager software. Click Start > All Programs > Keysight License Manager > Keysight License Manager.

  3. Click File > Install... to open the Install License File(s) dialog box.

  4. Use the Install License File(s) dialog box to navigate to the license file. The license file has a .lic extension, and is attached to the email message you received when you redeemed your license. In this example, the license file is N8241A_1000909321_760042.lic.

  5. Select the desired license file and click Open.

  6. Wait for a message to appear, informing you that the license has been successfully installed.

  7. Refer to the Keysight License Manager online help for more information about using the software.


Moving a Transportable License

A transportable license can be moved from one instrument to another up to 10 times per month, but can be used on only one instrument at a time. This topic describes two methods for moving a transportable license between instruments.

Transporting a license requires the Keysight License Manager (KLM) software. If you do not have KLM installed on your PC, download it from the following website: www.keysight.com/find/licensemanager.

Instruments Connected to the Internet (Recommended)

  1. Make sure the source (currently licensed) instrument, the target instrument, and PC are connected to a LAN with Internet access.

  2. On your PC, use the KLM software to move the transportable license between instruments. Refer to the KLM help for specific instructions.

Instruments Not Connected to the Internet

  1. Configure a direct LAN connection between the PC and source (currently licensed) instrument. At this point, the PC does not require an Internet connection.

  2. Open the KLM software.

  3. Delete the transportable license from the source instrument Refer to the KLML help for specific instructions.

  4. A Transport License dialog box appears. In the dialog box, save the license contents to a file with a .url extension (for redemption later).

    If you do not immediately save the license contents to a file, you can later retrieve the license contents in the Application Category of the Windows Event Viewer and use the contents for re-issue on the Keysight Software License Transportation web page: www.keysight.com/find/transportlicense.

  5. Skip this step if your PC is connected to the Internet.

    1. Copy the .url file you created in the previous step to a portable mass storage device, such as a USB flash drive.

    2. Connect the portable mass storage device to a PC that is connected to the Internet.

  6. From Windows Explorer, locate and double-click the .url file on the PC (or portable mass storage device). The .url file appears in a browser that is connected to the Keysight Software License Transportation web page. The fields automatically update with the license contents.

  7. Enter the target instrument's hostid (model number, serial number) and then click the Submit button. A link to the re-issued license is displayed.

  8. Right-click the link and select Save Target As. Save the license file to a location on your PC (or portable mass storage device).

  9. Configure a direct LAN connection between the PC and target instrument.

  10. Skip this step if your PC is connected to the Internet.

    1. Connect the portable mass storage device to the PC that is connected to the target instrument.

  11. Open the KLM software and select the target system in the tree view.

  12. From Windows Explorer, locate the license file and drag (or copy and paste) it into KLM's tree view.


Viewing the Remaining Time on a Trial License

Use any of the following methods to view the time remaining on a trial license on your Keysight instrument.

The instructions below apply only to Keysight EXG, MXG, ESG, and PSG signal generators . To view license information for other Keysight instruments, refer to the user documentation for those instruments.

From the Instrument Front Panel

  1. Use the appropriate key-press sequence for your instrument model:

    EXG/MXG: Local > Utility > Instrument Info > Options Info > Instrument Options

    PSG/ESG: Utility > Instrument Adjustments > Instrument Options > External Software Licenses

  2. Look at the Expiration column for the number of remaining days.

    EXPIRED is displayed when there is no time remaining.

From an Internet Browser

This procedure applies to EXG, MXG, ESG, and PSG signal generators only.

  1. On your PC, open an internet browser.

  2. In the Address field, enter either the hostname or the IP address of the instrument.

  3. Press Enter on the keyboard. The instrument's web page appears.

  4. On the left side of the web page, click Signal Generator Web Control. At this point, you may be prompted to enter a password. For more information on setting the password, refer to the signal generator's Programming Guide.

  5. Click the appropriate key-press sequence for your instrument model:

    EXG/MXG: Utility > Instrument Info > Options Info > Instrument Options

    PSG/ESG: Utility > Instrument Adjustments > Instrument Options > External Software Licenses

  6. Look at the Expiration column for the number of remaining days.

    EXPIRED is displayed when there is no time remaining.

From the Keysight License Manager

  1. On your PC, open the Keysight License Manager. If you do not have the Keysight License Manager installed on your PC, download it at http://www.keysight.com/find/licensemanager.

  2. Click File > Connect.... A dialog box appears.

  3. In the Device Address field, enter either the hostname or the IP address of the instrument.

  4. Click OK. The instrument address and its installed licenses appear in the tree view (left pane). The right pane displays additional information for each license, including the Expiration Date.


Waveform Licensing

Waveform Licensing 5-Pack and 50-Pack

Waveform licensing is a cost-effective solution that lets you license individual waveforms rather than the Signal Studio software. Download any of the N76xxB Arb-based Signal Studio waveform creation software products to create and permanently license up to 545 waveforms to meet your specific test requirements. The latest instrument firmware enables you to evaluate the waveforms for up to 48 hours before choosing the ones you want to keep. Waveform licensing is only available for the following signal generator models:

  • N5172B EXG

  • N5182B MXG

  • E4438C ESG

Waveform licensing 5-pack consists of nine different option numbers (Options 221-229). Each option enables you to license up to five Signal Studio waveforms, one waveform for each of the five available slots per option. By ordering all nine options, you can store a total of 45 Signal Studio waveforms.

Waveform licensing 50-pack consists of ten option numbers (Options 250-259). Each option enables you to license up to 50 Signal Studio waveforms, one waveform for each of the 50 available slots per option. By ordering all ten options, you can store a total of 500 Signal Studio waveforms.

With the latest instrument firmware (see details below), each waveform slot provides a 48-hour trial period to access the full functionality of all N76xxB Arb-based Signal Studio waveform creation software for the purpose of creating and evaluating an unlimited number of Keysight-validated, performance-optimized waveforms.

Getting a Waveform License

Waveform licensing 5-pack and 50-pack are available by contacting Keysight. With each order, you will receive a license:

  • Option 22x—This license allows you to assign 5 waveforms to your signal generator for permanent playback.

  • Option 25x—This license lets you assign 50 waveforms to your signal generator for permanent playback.

When ordering multiple waveform licenses of either 5-pack or 50-pack, be sure to use different option numbers; the same option cannot be licensed to a signal generator more than once. For example, to order two licenses for either license type:

  • 5-pack—order 221 and 222, not two 221 licenses (the option numbers range from 221 to 229)

  • 50-pack—order 250 and 251, not two 250 licenses (the option numbers range from 250 to 259)

Firmware Requirements

Only recent instrument firmware revisions (see below) provide a 48-hour trial period for you to evaluate a waveform prior to permanently locking it to a 5- or 50-pack slot. The trial period begins when you assign a waveform file to a slot. During the trial period you can playback, clear, or replace the waveform in that slot. Earlier firmware revisions do not support a trial period, so once you assign a waveform to a slot, it is permanently locked. To benefit from the trial period, upgrade your firmware to the latest revision.

Instrument | 48-Hour Trial Period | No Trial Period
N5172B EXG | B.01.20 or later (October 2012) | not applicable
N5182B MXG | B.01.20 or later (October 2012) | not applicable
E4438C ESG | C.05.23 or later (February 2009) | C.04.95 (June 2007) to C.04.98 (January 2009)

Redeeming a Waveform License

The following steps outline the process for redeeming a license:

  1. Receive the Entitlement Certificate

  2. Go to the Keysight Software License Redemption web page

  3. Receive Redemption Email and Install the License files

Using Waveform Licenses

After you have installed the Keysight waveform license in your instrument, use this procedure.

  • Use the Signal Studio software to configure, generate, and download waveform files to your instrument

  • Evaluate a waveform in your instrument and then lock it to a 5- or 50-pack license slot


Support for N7621A Licenses

Support for existing E8267D and E4438C Options 408 and 421

The N7621B software recognizes the existing E8267D and E4438C Options 408 and 421. The options are mapped as follows:

E8267D Opt 408 | N7621B-2FP & N7621B-EFP | Basic Enhanced Multitone
E8267D Opt 421 | N7621B-2FP & N7621B-FFP | Basic Noise Power Ratio (NPR)
E4438C Opt 408 | N7621B-1FP & N7621B-EFP | Basic Enhanced Multitone
E4438C Opt 421 | N7621B-1FP & N7621B-FFP | Basic Noise Power Ratio (NPR)

Support for existing "A" licenses used by external Arbs

The N7621A “A” licenses installed on a PC for the Q Arb family (N6030A, N8241A, and M9330A) are only recognized by the N7621B software when running under Windows XP 32 bit. These licenses are mapped as follows:

N7621A-117 | N7621B-DFP | Connect to N824xA/N603xA/M933xA Arbs
N7621A-203 | N7621B-EFP | Basic Enhanced Multitone
N7621A-204 | N7621B-FFP | Basic Noise Power Ratio (NPR)

Customers may contact Keysight Technologies, Inc. to convert their “N7621A” licenses to “N7621B” licenses and support their hardware while running N7621B under Windows 7.


About Multitone Distortion Software

About Multitone Distortion

The N7621B Signal Studio for Multitone Distortion software creates several (“multi”) signals (“tones”) at many frequencies. The tones are pure sine waves. These frequencies are often (but not always) spaced evenly around a selected frequency. The user inputs a frequency around which the tones will be placed and a spacing between the tones. For example, the software's default setup has a frequency of 1 GHz and 8 tones with 1 MHz spacing at 0 dBm. When this waveform is output, the source will output a 0 dBm signal at the following frequencies: 0.997, 0.998, 0.999, 1.000, 1.001, 1.002, 1.003, and 1.004 GHz. Note how we get 3 below and 4 above the selected frequency of 1 GHz; that is intended behavior when the Multitone Distortion software is set for an even number of tones.

Based on user-defined center frequency, number of tones, tone spacing, power, and other multitone settings, the application calculates a table of frequencies and generates an arbitrary waveform file. In addition to evenly spaced multitone signals, you can also create multitone signals with unequally spaced tones.

A side effect of generating several frequencies is the creation of mixing products. If left uncorrected, the output from our default example would have not just the pure tones at the 8 selected frequencies, but all of the mixing products of those 8 tones as well. The point of multitone signal generation is to have only the desired tones and to minimize the mixing products, so the N7621B software has the capability to cancel out the majority of the mixing product signals. It accomplishes this by calculating where the mixing products will be and adding phase-inverted signals of the same frequencies to cancel out these unwanted signals. This capability within the N7621B software is called "Corrections." Corrections are off by default and require the use of a Signal Analyzer for data calibration.

For more information on the features and uses of the N7621B software, see the technical overview.


User Interface

User Interface Basics | provides tips on navigating the user interface.
Menu and Tool Bar | describes the features of the software.
Quick Setups | explains how to select predefined or previously saved user-defined settings.
Hardware Settings | provides information on the hardware setup, operation setup, signal configuration, and signal generator settings.


User Permissions

To install and run the N7621B software in a Windows operating environment, appropriate security permission settings are required. If you are not logged onto your PC with the required security permissions, the software displays an error message during installation and when attempting instrument connection. The following list identifies the security levels required to install and run the software.

Software Usage | Security Permissions Required
Install the software | Administrator (Administrator Group)
Run the software | Administrator (Administrator Group) or Standard User (Power User Group). Restricted User (User Group) requires an administrator to reset the permissions.
Develop application with API | Administrator (Administrator Group), Standard User (Power User Group)
Run application with API | Administrator (Administrator Group), Standard User (Power User Group). Restricted User (User Group) requires an administrator to reset the permissions.

Resetting Permissions for a Restricted User

A user with Administrator status can reset the permissions of a Restricted User to enable that user to run the software. The following steps outline the procedure.

  1. In Windows Explorer, navigate to the Signal Studio installation folder. The default directory is:

    C:\Program Files\Keysight\Signal Studio\

  2. Right click the Multitone Distortion N7621B installation folder.

  3. Select Properties from the popup menu.

  4. Select the Security tab.

  5. In the Group or user names list, select the user for whom you wish to change permissions.

  6. In the Permissions for Users section, check Modify and Write in the Allow column.

  7. Click Apply > OK.


User Interface Basics

Viewing Parameter Descriptions

Working with Cells

Using the Tree View

Resizing Window Panes and Cell Columns

Collapsing and Expanding Tables

Viewing Parameter Descriptions

Check [image] in the upper right corner of a parameter configuration window to display the Closed cell description window, and then click a parameter cell to display a brief description. The initial state is unchecked.

Working with Cells

Discrete Settings

The software interface uses cells (similar to a spread sheet) for configuring various parameters. Some cells have discrete settings; others are arbitrary. For example, RF Output uses discrete settings. You must select from either On or Off.

To change a discrete setting, double-click either the cell with the name of the parameter, or the setting. Each double-click cycles to the next selection. You can also change a setting by clicking the down arrow of the cell and then moving the mouse pointer to click the desired menu selection. Notice that a non-default selection appears in bold.

Arbitrary Settings

Frequency, on the other hand, uses arbitrary settings. You can enter any value within the designed range.

To change an arbitrary setting, double click either the cell with the name of the parameter, or the setting. This highlights the current setting. Enter the new value. You do not need to type "GHz"; the letter "g" is sufficient. The same is true for MHz and kHz.

Using the Tree View

The left pane of the main window is called the Closed tree view. It is useful for navigating between the quick setups, hardware configuration and signal generator settings, and the waveform setups. The right pane of the main window is called the Closed node view. This area enables you to select the project parameters and signal generator settings for displaying the waveform. Selecting an item in the tree view enables the related elements in the node view.

Resizing Window Panes and Cell Columns

You can resize window panes and cell columns for better viewing. As you move the mouse pointer over a border, it changes form, indicating that the border can be moved Closed horizontally or Closed vertically. Hold down the left mouse button and drag the border to its new position.

Mouse pointer for
horizontal resizing

Collapsing and Expanding Tables

To create more viewing space in a window pane, you can collapse selection tables you are not using. Click the minus [image] box next to the title of the table and the table collapses. Click the plus [image] box and it expands again.


Menu Bar and Tool Bar

Select a command from the displayed menus to navigate to a description of the command.

File

New [image] disposes the current settings and sets the software to its initial state using the current hardware configuration. The window name changes to Closed Untitled. Rename and save the new setup as a settings (.mtd) file (saving only the software parameters), or as a Quick Setup (saving the current hardware and software parameters).

You must save the current software parameter settings before selecting File > New to prevent the loss of data.

If either a signal generator or arbitrary waveform generator are connected, they will be preset and then loaded with default settings by the software.

Open... opens a saved settings (.mtd) file. Opening a settings file configures only the waveform data parameters for use with the currently selected hardware. To use a settings file with a different hardware configuration, select Change Hardware Settings, or Run System Configuration Wizard to configure new hardware.

Use Quick Setups to open a saved settings file that includes the hardware configuration and software settings.

Save saves waveform data settings to the current filename.

Save As... saves only waveform data settings to a specified settings (.mtd) file. Settings files do not contain the hardware configuration data. To save a settings file with a specific hardware configuration, select Change Hardware Settings, or Run System Configuration Wizard to configure new hardware. When a file is saved it is added to the top of the Most Recently Used Files list.

Use Quick Setups to save the current hardware configuration with your waveform setup.

Export Waveform Data... saves an encrypted waveform file (with the .wfm file extension) to your PC. This waveform file can then be downloaded and played in licensed ESG, PSG, MXG, or EXG signal generators, M8190A arbitrary waveform generators, or ADS design libraries. If a waveform is configured, but has not been generated, this selection also generates the waveform.

To download a saved waveform to a signal generator, refer to that signal generator's Programming Guide.

Export Wideband Arb Data... exports four binary files for M9330A, N6030A, or N8241A arbitrary waveform generators that are compatible with the Arb Control Utility waveform playback function. The files include two waveform files and two marker files as follows:

  • filenameCh1.bin

  • filenameCh2.bin

  • filenameMkr1.bin

  • filenameMkr2.bin

Refer to the Export a Wideband Waveform procedure for instructions.

Most Recently Used Files displays the four most recent settings files that were either opened with Open... or saved with Save as.... The settings file used most recently is added to the top of the list. Deleting a settings file does not immediately remove it from the list. Selecting a deleted settings file displays an error then removes the file from the list.

Exit stops and closes the software. If you made any waveform setup changes, a Closed dialog box is displayed asking if you want to save the changes as a quick setup before exiting. The Closed close button performs the same function.

To save any hardware parameter changes, you must use the Save As Quick Setup button. You are not prompted to save Hardware parameter changes when closing or exiting the software unless changes are also made to the Waveform Setup parameters.

Return to top

Control

Download [image] enables you to generate and download a waveform (based on the current signal setup) to the hardware.

When a power-sensitive DUT is connected to the signal generator, ensure that the RF power is off before downloading a waveform.

Play [image] finds the waveform specified in the Waveform Name field and plays it.

By default, this function updates all parameter settings to the hardware. You can change the default setting from the Tools menu.

Stop [image] causes the current signal to stop playing on the signal generator and turns the Arb off.

The RF output state is determined by the Turn RF Off/On Stop parameter.

Trigger [image] provides a software trigger to the Arb over the IO channel from either the GUI or API.

Measure IMD uses the existing signal parameters (suppression bands for multitone, notch parameters for NPR) to measure distortion products in the current waveform and display them on the GUI. Measure IMD can only be used after the waveform has been corrected.

Measure Flatness enables you to measure the relative tone power in the current waveform. Measure Flatness can only be used after the waveform has been corrected.

Real Time Update enables or disables the ability to update hardware settings immediately.

When enabled, you can change the hardware settings (frequency, amplitude, etc.) by changing the software parameter value.

When disabled (default setting), the hardware is updated by selecting Update to Instrument Upon Play or by downloading a waveform.

The Internal Arbs and the M8190A Arb also have real time control of IQ Skew and IQ gain Balance on the instrument panel. You need to enable Real Time Update to use these controls.

Play Test Signal plays a factory-generated waveform file (named TestSignal). The Test Signal contains 20 tones offset from the carrier such that you can see images and carrier leakage caused by non-ideal I/Q modulation. The Closed Test Signal bandwidth is maximized for a given system configuration and the current RF frequency.

In general, the Test Signal bandwidth is:

Arb Only Waveform Generator Configurations
N8241xA or N603xA The smaller of | (Arb Sample Rate)/2.5 or
 | (Arb Sample Rate - Frequency)*2 or
 | (Frequency*2)
where Frequency is the value entered in the Multitone or NPR Basic properties. The maximum bandwidth of 500 MHz occurs when the Arb sample rate is 1.25 GHz and Frequency is 250 MHz.
Internal Arb Waveform Generator Configurations
ESG/PSG internal Arb | 80 MHz
MXG Internal Arb | 100 MHz (80% Arb max sample rate)
External Arb Waveform Generator Configurations
ESG/PSG/MXG External I/Q | 265 MHz
Wideband Arb Waveform Generator Configurations
PSG Wideband I/Q > 3.2 GHz | 1.0 GHz, 500 MHz (80% Arb Sample Rate)
PSG Wideband I/Q < 3.2 GHz | 400 MHz
PSG Wideband I/Q H18 < 3.2 GHz | 1.0 GHz, 500 MHz (80% Arb Sample Rate)
PSG Wideband I/Q HBQ > 3.2 GHz | 500 MHz
PSG Wideband I/Q HBQ, H18 < 3.2 GHz | 500 MHz

Clear Correction forces the waveform to be regenerated and corrections to be remeasured on the next download.

Clear ARB Memory removes all waveforms from the Arb waveform memory. You can use this function to make room for additional waveforms if the Arb memory is full.

Clear ARB Memory does not erase waveforms stored in non-volatile memory.

Return to top

System

Change Hardware Connections displays a list of saved hardware connections. This menu choice opens Closed Step 3 of the System Configuration wizard, where you can select a previously saved hardware configuration, or configure and save a new hardware setup.

Run System Configuration Wizard enables you to configure your system component connections and save the hardware configuration for later use. Use Closed Run System Configuration wizard to set up a new signal generator connection, or use Quick Setups to save and change between complete setups that include the hardware connection and software settings.

Return to top

Mode

Multitone selects the multitone application for signal generation.

Noise Power Ratio selects the noise power ratio application for signal generation.

Return to top

Tools

Setup Spectrum Analyzer on Play configures the spectrum analyzer to view the downloaded signal.

This property works only if a spectrum analyzer is configured in the system. Otherwise, the property is disabled.

Update to Instrument Upon Play sets all hardware parameters (signal generator, arbitrary waveform generator) to the values currently set in the application.

Turn RF Off on Stop turns off the RF output when software execution is stopped.

Use Wideband IQ Below 3.2 GHz enables or disables the wideband RF path below 3.2 GHz. This feature makes it possible to generate 1 GHz bandwidth signals below 3.2 GHz. It also provided better RF flatness below 250 MHz when using the PSG internal Arb.

Available for the PSG-D with Option H18 or 018 only; not available for the ESG, MXG or PSG-C.

This selection is hardware configuration-specific and is not saved in the Multitone Distortion settings file <filename.mtd>. The application always starts with this selection in its disabled state.

Use Shift RF Filter Switch Points improves the RF flatness of wideband signals (greater than 50 MHz) by changing the RF filter switch points. The benefit is greatest for signals below 3.2 GHz where there are several RF filters. There is no effect when using the Use Wideband IQ below 3.2 GHz feature. This setting will overwrite the PSG-D's Harmonic Filter Switch Point setting. See also RF Filter Switch Point examples.

The filter switch points are:

Normal 250, 396, 628, 1000, 1500, 2400, 4000
Switched 170, 316, 548, 920, 1420, 2320, 3120

Available for ESG and PSG-D only; not available for MXG or PSG-C.

This selection is hardware configuration-specific and is not saved in the Multitone Distortion settings file <filename.mtd>. The application always starts with this selection in its disabled state.

Display Welcome dialog lets you enable or disable the Closed welcome dialog display.

Return to top

Help

Contents opens the Help system and displays the table of contents.

F1 opens the Help system and displays the table of contents.

Index opens the Help system and displays the Index utility.

Search opens the Help system and displays the search utility.

API Reference opens a Help system for the API programming commands and their descriptions.

Software License Terms displays a description of the licensing terms agreement for Keysight's Signal Studio software.

Keysight Signal Studio Website opens a webpage of all the Signal Studio products and their available options.

About Signal Studio for Multitone Distortion displays the version and release date of the software.

Return to top


Quick Setup

Quick Setups

Clicking Quick Setups in the Closed tree view displays the setup buttons in the right pane that enable you to choose between using simulated hardware, a saved Quick Setup, or saving the current configuration as a Quick Setup.

Selecting a Quick Setup displays the system details for that configuration.

Save As Quick Setup

Saves the current application state as a quick setup. Enter a name for your setup in the Closed window that appears.

All hardware parameters from the Signal Generator and Arbitrary Waveform Generator nodes are saved. The file saving location and extension are automatically added to the user-defined file name.

Open Quick Setup

Opens an existing application quick setup file. The quick setup file contains both the application settings as well as the hardware configuration. When a quick setup file is loaded, the hardware information contained in the file is used to configure the system.

The hardware settings may not match those currently shown in the Instrument Controls window of the Signal Generator or the Arbitrary Waveform Generator nodes. Use Update to Instrument to synchronize the hardware parameters, if desired.

Delete Quick Setup

Deletes the selected quick setup from the list. Confirm or cancel the deletion in the Closed window that appears.

Rename Quick Setup

Allows you to change the name of the selected quick setup file.


Status Bar

The status bar displays information related to your software status, connection status, waveform generation progress and license status.

Run Status

This area shows the status of the software's setup.

The following are some of the possible run status messages:

Initializing... | The software is setting up system parameters when the program starts.
Ready | The program successfully initialized.
Opening the settings file... | The program is reading the parameters from the settings file.
Saving the settings file... | The program is saving the parameters to a settings file.

Connection Status

This area shows the connection status of the software to the signal generator.

The following are some of the possible connection status messages:

Connected | The instrument connection is checked and verified. This message is also shown when running the software in simulated hardware mode.
Not Connected | The software cannot connect to the signal generator.

Software Message Area

This area shows license status, waveform generation progress, and information relating to the latest error for your setup. To view messages for multiple errors, use the status window.


Multitone

The multitone signal is generated based on the settings in the tone table. The tone table contains from 1 to 4097 tones. Each tone in the table has four parameters: frequency, power, phase and state. The tone power and tone phase are relative to the power and phase of all the other tones in the signal. The tone frequency is an offset from the signal generator carrier frequency. The tone state is a quick way to enable or disable a specific tone in the table without deleting it. The multitone application provides several parameters for loading the tone table values. These include Tone Count, Tone Spacing, Phase Distribution, Phase Seed and Phase Value. Changing any of these parameters causes the tone table to be updated based on their settings. The tone table also provides an import and export function to load or save the tone parameters from an ASCII file.

The Multitone parameters are independent of the system configuration. That is to say that the parameters are always available regardless of the system configuration. However, many parameter limits are dependent on the actual system configuration. The ESG/PSG internal Arb can provide multitone signals with modulation bandwidths up to 80 MHz. The MXG internal Arb can provide multitone signals with modulation bandwidths up to 100 MHz.

Multitone instrument control parameters require a Play command to update their settings. These parameters include Frequency, Amplitude, RF Output, Trigger Mode, Marker Polarity.

The Multitone signal and correction parameters require a Download command to update.


1. Basic

These parameters require a Download or Play to update their settings.

RF Output

Choices: On | Off

Default: On

Double-click or use the drop-down menu to turn the RF output on or off.

Frequency

Range: 250 kHz to 44 GHz

Default: System dependent

Arb Only | 250 MHz
Internal Arb | 1 GHz
External Arb | 1 GHz
Wideband Arb | 10 GHz

Enter a value to set the signal generator output frequency. Use abbreviations for faster entry (1k = 1 kHz).

Amplitude

Range: -144 dBm to +25 dBm
Default: 0 dBm

Enter a value to set the signal generator output amplitude.

This parameter cannot be set for systems configured to use the M9330A/N6030A/N8241A Wideband Arb as a signal generator. The N7621 application generates the highest amplitude possible for the current multitone signal and updates the value displayed after a Download. The output amplitude cannot exceed 2.5 dBm and will usually be less than -5 dBm, depending on the multitone signal parameters.

Frequency Offset

Range: -200 GHz to 200 GHz

Default: 0 Hz

Enter the signal generator frequency offset. Used during the correction operation to account for a frequency offset introduced by a receiver in the signal path between the signal generator and the spectrum analyzer.

The signal generator used to create the frequency shift must have its 10 MHz reference connected to the 10 MHz reference of the other instruments.

Amplitude Offset

Range: -200 dB to 200 dB

Default: 0 dB

Enter the signal generator amplitude offset. Used during the correction operation to account for a power offset introduced by an amplifier or cable loss in the signal path between the signal generator and the spectrum analyzer.

ALC State

Choices: On | Off

Default: On

Double-click or use the drop-down menu to turn ALC (Automatic Level Control) on or off. The best performance is usually achieved with the ALC On. Turn the ALC off when the tone spacing is 1 kHz or less.

When the ALC State is disabled, the application sets the signal generator Power Search Reference to Modulation and executes a power search during Play to ensure correct output power. A power search is also done during the correction measurement.


2. Signal

The multitone signal is generated from the values in the tone table. The parameters in this section are used to fill the tone table. The tone table can also be edited directly. When editing the tone table directly be sure to set Update Tone Table Automatically to Off to prevent your settings to be overwritten.

These parameters require a Download to update the signal.

Waveform Name

The name assigned to the waveform segment stored in the arbitrary waveform generator. The Waveform Name can contain up to 22 alpha numeric characters. The name can also contain the following special characters: _ $ & # + - [ ]. The Waveform Name is not case sensitive.

Multiple waveforms can be stored in the arbitrary waveform generator. Just change the waveform name before each download. The different waveforms can be played back by changing the waveform name and executing Play.

Tone Count

Range: 1 to 4097
Default: 8

Set the number of tones in Tone Table. If Update Tone Table Automatically is On, changing the Tone Count parameter updates the number of tones in the tone table and then overwrites all of the tone parameter values including Frequency, Power, and Phase.

This parameter also tracks the actual number of tones in the tone table when the tone table is being modified directly.

A waveform set up with many tones will have less dynamic range as the power is distributed to more tones. The IMD suppression can be approximated by the following formula:

Dynamic Range = 80 – 10Log (n / 8) where n is the number of tones.

You cannot change the Tone Count when Update Tone Table Automatically is Off. Instead, you must add or delete tones directly from the tone table.

Tone Spacing

Range: | Internal Arb: 10 Hz to 100 MHz
 | Wideband Arb: 100 Hz to 1000 MHz
Default: | 1 MHz

Enter a value to set equal frequency spacing between the tones in the tone table.

If Place Tone on Carrier is Off, the tones will be centered about the carrier. An odd number of tones results in a tone being placed on the carrier. If Place Tone on Carrier is On, the tone frequency values are set such that a tone will fall on the carrier.

Coupled Parameters

Tone Frequency Resolution
Update Tone Table Automatically
Sample Rate Calculation
Sample Rate
Waveform Size

Phase Distribution

Choices: Random | Constant | Parabolic
Default: Random

Select the phase distribution used while updating the tone table.

  • Random – results in Gaussian noise when used with large number of tones. The phase distribution of the tones is determined by a random seed value entered in the Phase Seed text box. Different seed values will give different phase offsets. The random phase offset is pseudo-random, so a particular phase seed value will always produce the same phase offset.

  • Constant – not really noise – more like an impulse. Constant phase distribution aligns the tones so that they all have the same phase. This occurrence will duplicate a real world situation where signals are additive. Constant phase distribution will produce the signal with the highest possible peak-to-average ratio (highest crest factor).

  • Parabolic – produces softest crest factor. Parabolic phase distribution produces the signal with the lowest peak-to-average ratio and is, therefore, the least stressful.

Coupled Parameters

Update Tone Table Automatically
Phase Seed
Phase Value

Changing this parameter may affect the multitone waveform CCDF curve.

Phase Seed

Range: 0 to 2147483647
Default: 1

Set the seed used by the random number generator when Random phase distribution is selected.

When Phase Distribution is set to Random, Phase Seed allows you to specify the seed for the randomizer. The seed value is used to start the sequence of random numbers.

Changing this parameter may affect the multitone waveform CCDF curve.

Coupled Parameters

Update Tone Table Automatically

Phase Value

Range: 0 to 360 Degrees
Default: 0 Deg

Sets all the tone phase values in the tone table when using constant phase distribution.

Coupled Parameters

Update Tone Table Automatically

Place Tone on Carrier

Choices: On | Off
Default: On

When Place Tone on Carrier is On, a tone is placed on the carrier. When it is set to Off, tones are spaced evenly about the carrier.

If the tone count is odd a tone is always placed on the carrier. A tone at 0 Hz falls on the carrier.

Coupled Parameters

Update Tone Table Automatically

Placing a tone on the carrier reduces the number of distortion products that can be produced by the signal generator by a factor of at least 2. Placing a tone on the carrier results in a faster correction measurement.

Update Tone Table Automatically

Choices: On | Off
Default: On

When this parameter is set to On, the tone table values are updated automatically when any of the following parameters are changed:

  • Tone Count

  • Tone Spacing

  • Phase Distribution

  • Phase Seed

  • Phase Value

  • Place Tone On Carrier

  • Sample Rate

  • Waveform Size

Setting Update Tone Table Automatically to On also updates the tone table parameters.

Set this parameter to Off to preserve user edits in the tone table.

Tone Frequency Resolution

Range: 10 Hz to 1000 MHz
Default: 1 MHz

Enter a value to specify the frequency resolution of the tones in the tone table. This parameter is calculated automatically when Update Tone Table Automatically is set to On.

Set this value to the desired frequency resolution when editing the tone table. The finest frequency resolution is (Sample Rate) / (Waveform Size). The Tone Frequency Resolution must be (Tone Spacing) / 2 when an even number of tones are centered about the carrier.

Set the Tone Frequency Resolution to the highest value possible that still provides the frequency resolution needed. This ensures the fastest possible correction measurement. For example, if three tone frequencies are desired, 2 MHz, 4 MHz and 8 MHz, the Tone Frequency Resolution could be set to 1 MHz. However, setting the Tone Frequency Resolution to 2 MHz still works and results in a faster correction measurement.

Return to top


3. Waveform

The waveform parameter section provides specific control over the waveform as it is being built. You can set the waveform size and sample rate if necessary or they can mirror the spectrum for external up or down conversion.

These parameters require a Download to update the signal.

Waveform Name

The name assigned to the waveform segment stored in the arbitrary waveform generator. The Waveform Name can contain up to 22 alpha numeric characters. The name can also contain the following special characters: _ $ & # + - [ ]. The Waveform Name is not case sensitive.

Multiple waveforms can be stored in the arbitrary waveform generator. Just change the waveform name before each download. The different waveforms can be played back by changing the waveform name and executing Play.

Sample Rate Calculation

Choices: Auto | Manual
Default: Auto

The software automatically calculates the sample rate and waveform size needed to generate the desired signal during a Download.

  • Manual – allows the user to set the sample rate and waveform size. Selecting manual requires you to set the Sample Rate and Waveform Size to achieve the desired Tone Spacing and Tone Frequency Resolution.

  • Auto – automatically calculates the sample rate and waveform size.

The waveform size and sample rate determine the frequency resolution and maximum tone and/or correction frequency. Overriding the sample rate and waveform size can result in errors when downloading the waveform.

Be sure the sample rate is greater than two times the highest frequency in your signal.

Tone Frequency Resolution = Sample Rate / Waveform Size.

Sample Rate

Range: 500 kHz to 1.25 GHz
Default: System dependent

Displays the sample rate used to generate the multitone signal. The sample rate is automatically determined by the application during a Download.

When Sample Rate Calculation is set to Manual, enter a sample rate and waveform size.

Coupled Parameters

Tone Spacing
Tone Frequency Resolution

Waveform Size

Range: 60 to 64000000; System dependent
Default: 25000

The number of points used to generate the waveform. The waveform size is automatically determined by the application during a Download.

When Sample Rate Calculation is set to Manual, enter a sample rate and waveform size.

You may receive "system out of memory" errors for waveforms sizes greater than 4M points. Large waveforms require PCs that are configured with more than 2 GBytes of RAM.

Coupled Parameters

Tone Spacing
Tone Frequency Resolution

Sample Clock Source

Choices: Internal | External
Default: Internal

Double-click or use the drop-down menu to select the Sample Clock Source.

The Sample Clock source cannot be set to external unless Sample Rate Calculation is set to Manual. Instruments using internal arbs must have Option HEC for this parameter to function.

Do not select external clock source for the N603xA or N824xA wideband Arb without an appropriate clock connected. Selecting external clock with no clock present causes the N603xA/N824xA Arb to reset.

This parameter is not available with all instrument model numbers and may be grayed out.

Mirror Spectrum

Choices: On | Off
Default: Off

Double-click or use the drop-down menu to swap the I and Q waveforms. Used during the correction operation to account for low side upconversion between the signal generator and the spectrum analyzer.

See also External Upconversion and Downconversion Procedure.

IQ Skew

Range: -10 ns to +10 ns
Default: 0 ps

Enter a value to skew the I waveform data relative to the Q waveform data in order to minimize images. The skew is built in to the waveform data.

See also Optimize the Signal Before Corrections.

IQ Gain Balance

Range: -2 dB to +2 dB
Default: 0 dB

Enter a value to scale the I waveform data relative to the Q waveform data in order to minimize images. The scale is built in to the waveform data.

See also Optimize the Signal Before Corrections.

Return to top


4. Trigger

These parameters require a Download or Play to update their settings.

Trigger Mode

Select the waveform start trigger mode.

  • None – no trigger is required. Waveform plays automatically after download. Waveform repeats until stopped.

  • Continuous – waveform plays after receiving a valid trigger. Waveform repeats until stopped.

  • Single – waveform plays once for each trigger received.

  • Segment – waveform repeats continuously. A trigger advances to the next waveform in the sequence.

Changing the trigger mode to or from Segment requires the sequence to be recreated when using systems configured with the N6030A/N8241A Wideband Arb..

See also CreateSequence in the API help.

Trigger Source

Choices: Software | External1 | External2
Default: Software

Select the trigger source. Applicable when Trigger Mode is set to something other than None.

  • Software – trigger provided to the Arb from the GUI or API.

The External 1 input is found at:

MXG Internal Arb | PAT TRIG on the rear panel of the instrument
ESG/PSG Internal Arb | PATTERN TRIG IN on the rear panel of the instrument.
N603xA / N824xA | Trigger 1 on the front panel

The External 2 input is found at:

MXG Internal Arb | Pin number 6 on the AUXILIARY I/O connector on the rear panel of the instrument
ESG/PSG Internal Arb | Pin number 17 on the AUXILIARY I/O connector on the rear panel of the
N603xA / N824xA | Trigger 2 on the front panel

Trigger Delay

Range: 0 to 0.01 Sec
Default: 0 ps

Delay the external input trigger. Delay range is hardware dependent.

Trigger delay resolution is tied to the Arb sample rate.

Trigger Polarity

Choices: Positive | Negative
Default: Positive

Set the external trigger polarity.

  • Positive – trigger on rising edge.

  • Negative – trigger on falling edge.

Return to top


5. Markers

The Multitone Waveform provides 4 marker signals. Marker signals are synchronized to the Multitone waveform. The marker signal is off except for the period specified by marker width.

The marker signal is produced from a marker waveform. The marker waveform contains the same number of points as the Multitone waveform. The marker points are all set to zero except for the points specified by marker width. The marker offset right-shifts the marker data with wrap-around.

These parameters require a Download to update the marker signal.

Marker1-4 Offset

Range: 0 to 1 Sec
Default: 0 ps

Set the marker position relative to the start of the waveform.

The marker offset resolution is:

ESG/PSG/MXG Internal Arb | 1/(Sample Rate)
N603xA / N824xA | 8/(Sample Rate)

The maximum useful marker offset is less than:

(Waveform Size) / (Sample Rate)

Marker Width points = round(marker width * Sample Rate)

Marker Offset points = round(marker offset * Sample Rate)

Example:

For a waveform with 20 points the marker waveforms are loaded as follows:

marker offset points = 0
marker width points = 5

results in the following marker signal:

1 1 1 1 1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0

marker offset points = 3
marker width points = 5

results in the following marker signal:

0 0 0 1 1 1 1 1 0 0 0 0 0 0 0 0 0 0 0 0

marker offset points = 16
marker width points = 5

results in the following marker signal. Notice the data wrap-around.

1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1 1 1 1

The Marker 1 output is found at:

MXG Internal Arb | Event 1 out and pin 1 of the AUX I/O output on the rear panel
ESG/PSG Internal Arb | Event 1 out on the rear panel
N603xA / N824xA | Marker 1 output on the front panel

The Marker 2 output is found at:

MXG Internal Arb | Pin 2 of the Auxiliary I/O output on the rear panel
ESG/PSG Internal Arb | Arb Event 2 out on the rear panel
N603xA / N824xA | Marker 2 output on the front panel

The Marker 3 output is found at:

MXG Internal Arb | Pin 3 of the Auxiliary I/O output on the rear panel
ESG/PSG Internal Arb | Pin 19 of the Auxiliary I/O output on the rear panel
N603xA / N824xA | Marker 3 output on the front panel

The Marker 4 output is found at:

MXG Internal Arb | Pin 4 of the Auxiliary I/O output on the rear panel
ESG/PSG Internal Arb | Pin 18 of the Auxiliary I/O output on the rear panel
N603xA / N824xA | Marker 4 output on the front panel

Return to top

Marker1-4 Width

Range: 0 to 1 Sec
Default: 500 ns

The marker width is automatically limited to the waveform period.

The marker width resolution is:

1/(Sample Rate) for the ESG/PSG/MXG internal Arb.

8/(Sample Rate) for the N603xA/N824xA external Arb.

The maximum marker width is:

(Waveform Size) / (Sample Rate)

Marker1-4 Polarity

Choices: Positive | Negative
Default: Positive

Double-click or use the pull-down menu to set the marker polarity.

Return to top


6. Correction

Corrections

Choices: On | Off
Default: Off

When Corrections are On, the application enables a correction measurement to be made during a download. The measurement is used to suppress the multitone signal distortion products to the higher of the levels entered in the suppression band table or to the levels possible with the current hardware configuration. The spectrum analyzer must be configured as part of the hardware system for the distortion products to be suppressed.

Corrections are very waveform and hardware setup specific. The corrections are embedded in the downloaded waveform. Changing all but a few signal parameters requires a new correction measurement and waveform. Corrections last approximately 8 to 10 hours and the setup is repeatable.

See also Waveform Licensing.

Coupled Parameters

Number of Iterations
Apply Amplitude Accuracy Adjustment
Suppression Bands

Number of Iterations

Range: 1 to 500
Default: 10

Enter a value to set the maximum number of measurement iterations to use while suppressing the IMD products in the notch. The correction measurement will stop when the desired suppression level is reached or when the specified number of iterations is reached.

Increasing the number of tones will increase the time needed for the software to generate the correction file. You can estimate the time needed by calculating approximately .25 seconds per tone per iteration.

In general, if the desired suppression level has not been reach within 10 iterations, the requested level may exceed the limits for the current signal setup. The maximum suppression level for the current signal can be approximated with the following equation.

90 – 8*log10(Tone Count)

  • For 10 tones this becomes about 82 dBc

  • For 100 tones this becomes about 74 dBc.

Apply Amplitude Accuracy Adjustment

Choices: On | Off
Default: On

When set to on, this measures the noise bandwidth flatness and corrects it. The flatness correction is applied before the amplitude profile. Multitone mode measures the level of every tone in the signal. Corrections must be set to on for this parameter to function.

It is possible to specify tone power levels other than 0 dB in the tone table. However, the flatness correction measurement is designed for tones at 0 dB. The accuracy of tone power level degrades the further from 0 dB the desired level is.

Spectrum Analyzer Settings

The following settings are used by the application during the correction measurement. These parameters cannot be used to control the spectrum analyzer directly.

When Calculate Measurement Settings Automatically is set to On, the RBW, Attenuation and Averages are updated after a download to show the actual values used during the correction measurement.

Calculate Measurement Settings Automatically

Choices: On | Off
Default: On

  • On − the application will determine the parameters for the current measurement.

  • Off − the user can specify the values to use. Be sure to set the Attenuation value high enough or the correction measurement will be correcting IMD products from the spectrum analyzer.

RBW

Range: 0.1 Hz to 1 MHz
Default: 200 Hz

Enter a value to set the Resolution Bandwidth used during the correction measurement. Smaller RBWs are usually better but increase the measurement time. The application will automatically reduce the RBW if it appears that the IMD suppression is not improving during the correction.

Attenuation

Range: 0 to 70 dB
Default: 26 dB

Enter a value to set the spectrum analyzer input attenuation used during the correction measurement.

If after the correction measurement there appears to be a number of distortion products visible on the spectrum analyzer try increasing the attenuation 20 dB or more. You may be viewing distortion products from the spectrum analyzer.

Averages

Range: 0 to 100
Default: 0

Enter a value to set the number of averages used during the correction measurement. Zero (0) averages means no averaging is used.


Tone Table

The tone table contains the definition of the multitone signal to be generated. Its values can be populated using the parameters in the Signal section or it can be edited directly.

The tone table is populated with 8 tones by default. You can enable and disable each tone by checking the box or not.

Click the Add button to add a new tone to the tone table. Click in a field to edit the value.

Click the Delete button to delete the selected tone from the tone table. Use Shift-click or Ctrl to select multiple tones.

Click the Import... button to import a tone table file. The file contains four columns of ASCII data:

  • State (On/Off)

  • Frequency (Hz)

  • Power (dB)

  • Phase Offset (Deg)

The maximum number of tones is 4097. Power values must be less than 10 dB.

Importing a tone table turns Update Tone Table Automatically off.

Click the Export... button to export the tone table to a file that you specify. The file contains four columns of ASCII data:

  • State (On/Off)

  • Frequency (Hz)

  • Power (dB)

  • Phase Offset (Deg)

State

Choices: On | Off
Default: On

Click the check box to set the status of the individual tones.

  • On − the tone is included in the multitone signal

  • Off − the tone is not included in the multitone signal

The values are overwritten when Update Tone Table Automatically is set to On.

Frequency

Range: System dependent
Default: o Hz

Click in a frequency field to individually set the frequency offset from the carrier of each tone. The tone frequency offset is normally set when the Tone Spacing parameter is set.

The values are overwritten when Update Tone Table Automatically is set to On.

The actual resolution of the frequency value is set by the Signal parameter Tone Frequency Resolution. If the tone frequency value has a finer resolution than what is specified in Tone Frequency Resolution an error will be generated during a download.

Power

Range: -100 to 10 dB
Default: 0 dB

Click in a power field to individually set the relative power level of each tone. Tone power is relative to other tones.

The values are overwritten when Update Tone Table Automatically is set to On.

Phase

Range: 0 to 360 degrees
Default: 0 degrees

Click in a phase field to individually set the relative phase of each tone. The initial values are set by the Phase Distribution parameter. Tone phase is relative to other tones.

The values are overwritten when Update Tone Table Automatically is set to On.

Return to top

Use the check box to set the state of each tone.


IMD Suppression Bands

Click the Add button to add a new suppression band to the correction table.

Click the Delete button to delete the selected suppression band from the correction table. Use Shift-click to select multiple bands.

Start Frequency

Range: System dependent (The absolute value must be less than the Arb maximum sample rate / 2.5.)
Default: Signal dependent

Set the start frequency of the IMD suppression band. Multiple suppression bands may be defined in the IMD Suppression Table.

Stop Frequency

Range: System dependent (The absolute value must be less than the Arb maximum sample rate / 2.5.)
Default: Signal dependent

Set the stop frequency of the IMD suppression band. Multiple suppression bands may be defined in the Distortion Suppression Table.

Level

Range: -90 dBc to -30 dBc
Default: Signal dependent

Set the correction level of the selected IMD suppression band. Multiple suppression bands may be defined in the IMD Suppression Table. The suppression level is relative to tone power, assuming all tones have the same amplitude value.

The maximum suppression level for the current signal can be approximated with the following equation.

90 – 8*log10(Tone Count)

  • For 10 tones this becomes about 82 dBc

  • For 100 tones this becomes about 74 dBc.

See also Multiple Suppression Bands.


Noise Power Ratio

The Noise Power Ratio signal is typically composed of thousands of equally spaced tones. The relative phase between the tones can be random, parabolic, or constant. Random phase results in a Gaussian noise signal as indicated on the CCDF plot. Constant phase results in an impulse with an extremely high crest factor as shown on the CCDF plot. Parabolic phase results in a low crest factor and a CCDF plot that is much less stressful than Gaussian noise.

The NPR parameters are independent of the system configuration. That is to say that the parameters are always available regardless of the system configuration. However, many parameter limits are dependent on the actual system configuration. The ESG/PSG internal Arb can provide NPR signals with modulation bandwidths up to 80 MHz. The MXG internal Arb can provide NPR signals with modulation bandwidths up to 100 MHz. The following parameters are used to define the NPR signal.

NPR instrument control parameters require a Play command to update their settings. These parameters include Frequency, Amplitude, RF Output, Trigger Mode, Marker Polarity.

The NPR signal and correction parameters require a Download command to update.


1. Basic

These parameters require a Download or Play to update their settings.

RF Output

Choices: On | Off
Default: On

Double-click or use the drop-down menu to turn the RF output on or off.

Frequency

Range: 250 kHz to 44 GHz
Default: System dependent

Arb only | 250 MHz
Internal Arb | 1 GHz
External Arb | 1 GHz
Wideband Arb | 10 GHz

Enter a value to set the signal generator output frequency. Use abbreviations for faster entry (example: 1k = 1 kHz).

The actual signal generator frequency is Frequency + Noise Offset.

Coupled Parameters

Noise Offset Calculation
Noise Offset

Amplitude

Range: -144 dBm to +25 dBm
Default: 0 dBm

Enter a value to set the signal generator output amplitude.

This parameter cannot be set for systems configured to use the N6030A or N8241A Wideband Arb as a signal generator. The N7621 application generates the highest amplitude possible for the current multitone signal and updates the value displayed after a Download. The output amplitude cannot exceed 2.5 dBm and will usually be less than -5 dBm, depending on the multitone signal parameters.

Frequency Offset

Range: -200 GHz to 200 GHz
Default: 0 Hz

Enter the signal generator frequency offset. Used during the correction operation to account for a frequency offset introduced by a receiver in the signal path between the signal generator and spectrum analyzer.

The signal generator used to create the frequency shift must have its 10 MHz reference connected to the 10 MHz reference of the other instruments.

Amplitude Offset

Range: -200 dB to 200 dB
Default: 0 dB

Enter the signal generator amplitude offset. Used during the correction operation to account for a power offset introduced by an amplifier or cable loss in the signal path between the signal generator and spectrum analyzer.

ALC State

Choices: On | Off
Default: On

Double-click or use the drop-down menu to turn ALC (Automatic Level Control) on or off. The best performance is usually achieved with the ALC On. Turn the ALC off when the tone spacing is 1 kHz or less.

When the ALC State is disabled, the application sets the signal generator Power Search Reference to Modulation and executes a power search during Play to ensure correct output power. A power search is also done during the correction measurement.

Return to top


2. Noise Signal

The noise signal parameters are used to design the noise signal. The application provides complete control over the number of tones and tone density in the noise signal as well as control of the noise amplitude profile.

These parameters require a Download to update the signal.

Waveform Name

The name assigned to the waveform segment stored in the arbitrary waveform generator. The Waveform Name can contain up to 22 alpha numeric characters. The name can also contain the following special characters: _ $ & # + - [ ]. The Waveform Name is not case sensitive.

Multiple waveforms can be stored in the arbitrary waveform generator. Just change the waveform name before each download. The different waveforms can be played back by changing the waveform name and executing Play.

Tone Count

Range: 101 - 10,000,001
Default: 801

Enter the number of tones in the NPR signal. The number of tones is always an odd number.

Enter a minimum of 101 tones and a maximum of 10,000,001 tones. The default value is 801 and the resolution is 2. Increasing the number of tones will increase the time needed for the NPR software to generate the correction file. You can estimate the time needed by calculating approximately .25 seconds per tone per iteration.

A waveform setup with many tones will have less dynamic range as the power is distributed to more tones.

Tone Spacing

Range: | Internal Arb: 10 Hz to 1 MHz
 | Wideband Arb: 100 Hz to 10 MHz
Default: | 100 kHz

Enter the frequency separation between the tones specified in Tone Count. Enter a minimum of 10 Hz and a maximum of 10 MHz tone spacing.

Coupled Parameters

Sample Rate Calculation
Sample Rate
Waveform Size

Noise Bandwidth

Range: 1 kHz to 1 GHz
Default: 80 MHz

Displays the bandwidth of the noise power ratio signal. (Read-only.) This value is computed using the following equation:

Noise Bandwidth = (Tone Count - 1) * (Tone Spacing)

Noise Offset Calculation

Choices: Manual | Auto
Default: Manual

  • Manual − the Noise Offset value is set back to 0 Hz.

  • Auto − the NPR application calculates the noise offset automatically during a Download.

This parameter allows the notch to be centered in the noise bandwidth without the carrier being present. If the notch is offset from the center, the noise offset may be 0 Hz.

The maximum noise bandwidth is set by the Arb sample rate and the noise offset parameter. In general the maximum noise bandwidth is:

(Arb Sample Rate) / 1.25 – (2*Noise Offset)

The maximum noise bandwidth establishes the system limits for Tone Count and Tone Spacing.

Coupled Parameters

Frequency

Noise Offset

Range: -312.5 MHz to +312.5 MHz
Default: 0 Hz

Enter a value to move the center of the noise bandwidth relative to the carrier. This allows the notch to be in the center of the noise bandwidth without the carrier leakage. Image tones may be visible in the notch of an uncorrected signal but these are much easier to suppress.

The Noise Bandwidth must be less than the maximum available bandwidth in order to offset it. The noise offset frequency resolution is determined by the tone spacing.

Manually set the Noise Offset when generating multiple signals for use with a sequence.

Coupled Parameters

Frequency
IQ Skew
IQ Gain Balance

See also NPR Noise Offset.

Phase Distribution

Choices: Random | Constant | Parabolic
Default: Random

Double-click or use the drop-down menu to select the type of phase distribution of the tones.

  • Random − the phase distribution of the tones is determined by a random seed value entered in Phase Seed. Different seed values will give different phase offsets. The random phase offset is pseudo-random, so a particular phase seed value will always produce the same phase offset.

  • Constant − aligns the tones so that they all have the same phase and produces a signal with the highest possible peak-to-average ratio. This results in the worst possible crest factor. An NPR signal with constant phase between the tones is essentially an impulse. It will be difficult or impossible to level the signal power with the ALC.

  • Parabolic − produces the signal with the lowest peak-to-average ratio (crest factor) and is, therefore, the least stressful.

Changing this parameter will affect the CCDF curve.

Phase Seed

Range: 0 to 2147483647
Default: 1

Set the seed used by the random number generator when Random phase distribution is selected. When Phase Distribution is set to Random, Phase Seed allows you to specify the seed for the randomizer. The seed value is used to start the sequence of random numbers.

Changing this parameter will affect the CCDF curve.

Amplitude Profile

The amplitude profile is a way to modify both the amplitude and phase of the NPR signal. Typically it is used to account for system amplitude roll-off and phase deviations. The amplitude profile is contained in an Closed ASCII file that contains two or three columns of numeric data separated by tabs, white space, semi-colons or colons. A two-column file is assumed to contain frequency-amplitude pairs. The frequency values are absolute values and assumed to be in Hz. The amplitude values are assumed to be in dB and represent the relative amplitude response of the system.

The three column file is assumed to contain frequency, amplitude and phase triplets. Phase is in degrees and represents the relative phase response of the system. All rows in the file must contain 3 items to be imported as frequency, amplitude and phase. If any of the rows contains less than three items, all the phase information is ignored and the file is imported as an amplitude profile only. This is done to preserve backwards compatibility. Any additional columns are ignored.

The frequency values must be sorted in order, from lowest to highest frequency without any duplicates. Linear interpolation is used for frequencies not found in the file. The frequency values do not need to be equally spaced and may only contain frequency ranges of interest. Only values that are required by the NPR signal are kept after the file import. This means that a single amplitude profile file can contain several frequency bands each with its own relative minimum and maximum amplitude value.

The relative amplitude values have a range of -30 to +30 dB. However, the NPR correction measurement has been optimized for a 10 dB or less range. The correction measurement can fail when the amplitude variation is greater than 20 dB (Max - Min > 20 dB).

When not using the NPR signal corrections, the amplitude profile can be used as a way to put multiple notches in the NPR signal. The amplitude profile is interpreted as the system amplitude response and used to flatten the signal amplitude response. Basically, power is added to the signal at any frequencies where the amplitude profile is less than zero. Conversely, at any point where the amplitude profile is greater than zero, power is removed from the signal. If values of +200 dB are placed in the amplitude profile, the actual signal power will be set to -200 dB, effectively creating a notch. The actual amplitude range in the amplitude profile file is -30 to 200 dB.

If the amplitude profile file contains frequency points equally spaced with the same spacing as the tones in the NPR signal, it is possible to set the amplitude and phase of each tone in the signal.

Do not enable NPR corrections when using the amplitude profile to create multiple notches in the NPR signal.

See also Modify the NPR Signal Amplitude Flatness.

Return to top


3. Notch

The notch parameters establish the width and position of the notch in the noise signal.

These parameters require a Download to update the signal.

Relative Width

Range: 0% to 40%
Default: 1%

Enter the width of the notch as a percent of the total noise bandwidth.

Absolute Width

Range: 0 Hz to 250 MHz
Default: 800 kHz

Displays the absolute width of the notch as a frequency. (Read-only.)

Relative Center

Range: -50% to +50%
Default: 0%

Specify the notch offset from the center of the noise bandwidth in percent. The percent value is referenced to the carrier with 0.00 percent being the carrier frequency. You can set the percent value to +/– 50 percent, which shifts the center of the notch away from the carrier frequency.

Absolute Center

Range: -500 Hz to 500 MHz
Default: 0 Hz

Displays the notch offset from the center of the noise bandwidth as a frequency.

Return to top


4. Waveform

The waveform parameter section provides specific control over the waveform as it is being built. You can set the waveform size and sample rate if necessary or they can mirror the spectrum for external up or down conversion.

These parameters require a Download to update the signal.

Waveform Name

The name assigned to the waveform segment stored in the arbitrary waveform generator. The Waveform Name can contain up to 22 alpha numeric characters. The name can also contain the following special characters: _ $ & # + - [ ]. The waveform name is not case sensitive.

Multiple waveforms can be stored in the arbitrary waveform generator. Just change the waveform name before each download. The different waveforms can be played back by changing the waveform name and executing Play.

Sample Rate Calculation

Choices: Manual | Auto
Default: Auto

The software automatically calculates the sample rate and waveform size needed to generate the desired signal during a Download.

  • Manual – allows the user to set the sample rate and waveform size. Selecting manual requires you to set the Sample Rate and Waveform Size to achieve the desired Tone Spacing.

  • Auto – automatically calculates the sample rate and waveform size.

The waveform size and sample rate determine the frequency resolution and maximum tone and/or correction frequency. Overriding the sample rate and waveform size can result in errors when downloading the waveform. Be sure the sample rate is greater than two times the highest frequency in your signal.

Tone Frequency Resolution = Sample Rate / Waveform Size.

Sample Rate

Range: 500 kHz to 1.25 GHz
Default: System dependent

Displays the sample rate used to generate the NPR signal. The sample rate is automatically determined by the application during a Download.

When Sample Rate Calculation is set to Manual, enter a sample rate and waveform size.

Coupled Parameters

Sample Rate Calculation
Tone Spacing

Waveform Size

Range: 60 to 64000000
Default: 25000

Displays the number of points used to generate the waveform. The waveform size is automatically determined by the application during a Download.

When Sample Rate Calculation is set to Manual, enter a sample rate and waveform size.

You may receive system out of memory errors for waveforms sizes greater than 4M points. Large waveforms require a PC that is configured with more than 2 GBytes of RAM.

Coupled Parameters

Sample Rate Calculation
Tone Spacing

Sample Clock Source

Choices: Internal | External
Default: Internal

Double-click or use the drop-down menu to select the Sample Clock Source.

The Sample Clock source cannot be set to external unless Sample Rate Calculation is set to Manual. Instruments using internal arbs must have Option HEC for this parameter to function.

Do not select external clock source for the N603xA or N824xA wideband Arb without an appropriate clock connected. Selecting external clock with no clock present causes the N603xA/N824xA Arb to reset.

This parameter is not available with all instrument model numbers and may be grayed out.

Mirror Spectrum

Choices: On | Off
Default: Off

Double-click or use the drop-down menu to swap the I and Q waveforms. This parameter is used during the correction operation to account for low side upconversion between the signal generator and the spectrum analyzer.

See also External Upconversion and Downconversion Procedure.

IQ Skew

Range: -10 ns to +10 ns
Default: 0 ps

Enter a value to skew the I waveform data relative to the Q waveform data in order to minimize images. The skew is built in to the waveform data.

See also Optimize the Signal Before Corrections.

This parameter requires a Download or Play to update the parameter value.

IQ Gain Balance

Range: -2 dB to +2 dB
Default: 0 dB

Enter a value to scale the I waveform data relative to the Q waveform data in order to minimize images. The scale is built in to the waveform data.

See also Optimize the Signal Before Corrections.

This parameter requires a Download or Play to update the parameter value.

Return to top


5. Trigger

These parameters require a Download or Play to update their settings.

Trigger Mode

Choices: None | Continuous | Single | Segment
Default: None

Select the waveform start trigger mode.

  • None – no trigger is required. Waveform plays automatically after downloaded. Waveform repeats until stopped.

  • Continuous – waveform plays after receiving a valid trigger. Waveform repeats until stopped.

  • Single – waveform plays once for each trigger received.

  • Segment – waveform repeats continuously. A trigger advances to the next waveform in the sequence.

Changing the trigger mode to or from Segment requires the sequence to be recreated when using systems configured with the N6030A/N8241A Wideband Arb..

See also CreateSequence in the API help.

Trigger Source

Choices: Software | External1 | External2
Default: Software

Select the trigger source. Applicable when Trigger Mode is set to something other than None.

  • Software – trigger provided to the Arb from the GUI or API.

The External 1 input is found at:

MXG Internal Arb | PAT TRIG on the rear panel of the instrument
ESG/PSG Internal Arb | PATTERN TRIG IN on the rear panel of the instrument.
N603xA / N824xA | Trigger 1 on the front panel

The External 2 input is found at:

MXG Internal Arb | Pin number 6 on the AUXILIARY I/O connector on the rear panel of the instrument
ESG/PSG Internal Arb | Pin number 17 on the AUXILIARY I/O connector on the rear panel of the
N603xA / N824xA | Trigger 2 on the front panel

Trigger Delay

Range: 0 to 0.01 Sec
Default: 0 ps

Delay the external input trigger. Delay range is hardware dependent.

Trigger delay resolution is tied to the Arb sample rate.

Trigger Polarity

Choices: Positive | Negative
Default: Positive

Set the external trigger polarity.

  • Positive – trigger on rising edge.

  • Negative – trigger on falling edge.

Return to top


6. Markers

The NPR Waveform provides 4 marker signals. Marker signals are synchronized to the NPR waveform. The marker signal is off except for the period specified by marker width.

The marker signal is produced from a marker waveform. The marker waveform contains the same number of points as the NPR waveform. The marker points are all set to zero except for the points specified by marker width. The marker offset right-shifts the marker data with wrap-around.

These parameters require a Download to update the marker signal.

Marker1-4 Offset

Range: 0 to 1 Sec
Default: 0 ps

Set the marker position relative to the start of the waveform.

The marker offset resolution is:

ESG/PSG/MXG Internal Arb | 1/(Sample Rate)
N603xA / N824xA | 8/(Sample Rate)

The maximum useful marker offset is less than:

(Waveform Size) / (Sample Rate)

Marker Width points = round(marker width * Sample Rate)

Marker Offset points = round(marker offset * Sample Rate)

Example:

For a waveform with 20 points the marker waveforms are loaded as follows:

marker offset points = 0
marker width points = 5

results in the following marker signal:

1 1 1 1 1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0

marker offset points = 3
marker width points = 5

results in the following marker signal:

0 0 0 1 1 1 1 1 0 0 0 0 0 0 0 0 0 0 0 0

marker offset points = 16
marker width points = 5

results in the following marker signal. Notice the data wrap-around.

1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1 1 1 1

The Marker 1 output is found at:

MXG Internal Arb | Event 1 out and pin 1 of the AUX I/O output on the rear panel
ESG/PSG Internal Arb | Event 1 out on the rear panel
N603xA / N824xA | Marker 1 output on the front panel

The Marker 2 output is found at:

MXG Internal Arb | Pin 2 of the Auxiliary I/O output on the rear panel
ESG/PSG Internal Arb | Arb Event 2 out on the rear panel
N603xA / N824xA | Marker 2 output on the front panel

The Marker 3 output is found at:

MXG Internal Arb | Pin 3 of the Auxiliary I/O output on the rear panel
ESG/PSG Internal Arb | Pin 19 of the Auxiliary I/O output on the rear panel
N603xA / N824xA | Marker 3 output on the front panel

The Marker 4 output is found at:

MXG Internal Arb | Pin 4 of the Auxiliary I/O output on the rear panel
ESG/PSG Internal Arb | Pin 18 of the Auxiliary I/O output on the rear panel
N603xA / N824xA | Marker 4 output on the front panel

Return to top

Marker1-4 Width

Range: 0 to 1 Sec
Default: 500 ns

The marker width is automatically limited to the waveform period.

The marker width resolution is:

1/(Sample Rate) for the ESG/PSG/MXG internal Arb.

8/(Sample Rate) for the N603xA/N824xA external Arb.

The maximum marker width is:

(Waveform Size) / (Sample Rate)

Marker1-4 Polarity

Choices: Positive | Negative
Default: Positive

Double-click or use the pull-down menu to set the marker polarity.

Return to top


7. Correction

Corrections

Choices: On | Off
Default: Off

When Corrections are On, the application uses a spectrum analyzer to measure and correct NPR flatness and intermodulation distortion (IMD) products in the notch.

The suppression achieved will be the higher of the suppression specified or to the levels possible with the current hardware configuration. The spectrum analyzer must be configured as part of the hardware system for the distortion products to be suppressed.

Corrections are very waveform and hardware setup specific. The corrections are embedded in the downloaded waveform. Changing all but a few signal parameters requires a new correction measurement and waveform. Corrections last approximately 8 to 10 hours and the setup is repeatable.

See also Waveform Licensing.

Coupled Parameters

Number of Iterations
Apply Amplitude Accuracy Adjustment
Ignore Carrier

Number of Iterations

Range: 1 to 500
Default: 10

Enter a value to set the maximum number of measurement iterations to use while suppressing the IMD products in the notch. The correction measurement will stop when the desired suppression level is reached or when the specified number of iterations is reached.

Increasing the number of tones will increase the time needed for the NPR software to generate the correction file. You can estimate the time needed by calculating approximately .25 seconds per tone per iteration.

In general, if the desired suppression level has not been reach within 10 iterations, the requested level may exceed the limits for the current signal setup.

Apply Amplitude Accuracy Adjustment

Choices: On | Off
Default: Off

When set to on, measure the noise bandwidth flatness and correct it. The flatness correction is applied before the Amplitude profile. Unlike the Multitone mode, which measures the level of every tone in the signal, the NPR mode measures the amplitude of approximately 50 tones across the noise bandwidth and uses interpolation to flatten the signal.

The Apply Amplitude Accuracy Adjustment parameter should be disabled when using an Amplitude Profile with an amplitude correction delta greater than 10 dB.

You should turn off Apply Amplitude Accuracy Adjustment for NPR signals with more than 10 K tones.

NPR amplitude flatness correction is designed to make a quick measurement to determine the flatness of the noise signal. It uses the noise signal as the flatness characterization signal. At higher tone densities, the signal analyzer cannot resolve individual tones and adds the power of several tones in one bin. The result is a noise-like signal in the general shape of the RF flatness. When this is used to correct the NPR signal flatness, it distorts the flatness.

Corrections must be set to On for this parameter to function.

Return to top

Desired Suppression

Range: 20 dBc to 90 dBc
Default: 50 dBc

Enter the desired IMD suppression level for the notch. The correction process will attempt to achieve the entered level.

The maximum suppression can be approximated by the following formula:

Maximum suppression = 90 – 8*log10(Tone Count)

  • For 1000 tones this becomes about 66 dBc

  • For 10000 tones this becomes about 58 dBc

The actual level achieved is dependent on the total number of tones in the signal as well as the hardware configuration.

Return to top

Ignore Carrier

Choices: On | Off
Default: On

When set to On, the IMD suppression measurement will ignore the carrier leakage in the notch. Has no affect if the carrier is not in the notch.

Coupled Parameters

Noise Offset Calculation
Noise Offset

Return to top

Spectrum Analyzer Settings

The following settings are used by the application during the correction measurement. These parameters cannot be used to control the spectrum analyzer directly.

When Calculate Measurement Settings Automatically is set to On, the RBW, Attenuation and Averages are updated after a download to show the actual values used during the correction measurement.

Calculate Measurement Settings Automatically

Choices: On | Off
Default: On

  • On − the application will determine the parameters for the current measurement.

  • Off − the user can specify the values to use. Be sure to set the Attenuation value high enough or the correction measurement will be correcting IMD products from the spectrum analyzer.

Return to top

RBW

Range: 0.1 Hz to 1 MHz
Default: 200 Hz

Enter a value to set the Resolution Bandwidth used during the correction measurement. Smaller RBWs are usually better but increase the measurement time. The application will automatically reduce the RBW if it appears that the IMD suppression is not improving during the correction.

Return to top

Attenuation

Range: 0 to 70 dB
Default: 26 dB

Enter a value to set the spectrum analyzer input attenuation used during the correction measurement.

If after the correction measurement there appears to be a number of distortion products visible on the spectrum analyzer try increasing the attenuation 20 dB or more. You may be viewing distortion products from the spectrum analyzer.

Return to top

Averages

Range: 0 to 100
Default: 0

Enter a value to set the number of averages used during the correction measurement. Zero (0) averages means no averaging is used.

Return to top


ccdf plot

CCDF Plot (Complementary Cumulative Distribution Function)

The Multitone mode and the Noise Power Ratio mode access the CCDF plot. The CCDF graph shows the composite plot and peak-to-average values for all waveforms.

The CCDF graph displays the probability (in percentage) of the generated waveform's calculated peak-to-average power ratio (measured in dB) meeting or exceeding a certain level. The table to the left of the CCDF plot displays the calculated peak-to-average values for the current waveform. For additional information, see Understanding CCDF Curves.

Each time you adjust parameters and generate a waveform, a plot is added to the Closed graph. The graph retains your three most recent plots (in shades of gray), allowing you to make comparisons of waveform characteristics.

Use the buttons shown below to plot the Gaussian data, reference data and generated waveform data to the CCDF graph. The graph's initial state shows only the Gaussian curve (blue) until you generate a waveform.

Click the Gaussian button to toggle the view of the band-limited Gaussian noise curve (blue).

Click the Reference button to toggle the view of the reference curve (red). The reference appears as a flat line until you generate a waveform and click the Acquire Ref. button.

Click the Acquire Ref. button to make the current waveform curve (yellow) the reference curve (red). Click the Reference button to view the reference curve.

Click the Update button to build a new waveform and calculate a new CCDF plot.

Click the Export button to save the current CCDF plot data to a .txt file.

Click the Import button to and load a .txt data file and display as a User Data curve when the User Data button is selected.

Click the User Data button to display an imported User Data curve (imported as a .txt file by clicking the Import button).


Tone Preview

Tone Preview Plot

The tone preview plot shows the relative amplitude of the tones as well as the IMD suppression bands for the current waveform.


hardware

Hardware Settings

Hardware | provides system details such as system name and configuration, and information about the signal generator such as model number, serial number, firmware revision, and so on. Also provides access to the Run Self-Tests and Test I/O Connections buttons.
Signal Generator | provides access to the RF signal generator settings used to display the waveform.
Arbitrary Waveform Generator (M9330A, N8241A, N6030A) | provides access to Arb settings used to display the waveform in a system that also uses an RF signal generator. Describes connection to the M9330A, N8241A, and N6030A.
Arbitrary Waveform Generator (M8190A) | provides access to Arb settings used to display the waveform in a system that also uses an RF signal generator. Describes connection to the M8190A.
Arb Only System (M9330A, N8241A, N6030A) | provides access to Arb settings used to display the waveform in a system where only an Arb is used. Describes connection to the M9330A, N8241A, and N6030A.
Arb Only System (M8190A) | provides access to Arb settings used to display the waveform in a system where only an Arb is used. Describes connection to the M8190A.


Hardware Settings

Hardware

Select this view to display read-only information about the hardware system. When using the Simulated Hardware mode, the Closed property page shows <Simulated Hardware> in the Name and Connection cells, and N/A in most of the other cells.

Descriptions in this section apply to both signal generators and arbitrary waveform generators (Arbs).

Run Self-Tests

Click this button to run a hardware self-test. The self-test verifies the following:

  • the hardware has the proper firmware revisions

  • the hardware shares a common 10 MHz reference

  • the signal generator output is connected to the spectrum analyzer input

  • when used, the external Arb outputs are connected to the proper IQ inputs on the signal generator

The self-test can support external frequency translation or external gain. However, the user must set the frequency offset and/or the amplitude offset properties and download a signal. Downloading a signal sets the frequency offset and amplitude offsets. Executing a self test will now use the offsets. To disable the offsets for the self test, set the frequency offset and amplitude offset to zero and download a signal or reset the application by selecting File > New.

The Self-Tests Closed window appears and displays the results of the tests. Closing the test dialog window returns the display from the Hardware node to the Multitone or Noise Power Ratio node, depending upon which node is active.

If an error occurs during the self-test, a Closed red X appears next to the failed test and an error message is displayed in the status area.

Test I/O Connections

Click this button to run an I/O interface connection test between the hardware and the PC.

The Test I/O Connections Closed window appears and displays the results of the tests. Closing the test dialog window returns the display from the Hardware node to the Multitone or Noise Power Ratio node, depending upon which node is active.

If an error occurs, a Closed red X appears next to the failed I/O connection and an error message is displayed in the status area.

View Connection Diagram

Click this button to view the hardware connection diagram for the selected hardware configuration.

1. System Details

Name

View the name assigned to the system when it is configured with the wizard.

Description

View the hardware configuration type.

2. Keysight Signal Generator Details / 3. Keysight Arb Details

Connection

View the connectivity type, such as LAN or GPIB, and the associated address.

Model Number

View the signal generator or Arb model number.

Serial Number

View the signal generator or Arb serial number.

Firmware Revision

View the signal generator or Arb firmware revision number.

Options

View the list of options installed on the selected signal generator or Arb.

For a complete description of the available signal generator or Arb options, see the instrument's data sheet.


Signal Generator Settings

 Go to topic Go to topic Go to topic Go to topic Go to topic Go to topic Go to topic Go to topic Go to description Go to description Go to description Go to description Go to description Go to description

Signal Generator

Clicking Signal Generator in the Closed tree view displays the Signal Generator Settings table in the node view of the main window. Click the plus [image] box or [image] arrow to expand each set of parameters.

The Signal Generator Settings table provides direct control of the signal generator parameters, similar to pushing the front panel buttons on the instrument. The values are sent to and from the signal generator using the Update to Instrument and Update from Instrument buttons. If Real Time Update is enabled, changes to the signal generator properties are sent immediately to the hardware.

The available signal generator settings are dependent on the system configuration. The supported signal generators share many of the same parameters, however, each signal generator also has a few unique parameters.

Update to Instrument

Press this button to send the software parameters to the connected instrument.

A power search is executed at the end of Update to Instrument when the RF power is on, the ALC is off, and the power search mode is set to manual or auto.

Update from Instrument

Press this button to retrieve the parameters from the connected instrument.

Local

Press this button to deactivate remote operation and return the signal generator to local (front panel) control.

Preset

Press this button to set the signal generator to a known state, either factory-defined or user-defined.

Refer to the signal generator's user's guide for information on setting a user-defined state.

DC Cal

Press this button to execute an I/Q DC Calibration to minimize errors associated with offset voltages.

DC Cal minimizes I/Q offset errors for a single frequency only, and must be repeated if the signal generator's settings change.

Download a waveform to set the correct parameters for the target instrument, and make this button available.

Power Search

Press this button to execute a manual power search calibration.

This is an internal calibration routine that improves output power accuracy when ALC is off.

Download a waveform to set the correct parameters for the target instrument, and set ALC to Off to make this button available.


1. Configuration

Instrument Model Number

Displays the selected instrument's model number.

When running the software in Simulated mode, you can double-click or use the drop-down menu to select an instrument for your configuration.


2. Basic

These parameters are overwritten by the application during a download or play.

Frequency

Range: for specified range values, see the signal generator's data sheet

Enter a value to set the signal generator’s output frequency. Use abbreviations for faster entry (example: 1g = 1.000000000000 GHz).

Amplitude

Range: for specified range values, see the signal generator's data sheet

Enter a value to remotely set the signal generator’s output amplitude.

RF Output

Double-click or use the drop-down menu to control the signal generator’s RF output state.

Frequency Offset

Range: –200 GHz to 200 GHz

Enter a value to set the signal generator’s output frequency offset. Use abbreviations for faster entry. For example: 1k = 1.000000000000 kHz.

Amplitude Offset

Range: –200 dB to 200 dB

Enter a value to remotely set the signal generator’s output amplitude offset.

Modulation

Double-click or use the drop-down menu to turn the signal generator's RF modulation on or off. This function applies to all enabled modulation, including I/Q modulation, pulse modulation, AM and FM modulation.


3. I/Q

I/Q

Choice: On | Off
Default: Off

Double-click or use the drop-down menu to control the signal generator’s I/Q state. The IQ state is dependent on the initial system configuration and will enable internal, external or wideband IQ.

This parameter is overwritten by the application during a download or play.

I/Q Adjustments

Choice: On | Off
Default: Off

Double-click or use the drop-down menu to turn the I/Q adjustments on or off.

  • On − the values entered for I and Q parameters are applied to the I and Q signals.

  • Off − I/Q adjustment values are not applied to the I and Q signals.

I Offset

Range: | ESG/PSG: –50% to 50%
 | MXG: –20% to 20%
Default: | 0.00%

Set I/Q Adjustments to On to enable this parameter.

Enter a DC offset value to apply to the I signal before the I/Q modulator. Use this offset to remove imperfections in the in-phase signal or to introduce calibrated impairments.

For more information, refer to the User Guide or Key Reference for the signal generator you are using.

Q Offset

Range: | ESG/PSG: –50% to 50%
 | MXG: –20% to 20%
Default: | 0.00%

Set I/Q Adjustments to On to enable this parameter.

Enter a DC offset value to apply to the Q signal before the I/Q modulator. Use this offset to remove imperfections in the quadrature-phase signal or to introduce calibrated impairments.

For more information, refer to the User Guide or Key Reference for the signal generator you are using.

I/Q Gain Balance

Range: for specified range values, see the signal generator's data sheet
Default: 0.000 dB

Set I/Q Adjustments to On to enable this parameter.

Enter a gain ratio, by which I gain exceeds Q gain.

For example, if you enter a value of 1 dB, the I signal will have 1 dB more amplitude than the Q signal. Use the gain balance to remove imperfections in I and Q or introduce calibrated impairments.

This parameter is not available with all instrument model numbers and may be grayed out.

Quadrature Angle Adjustment

Range: −10 to 10 degrees
Default: 0.00 degrees

Set I/Q Adjustments to On to enable this parameter.

Enter a value to adjust the Q phase angle. When the quadrature skew is zero, the phase angle between the I and Q vectors is 90 degrees. Positive skew increases the angle from 90 degrees while negative skew decreases the angle from 90 degrees.

I/Q Timing Skew Path

Choice: RF | Baseband (BB)
Default: RF

Set I/Q Adjustments to On to enable this parameter.

Double-click or use the drop-down menu to select whether the path is RF or Baseband (BB).

This parameter is not available with all instrument model numbers and may be grayed out.

This parameter is overwritten by the application during a download or play.

I/Q Correction Optimization Path

Choice: RF Output | External I/Q Output
Default: RF Output

Set I/Q Adjustments to On to enable this parameter.

Double-click or use the drop-down menu to select the I/Q Correction optimization path.

This parameter is not available with all instrument model numbers and may be grayed out.

This parameter is overwritten by the application during a download or play.

I/Q Skew

Range: | ESG/PSG: ± 2/(Arb Sample Rate)
 | MXG: −800 to 800 ns
Default: | 0.0 seconds

Set I/Q Adjustments to On to enable this parameter.

This parameter inputs skew changes to the I and Q paths, in picoseconds. A positive value delays the I signal relative to the Q signal, and a negative value delays the Q signal relative to the I signal. The ranges for the ESG/PSG are hardware dependent. For example, an ESG/PSG with an Arb sample rate of 100MHz would have a range of −20 ns to 20 ns.

This parameter is not available with all instrument model numbers and may be grayed out.

I/Q Delay

Range: −1.0 to 1.0 seconds
Default: 0.0 seconds

Range: | ESG/PSG: ± 1/(Arb Sample Rate)
 | MXG: −400 to 400 ns
Default: | 0.0 seconds

Set I/Q Adjustments to On to enable this feature.

This parameter sets the I/Q delay from triggers and markers, in picoseconds. The ranges for the ESG/PSG are hardware dependent. For example, an ESG/PSG with an Arb sample rate of 100MHz would have a range of −10 ns to 10 ns.

This parameter is not available with all instrument model numbers and may be grayed out.

Harmonic Filter Switch Point

Choice: Normal | Wide
Default: Normal

Double-click or use the drop-down menu to control the lowband harmonic filter switch points.

  • Normal − the lowband harmonic filters switch in and out normally. This position provides a possible 160 MHz RF bandwidth at the filter 3 dB point.

  • Wide − the lowband harmonic filters switch points are changed to allow wider IQ signals to pass. This position provides over 160 MHz RF bandwidth at the filter 3 dB point.

This parameter is not available with all instrument model numbers and may be grayed out.


4. ALC

ALC

Choice: On | Off
Default: On

Double-click or use the drop-down menu to enable or disable the automatic level control.

  • On − the ALC circuit constantly monitors and controls the output power level.

  • Off − no automatic leveling occurs.

This parameter is overwritten by the application during a download or play.

ALC Bandwidth

Choices: | ESG/PSG: Auto, 100 Hz, 1 kHz, 10 kHz, 100 kHz
 | MXG: 200 kHz
Default: | Auto

Select the ALC loop bandwidth from the drop-down list. Choose Auto to let the signal generator automatically select the optimized bandwidth for the current signal setup.

For waveforms with varying amplitudes, a high crest factor, or both, set the ALC loop bandwidth to 100 Hz, which is the default bandwidth set when an ARB format is turned on. Limiting the loop bandwidth of the ALC circuit prevents the ALC from sampling the fast rising edges of high-crest pulsed waveforms.

This parameter is not available with all instrument model numbers and may be grayed out.

Attenuator Hold

Double-click or use the drop-down menu to enable or disable the signal generator’s attenuator hold function.

  • On − locks the attenuator at its current setting to prevent glitches. Use this function to prevent power discontinuity normally associated with the attenuator switching during power adjustments.

  • Off − leaves the attenuator in a dynamic state. Setting the amplitude also sets the ALC level and the attenuator.

Attenuation

Range: for specified range values, see the signal generator's data sheet

Enter a value for the output attenuator. The maximum ALC Level is not available for all attenuator settings. Changing the amplitude or ALC level causes the other parameter to change by an equal amount. Choose the ALC level and attenuator value to keep the ALC at its most effective level.

Set Attenuator Hold to On to enable this parameter.

ALC Level

Range: for specified range values, see the signal generator's data sheet

Enter a value for the ALC output power level.

Set Attenuator Hold to On to enable this parameter. The ALC Level is set automatically by the Amplitude parameter when Attenuator Hold is Off.

Power Search

Choice: Manual | Auto | Span
Default: Auto

Select the power search mode from the drop-down menu.

  • Manual – power search runs with each press of the Power Search button.

  • Auto – power search automatically runs with each change to the RF frequency or power, or with each change to the I/Q modulation state.

  • Span – power search over a range of frequencies, save these values and use them while the signal generator is tuned over the specified frequency range.

Set ALC to Off to enable this parameter.

Power Search Reference

Choice: Fixed | Modulation | RMS | Manual
Default: Fixed

Set ALC to Off to enable this parameter.

Double-click or use the drop-down menu to select a fixed or modulation reference signal when doing a power search.

  • Fixed − power search uses a fixed 0.5 V reference.

  • Modulation − power search uses the RMS value of the current I/Q modulation as the reference.

  • RMS – power search uses the RMS level specified in the waveform header when doing a power search. (Internal Arb only)

  • Manual – power search uses the voltage level specified in Manual Power Search Level.

This parameter is overwritten by the application during a download or play.

Power Search Manual Level

This parameter is available for the PSG model signal generators only.

Set the voltage level used as the power search reference when the reference type is set to Manual. Setting this voltage is equivalent to varying the waveform RMS voltage and is used to provide a DC bias on the I/Q modulator that approximates the level of the modulating voltage. This parameter can be used with Wideband IQ modulation and bursted signals.

Set the Power Search Reference to Manual to enable this parameter.

RF During Power Search

Choice: Normal | Minimum
Default: Normal

Set ALC to Off to enable this parameter.

Double-click or use the drop-down menu to select the level of the output power control during a power search routine.

  • Normal − performs power searches without setting the internal step attenuator to its maximum setting. Glitches and power changes may be present during the search.

  • Minimum − sets the signal generator's step attenuator to its maximum setting during power search to protect sensitive circuits.

External ALC Hold

Choice: On | Off
Default: Off

Double-click or use the drop-down menu to enable or disable the External ALC Hold input. Not Available on the ESG or MXG.

This parameter is available for the PSG model signal generators only.


5. Dual ARB

ARB

Choice: On | Off
Default: Off

Double-click or use the drop-down menu to control the ARB state.

Turning the Arb on also turns on the I/Q and ensures that the Arb output is connected to the I/Q modulator.

This parameter is overwritten by the application during a download or play.

ARB Sample Clock

Range: for specified range values, see the signal generator's data sheet

Enter a value to set the signal generator’s sample clock frequency. Use abbreviations for faster entry (example: 1m = 1.000000 MHz).

This parameter is overwritten by the application during a download or play.

VCO Clock

Choice: Internal | External
Default: Internal

Double-click or use the drop-down menu to select the signal generator’s VCO Clock. The software does not control the instrument providing the external sample clock.

  • Internal − the signal generator uses its internal VCO Clock.

  • External − the signal generator uses an external VCO Clock.

The external VCO Clock is only available if the signal generator is an ESG or PSG model with option HEC for external clock support. See the signal generator’s user’s guide for information on VCO Clock.

This parameter is overwritten by the application during a download or play.

Waveform Runtime Scaling

Range: 1%−100%
Default: 70%

Use this parameter after downloading and synchronizing with the signal generator.

Set or change the Waveform Runtime Scaling to reduce the overshoot associated with the digital-to-analog convertor (DAC) interpolation filter. Enter a scaling value for the signal generator to apply to the waveform while it is playing. Use scaling to get the best dynamic range without overflowing the I and Q digital to analog converters. At 100 percent, some overshoot may occur; therefore the default setting is 85 percent.

This parameter is available for all systems configured with an internal Arb.

I/Q Modulation Filter

Choice: Auto | 2.1 MHz | 40 MHz | Through
Default: Auto

Use this parameter after downloading and synchronizing with the signal generator.

Double-click or use the drop-down menu to select a filter for I/Q signals modulated onto the RF carrier. The bandwidth of the baseband signal should dictate the minimum reconstruction filter bandwidth you choose. Depending on the oversampling ratio and where the image frequencies appear, you may want to select a wider bandwidth.

  • Auto − automatically selects a digital modulation filter.

  • 2.1 MHz − applies a 2.1 MHz baseband filter to the I/Q signals.

  • 40 MHz − applies a 40 MHz baseband filter to the I/Q signals.

  • Through − bypasses filtering.

This parameter is not available with all instrument model numbers and may be grayed out.

This parameter is overwritten by the application during a download or play.

I/Q Output Filter

Choice: Auto | 40 MHz | Through
Default: Auto

Use this parameter after downloading and synchronizing with the signal generator.

Double-click or use the drop-down menu to select a filter or through path for routing I and Q signals to the rear panel I/Q outputs.

  • Auto − automatically selects an I/Q output filter.

  • 40 MHz − applies a 40 MHz baseband filter.

  • Through − bypasses filtering.

This parameter is not available with all instrument model numbers and may be grayed out.

Modulation Attenuation Mode

Choice: Auto | Manual
Default: Auto

Use this parameter after downloading and synchronizing with the signal generator.

Double-click or use the drop-down menu to select the mode of the internal I/Q modulator.

  • Manual − manually set the attenuation level of the I/Q modulator using the Modulation Attenuation cell.

  • Auto − the attenuation level automatically sets to a value for best performance based on the digital modulation settings.

This parameter is not available with all instrument model numbers and may be grayed out.

Modulation Attenuation

Range: 0.00−40.00 dB
Default: 10.00 dB

Set Modulation Attenuation Mode to Manual to enable this parameter.

Set the attenuation of the I/Q signals being modulated through the signal generator RF path. Adjusting the attenuation may reduce signal distortion and improve the overall dynamic range.

When ALC is enabled, the RF output amplitude will not change while the attenuator value is changed until the ALC range is exceeded.

High Crest Mode

Choice: On | Off
Default: Off

Use this parameter after downloading and synchronizing with the signal generator.

Double-click or use the drop-down menu to enable or disable the signal generator’s high crest mode.

  • On − enables the high crest mode for externally applied signals with high crest factors. High Crest mode allows the signal generator to process high-crest-factor arbitrary I/Q waveforms with less distortion. For crest factors higher than 4 dB, you should reduce I/Q Modulation Atten levels by 1 dB for each dB above that level. High crest mode reduces the maximum output level and degrades power level accuracy.

  • Off − disables the high crest mode.

This parameter is not available with all instrument model numbers and may be grayed out.

ARB Reference

Choice: Internal | External
Default: Internal

Use this parameter after downloading and synchronizing with the signal generator.

Double-click or use the drop-down menu to select the signal generator’s ARB reference source.

  • Internal − the signal generator uses its internally generated 10 MHz signal as the reference source.

  • External − the signal generator uses an external signal as the reference frequency for the baseband I/Q signal. Connect to the rear-panel BASEBAND GEN REF IN connector. See the signal generator’s user’s guide for information on external references.

This parameter is not available with all instrument model numbers and may be grayed out.

This parameter is overwritten by the application during a download or play.

Reference Frequency

Range: 0.2500000–100.0000000 MHz
Default: 10.0000000 MHz

Set ARB Reference to External to enable this parameter.

Use this parameter after downloading and synchronizing with the signal generator.

Enter the frequency value of the external reference when using an externally supplied reference signal. See the signal generator’s user’s guide for information on external references.

This parameter is not available with all instrument model numbers and may be grayed out.


6. Dual ARB Marker Utilities

Pulse/RF Blanking

Choice: None | Marker 1–4
Default: None

Use this parameter after downloading and synchronizing with the signal generator.

Double-click or use the drop-down menu to select an RF blanking function. This parameter routes a marker signal from the internal Arb to the pulse modulator and can be used to increase the on off ratio for bursted waveforms.

  • None − disables RF blanking.

  • Marker 1 through 4 − selects a marker to activate RF blanking. This turns off the RF output signal during specific conditions determined by the marker. Do not blank longer than 100 ms due to ALC hold limit.

The software uses Marker 3 to control the RF blanking and Marker 4 for ALC settings. These settings should NOT be changed unless you are knowledgeable of how the changes will affect the waveform playback.

This parameter is overwritten by the application during a download or play.

ALC Hold

Choice: None | Marker 1–4
Default: None

Use this parameter after downloading and synchronizing with the signal generator.

Double-click or use the drop-down menu to select a marker for ALC hold. Use ALC hold when you have a waveform signal that has idle periods, or when the increased dynamic range with RF blanking is not desired.

  • None − disables ALC hold.

  • Marker 1 through 4 − assigns a marker for the ALC hold function. When the specified marker polarity is positive and the marker signal is low (no marker points), ALC hold is on, and output power leveling does not respond to changes to the signal amplitude. When the marker signal is high, the ALC samples the waveform points and averages the waveform amplitudes to set the ALC circuitry for the next ALC hold period. Limit ALC Hold to no more than 100 ms, as the ALC Level may degrade.

This parameter is overwritten by the application during a download or play.

Alternate Amplitude

Choice: None | Marker 1–4
Default: None

Use this parameter after downloading and synchronizing with the signal generator.

Double-click or use the drop-down menu to select a marker for enabling the alternate amplitude function.

  • None − disables the alternate amplitude function.

  • Marker 1 through 4 − assigns a marker for the alternate amplitude function. When the specified marker polarity is positive and the marker signal is low (no marker points), alternate amplitude is off. When the marker signal is high, the alternate amplitude function is on.

Configure the alternate amplitude parameters from the Amplitude hard key menu of the signal generator.

For more information about alternate amplitude and marker settings, refer to the signal generator's user's guide.

This parameter is not available with all instrument model numbers and may be grayed out.

Marker 1-4 Polarity

Choice: Positive | Negative
Default: Positive

Use this parameter after downloading and synchronizing with the signal generator.

Double-click or use the drop-down menu to select the active polarity for Marker 1-4.

  • Positive − the marker signal is high during the marker points.

  • Negative − the marker signal is high during the period of no marker points.

This parameter is overwritten by the application during a download or play.


7. Dual ARB Trigger

Trigger Type

Choice: Continuous | Single | Gated | Segment Advance
Default: Continuous

Double-click or use the drop-down menu to select the trigger type.

  • Continuous – selects the continuous triggering mode, which enables the signal generator to repeat the modulating signal indefinitely until you turn off the modulation format, change triggers or select another waveform.

  • Single – sets up a waveform to play once after receiving a trigger. See Retrigger Mode to configure the waveform's response to triggers.

  • Gated – sets the signal generator to the gated trigger mode, which causes the waveform (modulating signal) to repeatedly start and stop in response to an externally applied trigger signal. To use the gated trigger mode, you must also select External Trigger Source.

  • Segment Advance – controls the way the signal generator plays segments within a sequence. This includes determining whether a segment plays once or continuously, and when the sequence advances to the next segment. See also Segment Advance Mode.

This parameter is overwritten by the application during a download or play.

Trigger Source

Choice: Trigger Key | External | Bus
Default: External

Double-click or use the drop-down menu to select the trigger source. This parameter adjusts the trigger source applied to the PATT TRIG IN or AUX I/O connectors.

  • Trigger Key – selects the front panel hardkey as the trigger source. After making this selection, press the Trigger hardkey to trigger a waveform.

  • Bus – enables the sending of a SCPI command (*TRG) through the GPIB, LAN or AUXILIARY IO (RS-232) input connector to trigger a waveform.

  • External – causes a waveform to trigger from an externally supplied trigger signal.

This parameter is overwritten by the application during a download or play.

External Source

Choice: Pattern Trigger In 1 | Pattern Trigger In 2
Default: Pattern Trigger In 1

Double-click or use the drop-down menu to select the external trigger input. This parameter selects the rear-panel input for the external trigger signal. External must be selected as the trigger source.

  • Pattern Trigger In 1 – selects the PATTERN TRIG IN rear-panel BNC connector

  • Pattern Trigger In 2 – selects the AUXILIARY I/O rear panel connector

Signal generator model | Auxillary I/O connector pin number
N162A/N5182A-651, -652, -654 | External trigger input is pin number 6 on the "AUXILLARY I/O” connector on the rear panel of the instrument
E4438C-001, -002, -601, -602 | External trigger input is pin number 17 on the AUXILLARY I/O” connector on the rear panel of the instrument.
E8267C/D-001 002, 601, 602 | External trigger input is pin number 17 on the AUXILLARY I/O” connector on the rear panel of the instrument.

This parameter is overwritten by the application during a download or play.

External Polarity

Choice: Positive | Negative
Default: Negative

Double-click or use the drop-down menu to select the external trigger polarity. This parameter toggles the polarity of the TTL signal at the rear panel TRIGGER OUT connector.

This parameter is overwritten by the application during a download or play.

External Delay

Choice: Off | Time | Samples
Default: Off

Double-click or use the drop-down menu to enable the external trigger delay. The selection is active only after selecting External as the trigger source.

  • Off - disable the trigger delay.

  • Time - specify the trigger delay in seconds.

  • Samples - specify the trigger delay in sample points.

This parameter is overwritten by the application during a download or play.

External Delay Time

Range: | ESG/PSG: 10 ns to 40 s
 | MXG: 8 ns to 32 s
Default: | 1 ms

Enter a delay time from when the external trigger is received until it is applied to the waveform. This cell sets the amount of time to delay the signal generator's response to an external trigger, in 10 ns steps. The delay is a path (time) delay between the time the signal generator receives the trigger and when it responds to the trigger.

Using a time delay for the ESG/PSG external trigger will introduce jitter in the trigger signal. Use External Delay Samples to eliminate the jitter.

This parameter is overwritten by the application during a download or play.

External Delay Samples

Range: 0 to 100000000

Enter a delay in samples from when the external trigger is received until it is applied to the waveform. At a 100 MHz sample clock rate one sample is equal to 10 ns. Trigger delay in samples is not available for the MXG.

This parameter is not available with all instrument model numbers and may be grayed out.

This parameter is overwritten by the application during a download or play.

Continuous

Choice: Free Run | Trigger & Run | Reset & Run
Default: Free Run

Double-click or use the drop-down menu to select the continuous mode. This parameter selects the waveform's response to triggers when Continuous is the trigger mode (continuous waveform transmission.)

  • Free Run – plays continuously and does not respond to triggers.

  • Trigger & Run – waits for and starts on the first trigger; ignores subsequent triggers.

  • Reset & Run – waits for and starts on the first trigger; resets and plays on a subsequent trigger.

This parameter is overwritten by the application during a download or play.

Single

Choice: Buffered Trigger | No Retrigger | Restart on Trigger
Default: Buffered Trigger

Double-click or use the drop-down menu to select the Single mode. This parameter configures the waveform's response to triggers while using the single trigger mode. The response selections determine whether the waveform accepts a trigger during playback, and if it does, how it responds to that trigger.

  • No Retrigger – causes the waveform to ignore the triggers during playback.

  • Buffered Trigger – causes a waveform to accept a trigger during payback and to restart after the current play finishes.

  • Restart on Trigger – causes a waveform to accept a trigger during playback and to restart immediately after receiving a trigger.

This parameter is overwritten by the application during a download or play.

Segment Advance

Choice: Single | Continuous
Default: Continuous

Double-click or use the drop-down menu to select the segment advance mode. This parameter configures how play moves from segment to segment within a waveform sequence.

  • Single – causes the next segment in the sequence to be played once. Any currently playing segment is completed before moving to the next segment.

  • Continuous – causes the next segment in the sequence to be played continuously. Any currently playing segment is completed before moving to the next segment.

This parameter is overwritten by the application during a download or play.

Gated

Choice: Active High | Active Low
Default: Active High

Double-click or use the drop-down menu to select the gated trigger acive mode. Sets the signal generator to the gated trigger mode, which causes the waveform (modulating signal) to repeatedly start and stop in response to an externally applied trigger signal. To use the gated trigger mode, you must also select External.

  • Active High – current sequence runs while the gate signal is high and pauses when it is low.

  • Active Low – current sequence runs while the gate signal is low and pauses when it is high.

Sets the trigger active state for the gated trigger mode.

  • Gate Active = High

  • Trigger Signal State = High

    • Waveform file stops playing.

  • Gate Active = High

  • Trigger Signal State = Low

    • Waveform file plays.

  • Gate Active = Low

  • Trigger Signal State = High

    • Waveform file plays.

  • Gate Active = Low

  • Trigger Signal State = Low

    • Waveform file stops playing.

This parameter is overwritten by the application during a download or play.


8. Real-time Noise Setup

If an instrument does not have real-time noise capabilities, the noise effect does not work. Option 403 is required for real-time noise to function.

Real-time Noise

This cell enables or disables adding real-time, non-repeating additive white gaussian noise (AWGN) to the carrier being modulated by the waveform being played.

  • On – enables the addition of Real-time Noise.

  • Off – disables the addition of Real-time Noise.

The application turns real-time noise off if present in the signal generator.

Carrier to Noise Ratio

Range: –100 dB to 100 dB
Default: 0.0 dB

Enter or change the carrier to noise ratio, which is the ratio of carrier power to noise power (C/N). The carrier power is defined as the total modulated signal power before noise power is added. The noise power is the in-channel noise power. A positive value makes C larger than N.

Carrier Bandwidth

Range: 0.001 to 125 MHz
Default: 1.0 Hz

Specify the bandwidth over which the noise power is integrated for calculating the carrier to noise ratio.

Noise Bandwidth Factor

Range: 1 - 2
Default: 1

Displays the flat noise bandwidth for the applied real-time noise. (Read-only)

When Real-time Noise is enabled, the software sets the following default parameters:

  • RF Blanking: NONE

  • Oversample Ratio: 2

  • Noise Bandwidth Factor: 1

When the Sample Clock is < 50 MHz, the Noise Bandwidth Factor adjusts the RF flat noise bandwidth to be either at least 0.8 times the sample rate for a bandwidth factor of 1, or 1.6 times the sample rate if the bandwidth factor is 2.

When the Sample Clock is > 50 MHz, noise cannot be enabled if the Noise Bandwidth Factor is 2. Any oversampling in a waveform will effectively make the noise bandwidth be that many times wider than the signal bandwidth.

The Noise Bandwidth is calculated as follows:

The noise bandwidth is at least 0.8 * [ARB Sample Clock] * [Noise Bandwidth Factor]

This parameter is not available with all instrument model numbers and may be grayed out.

Noise Bandwidth

Range: 0.001 to 100 MHz
Default: 1.0 Hz

Set or change the the noise bandwidth (MHz).

This parameter is not available with all instrument model numbers and may be grayed out.


Arbitrary Waveform Generator

 Go to description Go to description Go to description Go to description Go to topic Go to topic Go to topic Go to topic

Arbitrary Waveform Generator (M9330A, N8241A, N6030A)

Clicking Arbitrary Waveform Generator in the Closed tree view provides access to the Arb's instrument controls in the main window. The available parameters vary, depending on the Arb model. This topic describes connection to the M9330A, N8241A, and N6030A. Click the plus [image] box or [image] arrow to expand each set of parameters.

The Arbitrary Waveform Generator settings provide direct control of the external Arb. These settings are only available when the system is configured for External I/Q or Wideband I/Q. The values are sent to and from the Arb using the Update to Instrument and Update from Instrument buttons. If Real Time Update is enabled, however, any changes you make are immediately sent to the instrument. Whenever you download or play a waveform, all of the current Arb settings are sent to the instrument.

Update to Instrument

Press this button to send the software parameters to the connected instrument.

Update from Instrument

Press this button to retrieve the parameters from the connected instrument.

Software Trigger 2

Press this button to provide a software trigger to the Arb.

Software Trigger 3

Press this button to provide a software trigger to the Arb.


1. Configuration (M9330A, N8241A, N6030A)

Instrument Model Number

Displays the connected arbitrary waveform generator's model number. In simulated mode, however, you can select the Arb model, which determines the maximum sample rate available. The displayed Arb properties vary according to the Arb model connected or selected.

Double-click or use the drop-down menu to enable or disable channel coupling. When enabled, several properties of channel 1 and channel 2 are coupled including: clock source, sample rate, output mode, interpolated mode and others.

I/Q Gain Balance

Range: -2.0 dB to 2.0 dB

Ceate a difference in the output voltages of channel 1 and channel 2. The ratio is 20*Log10(v1/v2). Adjust to reduce images caused during IQ modulation.

The I/Q gain balance is implemented varying channel 1 and channel 2 output amplitudes.


2. Basic

 Go to topic Go to description Go to description

2. Basic (M9330A, N8241A, N6030A)

Arb Output

Choices: On | Off
Default: Off

Double-click or use the drop-down menu to turn the Arb On or Off.

Output Voltage

Range: 0.34 V to 1.0 V
Default: External I/Q: 0.5 V; Wideband I/Q: 1.0 V

Enter a value to set the output voltage from the QArb. This value can be changed to optimize the signal broadband noise verses distortion caused in the I/Q modulation chain. Systems configured with the N603xA or N824xA Arbs support the following peak to peak voltage:

 | Range | Reset Value
External I/Q | 0.34 to 0.5 V and 0.68 to 1.0 V | 0.5 V
Option 015 | 0.34 to 0.5 V and 0.68 to 1.0 V | 1.0 V
Arb Only | 0.34 to 0.5 V and 0.68 to 1.0 V | 1.0 V

Sample Clock

Range: 156.25 MHz to 1.25GHz
Default: 625 MHz

Set the Arbitrary waveform generator sample clock frequency. The sample clock reset value is system configuration specific.

 | Arb Only | External I/Q | Wideband I/Q
Reset | 1.25 GHz | 625 MHz | 625 MHz
Minimum | 625 MHz | 156.25 MHz | 156.25 MHz
Maximum | 1.25 GHz | 1.25 GHz | 1.25 GHz

The internal clock only supports the following frequencies: 156.25 MHz, 312.5 MHz, 625 MHz, 1.25 GHz

Sample Clock Source

Choices: Internal | External
Default: Internal

Double-click or use the drop-down menu to select the sample clock source. External may be used when multiple Arbs need to be synchronized.

Do not select External for Sample Clock Source without a valid external clock present. Selecting External clock without one present causes the Arb to reset and all current waveforms will be lost.

10 MHz Reference

Choices: Internal | External
Default: External

Double-click or use the drop-down menu to select the Arb 10 MHz reference.

N6030A: 10 MHz REF IN
N8241A: AUX 10 MHz REF IN

Output Filter

Choices: Through | 250 MHz | 500 MHz
Default: 500 MHz

Double-click or use the drop-down menu to select the Output Filter.

This parameter is available for any system configured with an external Arb. It is disabled for any system configured with the internal baseband generator.


3. Trigger

 Go to topic Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description

3. Triggers (M9330A, N8241A, N6030A)

Start Trigger Source

Choice: None | Software | External | Software1-3 | External1-3 | Marker1-4 | Auxiliary
Default: Software1

Double-click or use the drop-down menu to select the Start Trigger used by the N6030A/N8241A Arb.

Stop Trigger Source

Choice: None | Software | External | Software1-3 | External1-3 | Marker1-4 | Auxiliary
Default: None

Double-click or use the drop-down menu to select the Stop Trigger used by the N6030A/N8241A Arb.

Waveform Advance Trigger Source

Choice: None | Software | External | Software1-3 | External1-3 | Marker1-4 | Auxiliary
Default: None

Double-click or use the drop-down menu to select the Waveform Advance Trigger used by the N6030A/N8241A Arb.

Waveform Jump Trigger Source

Choice: None | Software | External | Software1-3 | External1-3 | Marker1-4 | Auxiliary
Default: None

Double-click or use the drop-down menu to select the Waveform Jump Trigger used by the N6030A/N8241A Arb.

Scenario Advance Trigger Source

Choice: None | Software | External | Software1-3 | External1-3 | Marker1-4 | Auxiliary
Default: None

Double-click or use the drop-down menu to select the Scenario Advance Trigger used by the N6030A/N8241A Arb.

Scenario Jump Trigger Source

Choice: None | Software | External | Software1-3 | External1-3 | Marker1-4 | Auxiliary
Default: None

Double-click or use the drop-down menu to select the Scenario Jump Trigger used by the N6030A/N8241A Arb.

Hold Trigger Source

Choice: None | Software | External | Software1-3 | External1-3 | Marker1-4 | Auxiliary
Default: None

Double-click or use the drop-down menu to select the Hold Trigger used by the N6030A/N8241A Arb.

Resume Trigger Source

Choice: None | Software | External | Software1-3 | External1-3 | Marker1-4 | Auxiliary
Default: None

Double-click or use the drop-down menu to select the Resume Trigger used by the N6030A/N8241A Arb.

Trigger 1-4

Delay

Range: 0 to 1.63 us
Default: 0

Set the delay for the specified trigger input.

Polarity

Choice: Positive | Negative
Default: Positive

Double-click or use the drop-down menu to set the specified trigger polarity.

Sync Polarity

Choice: Positive | Negative
Default: Positive

Double-click or use the drop-down menu to set the SYNC clock edge used to sample trigger inputs.

Level

Range: –4.3 to 4.3 V
Default: 2.5 V

Set the input threshold voltage for front panel trigger ports 1 and 2.


4. Markers

 Go to topic

4. Markers (M9330A, N8241A, N6030A)

Marker 1-4

Delay

Range: –19.2 ns to 1.6 us
Default: 0 ps

Set the specified marker delay value in seconds. The marker delay may be adjusted positive or negative.

Width

Range: 0 to 1.632 us
Default: 0 ps

Set the width of the selected marker. Does not apply when the marker source = Ch1Mkr1 | Ch1Mkr2 | Ch2Mkr1 | Ch2Mkr2.

Polarity

Choice: Positive | Negative
Default: Positive

Set the polarity of the selected marker.

Source

Choice: None | Software | Ch1Mkr1 | Ch1Mkr2 | Ch2Mkr1 | Ch2Mkr2 | ScenarioRep | SeqStart | SeqRep | SeqGate | WfmStart | WfmGate | HdwrTrig1-4 | HdwrAuxTrig
Default: Marker 1 = Ch1Mkr1; Marker 2 = Ch1Mkr2; Marker 3 = Ch2Mkr1; Marker 4 = Ch2Mkr2

Double-click or use the drop-down menu to set the selected marker's source.


Arbitrary Waveform Generator (M8190A)

Clicking Arbitrary Waveform Generator in the Closed tree view provides access to the arbitrary waveform generator's instrument controls in the main window. The available parameters vary, depending on the Arb model. This topic describes connection to the M8190A. Click the plus [image] box or [image] arrow to expand each set of parameters.

The Arbitrary Waveform Generator settings provide direct control of the external Arb. These settings are only available when the system is configured for External I/Q or Wideband I/Q. The values are sent to and from the Arb using the Update to Instrument and Update from Instrument buttons. If Real Time Update is enabled, however, any changes you make are immediately sent to the instrument. Whenever you download or play a waveform, all of the current Arb settings are sent to the instrument.

Update to Instrument

Press this button to send the software parameters to the connected instrument.

Update from Instrument

Press this button to retrieve the parameters from the connected instrument.


 Go to description Go to topic Go to topic Go to topic Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description

1. Configuration (M8190A)

Instrument Model Number

Displays the connected arbitrary waveform generator's model number. In simulated mode, however, you can select the Arb model, which determines the maximum sample rate available. The displayed Arb properties vary according to the Arb model connected or selected.

Active Channel

Double-click or use the drop-down menu to select the channel being used by the application.

  • Channel 1 - Download and play a signal to channel 1 of the M8190A Arb.

  • Channel 2 - Download and play a signal to channel 2 of the M8190A Arb.

  • Both - Download and play identical signals to channel 1 and channel 2 of the M8190A Arb.

This property is only available when the software has been configured in "Arb Only" mode.

Channel Coupling

Double-click or use the drop-down menu to enable or disable channel coupling. When enabled, several properties of channel 1 and channel 2 are coupled including: clock source, sample rate, output mode, interpolated mode and others.

I/Q Skew

Enter a value to skew the channel 1 waveform relative to the channel 2 waveform with sub sample period resolution. Adjusting the I/Q skew can minimize electrical length differences between the cables and help reduce images. With good cables the adjustment is typically less than 100 ps, and probably closer to 20 ps. See Optimize the Signal Before Corrections.

The I/Q skew is implemented using the channel Course and Fine Delay properties. The initial Course and Fine Delay of each channel is set to 150 ps for zero I/Q Skew. This initial delay provides room do fine I/Q Skew adjustments and still allow for time alignment between multiple M8190A Arbs.

I/Q Gain Balance

Range: -15 dB to 15 dB

Adjust the gain balance between channel 1 and channel 2. An unbalanced gain results in images. Typically a gain balance adjustment of less than 0.1 dB is all that is needed.

The I/Q gain balance is implemented varying channel 1 and channel 2 output amplitudes.

Trigger Delay

Range: 0 ns to 9.0 ns

Enter a value to delay the signal start relative to a trigger. Use to align the output signal start of multiple M8190A Arbs.

The trigger delay is implemented using the channel Course and Fine Delay properties. The I/Q Skew and Trigger Delay properties are coupled.

Reference Source

Double-click or use the drop-down menu to select the M8190A reference source.

  • Internal - Use the internal 100 MHz reference.

  • External - Use the reference signal provide to the REF CLK IN connector on the M8190A front panel. Be sure to set the reference frequency when external is used.

  • Backplane - Use the 100 MHz reference provided by the AXIe backplane.

Reference Frequency

Range: 1 MHz to 200 MHz

Enter the frequency of the reference signal applied to the REF CLK IN connector. Use abbreviations for faster entry (example: 10m = 10.0 MHz).

Internal Sample Rate

Range:

14 Bit Direct Mode: 125 MHz to 8 GHz

12 Bit Direct Mode: 125 MHz to 12 GHz

Interpolated Mode: 1.0 GHz to 7.2 GHz

Set the internal sample clock rate. Use abbreviations for faster entry (example: 1g = 1.0 GHz).

External Sample Rate

Range:

14 Bit Direct Mode: 125 MHz to 8 GHz

12 Bit Direct Mode: 125 MHz to 12 GHz

Interpolated Mode: 1.0 GHz to 7.2 GHz

Set the external sample clock rate. Use abbreviations for faster entry (example: 1g = 1.0 GHz).

Sample Clock Out Source

Double-click or use the drop-down menu to select the clock source routed to the SAMPLE CLK OUT connector on the M8190A front panel.

  • Internal - Route the internal sample clock to the SAMPLE CLK OUT connector.

  • External - Route the sample clock signal from the SAMPLE CLK IN connector to the SAMPLE CLK OUT connector.

The software sets this to Internal when configured in "Arb Only" Mode.


 Go to topic Go to description Go to topic Go to topic Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description

2. Output (M8190A)

Channel 1/2

Accesses the properties for this channel. The properties for channel 1 and channel 2 are identical.

Clock Source

Double-click or use the drop-down menu to select the channel clock source.

  • Internal - Use the internal sample clock.

  • External - Use the external sample clock provided to the SAMPLE CLK IN connector on the M8190A front panel.

Channel 1 and Channel 2 sample clock sources are coupled when channel coupling is enabled.

The N7621B software sets Channel 1 to Internal and Channel 2 to External when configured in "Arb Only" Mode.

Output Mode

Double-click or use the drop-down menu to select the channel output mode.

  • Direct - Output a baseband signal. See Direct Mode.

  • Interpolated - Output a complex modulated signal at the specified IF frequency. See Interpolated Mode. Requires Option DUC.

Channel 1 and Channel 2 output modes are coupled when channel coupling is enabled.

Switching the output mode clears existing waveforms from memory.

Direct Mode

Double-click or use the drop-down menu to select the channel direct mode.

  • 12 Bit - Set the DAC resolution to 12 bits with a maximum sample rate of 12 GHz. Requires Option 12G.

  • 14 Bit - Set the DAC resolution to 14 bits with a maximum sample rate of 8 GHz. Requires Option 14B.

Channel 1 and Channel 2 direct modes are coupled when channel coupling is enabled.

Switching the direct mode clears existing waveforms from memory.

Interpolated Mode

Double-click or use the drop-down menu to select the up sampling ratio used in interpolation mode.

  • INTx3 - Set the ratio to 3.

  • INTx12 - Set the ratio to 12.

  • INTx24 - Set the ratio to 24.

  • INTx48 - Set the ratio to 48.

The I/Q data is automatically up sampled to match the DAC sample rate. Using a larger interpolation reduces the amount of I/Q data needed but also reduces the signal bandwidth.

Channel 1 and Channel 2 interpolated modes are coupled when channel coupling is enabled or when channel 1 and channel 2 share the same clock source.

DAC Format

Double-click or use the drop-down menu to select the DAC format.

  • RZ - DAC returns to zero between each sample. Provides the flattest amplitude response with a 6 dB loss in maximum output power when compaired to NRZ.

  • NRZ - The DAC does not return to zero between samples. Provides higher output power.

  • DNRZ- Optimized for best NRZ signal using two DACs. This is the one to use.

  • Doublet - The DAC does not return to zero between samples. Provides flatter amplitude response in second Nyquist region. Use this mode when the IF output frequency is greater than 1/2 the DAC sample rate. Dont forget to swap I/Q data to account for spectrum mirroring.

Output Route

Double-click or use the drop-down menu to select the channel output route.

  • Direct- Output is directly from DAC. This has the best IMD performance.

  • DC - Use the amplified DC output.

  • AC - Use the amplified AC output.

The AC and DC path share common output connectors on the front panel. The direct DAC path uses different connections on the front panel.

Output State

Double-click or use the drop-down menu to enable or disable the current output. The current output is determined by the "Output Route" property.

Compliment Output State

Double-click or use the drop-down menu to enable or disable the current complement output. The current complement output is determined by the "Output Route" property.

Output Voltage

Range:

Direct DAC: 200 mV to 1.40 V (peak to peak differential)

DC Output: 300 mV to 2.00 V (peak to peak differential)

AC Output: 200 mV to 2.00 V (peak to peak)

Set the peak to peak output voltage.

The Output Voltage and IQ Gain Balance properties are coupled.

See also: Carrier Scale and Output Route

Output Voltage Offset

Range:

Direct DAC: -20 mV to 20 mV

DC Output: -500 mV to 1.0 V

AC Output: Not Applicable

Set the output offset voltage.

The full voltage offset range is coupled to the current Output Voltage and the Output Route values.

Differential Offset

Range: -8192 to 8191

Set the differential amplitude offset in DAC values.

Termination Voltage

Range: -1.0 V to 1.0 V

Set the DC gain termination voltage.

Fine Delay

Range: 0 ps to 30 ps

Set the fine channel delay relative to a trigger or event.

The fine delay, I/Q Skew and Trigger Delay are coupled.

Course Delay

Range: 0 ps to 10 ns

Set the course channel delay relative to a trigger or event.

The course delay, I/Q Skew and Trigger Delay are coupled.

Carrier Scale

Range: 0.0 to 2.83

Set the carrier scale. The carrier scale is used to prevent clipping of the digital data by the DAC. The digital up conversion (DUC) process can generate values that exceed the DAC range. Clipping is prevented by setting the carrier scale to less than the maximum value. The software resets carrier scale to 2.0. This is 70% of the maximum value. Adjusting the carrier scale directly affects the signal output power and dynamic range. Larger values are better until clipping occurs.

Only available when the software is configured in "Arb Only" Mode.

See also: Amplitude

Carrier Frequency Integral

Range: 0 to 12 GHz

Set the integral part of the carrier frequency.

Only available when the software is configured in "Arb Only" Mode.

Carrier Frequency Fractional

Range: 0.0000 to 1.0000 Hz

Set the fractional part of the carrier frequency.

Only available when the software is configured in "Arb Only" Mode.


 Go to topic Go to topic Go to description Go to topic Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description

3. Auxiliary (M8190A)

Trigger Source

Double-click or use the drop-down menu to select the M8190A trigger source.

  • Internal - Use the internal trigger source. Be sure to set the trigger frequency.

  • External - Use the trigger provided to the TRIGGER IN input on the M8190A front panel. Be sure to set the trigger threshold, polarity and impedance.

Trigger Frequency

Range: 0.1 Hz to 30 MHz

Set the internal trigger frequency. Use abbreviations for faster entry (example: 1m = 1.000000 MHz).

Trigger Threshold

Range: -5.0 V to 5.0 V

Set the external trigger threshold. Use abbreviations for faster entry (example: 50m = 50 mV).

Trigger Polarity

Double-click or use the drop-down menu to select the M8190A trigger polarity.

  • Positive - Trigger on the positive going edges of the signal.

  • Negative - Trigger on the negative going edges of the signal.

  • Either - Trigger on the positive or the negative going edges of the signal.

Trigger Impedance

Double-click or use the drop-down menu to select the M8190A trigger impedance.

  • Low-50 Ohm - Set the trigger input impedance to 50 Ohms.

  • High-1K Ohm - Set the trigger input impedance to 1000 Ohms.

Event Source

Double-click or use the drop-down menu to select the M8190A event source.

  • External - Use the trigger provided to the EVENT IN connector on the M8190A front panel. Be sure to set the event threshold, polarity and impedance.

  • Trigger - Use the specified trigger signal for the event.

Event Threshold

Range: -5.0 V to 5.0 V

Set the external event threshold. Use abbreviations for faster entry (example: 50m = 50 mV).

Event Polarity

Double-click or use the drop-down menu to select the M8190A event polarity.

  • Positive - Trigger on the positive going edges of the signal.

  • Negative - Trigger on the negative going edges of the signal.

  • Either - Trigger on the positive or the negative going edges of the signal.

Event Impedance

Double-click or use the drop-down menu to select the M8190A event impedance.

  • Low-50 Ohm - Set the event input impedance to 50 Ohms.

  • High-1K Ohm - Set the event input impedance to 1000 Ohms.

Channel 1/2

Accesses the properties for this channel. The properties for channel 1 and channel 2 are identical.

Sync Marker Amplitude

Range: 0.0 V to 1.5 V

Set the sync marker output amplitude. Use abbreviations for faster entry (example: 50m = 50 mV).

Sync Marker Offset

Range: -250 mV to 1.5 V

Set the sync marker amplitude offset. Use abbreviations for faster entry (example: 50m = 50 mV).

Sample Marker Amplitude

Range: 0.0 V to 1.5 V

Set the sample marker output amplitude. Use abbreviations for faster entry (example: 50m = 50 mV).

Sample Marker Offset

Range: -250 mV to 1.5 V

Set the sampler marker amplitude offset. Use abbreviations for faster entry (example: 50m = 50 mV).


 Go to topic Go to topic Go to topic Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description

4. Status / Control (M8190A)

Channel 1/2

Accesses the properties for this channel. The properties for channel 1 and channel 2 are identical.

Sequence Mode

Double-click or use the drop-down menu to select the channel sequence mode.

  • Arbitrary - Play the specified arbitrary waveform segment.

  • STSequence - Play the specified sequence of waveform segments.

  • STScenario - Play the specified sequence of sequences.

Arm Mode

Double-click or use the drop-down menu to select the channel arm mode.

  • Armed - Set the channel arm mode to Armed.

  • Self - Set the channel arm mode to Self.

Run Mode

Double-click or use the drop-down menu to select the channel run mode.

  • Continuous - Set the channel run mode to Continuous.

  • Triggered - Set the channel run mode to Triggered.

  • Gated - Set the channel run mode to Gated.

Dynamic Control Enable

Double-click or use the drop-down menu to enable or disable dynamic control.

Dynamic Control Port Enable

Double-click or use the drop-down menu to enable or disable the dynamic control port on the M8190A front panel.

Valid Bits

Double-click or use the drop-down menu to select the valid bits on the dynamic control input port.

  • Lower Bits - Use the 13 lower bits from the dynamic control port for segment or sequence selection.

  • All Bits - Use 19 bits from the dynamic control port for segment or sequence selection.

Active Segment

Range: 1 to 524287

Select the segment to play for this channel.

Active Sequence

Range: 0 to 524286

Select the sequence to play for this channel.


Arb Only System (M9330A, N8241A, N6030A)

Clicking Arb Only System in the Closed tree view provides access to the arbitrary waveform generator's instrument controls in the main window. The available parameters vary, depending on the Arb model. This topic describes connection to the M9330A, N8241A, and N6030A. Click the plus [image] box or [image] arrow to expand each set of parameters.

The Arbitrary Waveform Generator settings provide direct control of the external Arb. These settings are only available when the system is configured for External I/Q or Wideband I/Q. The values are sent to and from the Arb using the Update to Instrument and Update from Instrument buttons. If Real Time Update is enabled, however, any changes made are immediately sent to the instrument. Whenever you download or play a waveform, all of the Arb parameters are sent to the instrument.

Update to Instrument

Press this button to send the software parameters to the connected instrument.

Update from Instrument

Press this button to retrieve the parameters from the connected instrument.

Software Trigger 2

Press this button to provide a software trigger to the Arb.

Software Trigger 3

Press this button to provide a software trigger to the Arb.


Arb Only System (M8190A)

Clicking Arb Only System in the Closed tree view provides access to the arbitrary waveform generator's instrument controls in the main window. The available parameters vary, depending on the Arb model. This topic describes connection to the M8190A. Click the plus [image] box or [image] arrow to expand each set of parameters.

The Arbitrary Waveform Generator settings provide direct control of the external Arb. These settings are only available when the system is configured for External I/Q or Wideband I/Q. The values are sent to and from the Arb using the Update to Instrument and Update from Instrument buttons. If Real Time Update is enabled, however, any changes made are immediately sent to the instrument. Whenever you download or play a waveform, all of the Arb parameters are sent to the instrument.

Update to Instrument

Press this button to send the software parameters to the connected instrument.

Update from Instrument

Press this button to retrieve the parameters from the connected instrument.


Examples

Multitone Distortion Examples

Create a Multitone Waveform

gives a basic example of creating a simple 8 tone waveform, plus these other related tasks:

  • Set the multitone corrections

  • Play a stored waveform

  • Set unequally spaced tones

  • Import and export a tone table

Create a Noise Power Ratio Signal

gives a basic example of creating an NPR signal, plus these other related tasks:

  • Set the noise offset

  • Set the NPR corrections

Modify the NPR Signal Amplitude Flatness

gives a basic example of using the Amplitude Profile feature to modify the amplitude flatness of the NPR signal.

Optimize the Signal Before Corrections

gives a basic example of how to perform an I/Q calibration and how to match time length and amplitude gain of the I and Q signal paths with wideband IQ modulation.

Export a Wideband Waveform

gives a basic example of how to export a wideband Arb waveform created with the N7621 software and to play it back independently of the N7621 software.


Create a Multitone Signal

Follow this procedure to set up a simple 8-tone signal and to perform these related tasks:

  • Set the multitone corrections

  • Play stored waveforms

  • Set unequally spaced tones

  • Import and export a tone table

  1. Start the software and configure the Closed hardware.

  2. Use the default values or configure the Closed Multitone Settings as desired.

  4. Click [image] to download and play the waveform.

  5. Configure the analyzer to view the resulting multitone signal.

Example Multitone Signal

The following figures show an example of the default settings for a Closed Wideband Arb Waveform Generator with a Frequency of 10 GHz.

  1. Configure the analyzer as follows:

  • Center frequency = 10 GHz

  • Span = 20 MHz

  • BW / Avg/ResBW = 3 KHz

  • Amplitude/Attenuation man = 22 dB

  • Sweep/Points = 2001

The analyzer display should look similar to the figure below. Notice the IMD range and values.

Return to top

Set the Multitone Corrections

All instruments must share a common 10 MHz reference in order for the corrections to work properly.

  1. Configure the Closed Multitone Settings as follows:

  • Set Place Tone on Carrier = On

  • Corrections = On

  2. In the Closed IMD Suppression Bands pane, press Add.

  3. Set the Start Frequency to –15MHz (use the Tab key to enter data and move to the next cell).

  4. Set the Stop Frequency to 15 MHz.

Notice the Closed Tone Preview panel display of the suppression bands.

  5. Click [image] to download and play the waveform.

A progress window similar to the figure below will appear during the correction process.

Green indicates that the IMD suppression level has been achieved, red indicates that the suppression level has not been achieved. The Amplitude Accuracy field shows the achieved tone flatness. The flatness correction may be disabled.

Set the input attenuator for the spectrum analyzer to at least 20 dB so the distortion from the spectrum analyzer does not affect the multitone signal.

  6. Click Close after the correction process is complete.

Clicking Abort will leave the last signal generated in the Arb. This signal contains the corrections up to the abort.

Example Multitone Correction

The figure below shows a corrected multitone signal based on the default configuration for a Closed Wideband Arb Waveform Generator.

  1. Configure the analyzer as follows:

  • ResBW = 3 kHz

The correction algorithm corrects everything that is at Tone Frequency Resolution inside the specified suppression band. The correction algorithm views images as IMDs that are in-band. IMD and images can occur in the same place. The correction algorithm corrects IMD that is related to the baseband signal and cannot correct spurs that come from the PSG even if the spurs are within the suppression band. In fact, the correction may make the spurs worse.

Click Closed here for additional IMD information.

At 1 GHz the non-harmonic (spur) specification is -74 dBc. Corrected for 17000 tones this becomes -74 + 10*log10 (# of tones), or approximately -31 dBc.

IMD suppression has a similar type of equation for maximum suppression: 90 – 8*log10 (# of tones) dBc.
For example, the best possible suppression for a single tone is 90 dBc; for 10 tones it is 82 dBc; for 100 tones it is 74dBc.

Return to top

Play Stored Waveforms

Waveforms are stored in the Arb. You can play the stored waveforms directly from the user interface by changing the waveform name.

  1. Configure the software as follows:

  • Waveform Name = MULTITONE2

  • Tone Count = 3

  • Corrections = Off

  2. Click [image] to download and play the waveform.

  3. Change Waveform Name = MULTITONE

  4. Click [image] to Play the waveform.

This will play the previously stored waveform named MULTITONE from the signal generator memory.

Notice that the signal parameters in the Multitone Settings window no longer match the MULTITONE waveform. Clicking [image] at this point will overwrite the MULTITONE waveform stored in memory.

Return to top

Set Unequally Spaced Tones

  1. Configure the software as follows:

  • Waveform Name = MULTITONE3

  • Tone Count = 8

  • Update Tone Table Automatically = Off (prevents changes to the tone table from being overwritten)

  • Tone Frequency Resolution = 500 KHz

  • Corrections = On

Be sure to use the largest common denominator for the Tone Frequency Resolution to avoid unnecessary correction time.

  2. On the Tone Table, change Tone 3 to -1.5 MHz as shown below.

  3. Click [image] to download and play the waveform. The PSG display should look similar to the figure below.

Return to top

Import and Export a Tone Table

In addition to entering tone table information directly from the user interface, tone tables can be imported as .txt files. They can also be exported to .txt files for later use.

  1. To export a tone table, click Closed Export in the Tone Table pane.

  2. Save the tone table file as a .txt file as shown below.

  3. View the tone table .txt file and notice that the data is space delimited. The columns represent On or Off (1 or 0), frequency (Hz), power (dBm), and phase (degrees).

  4. Import a tone table file by clicking Closed Import in the Tone Table pane, then selecting the .txt file that contains your tone table data.

Return to top


Create a Noise Power Ratio Signal

Create a Noise Power Ratio Signal (NPR)

Follow this procedure to create a noise power ratio signal and to perform these related tasks:

  • Set the NPR noise offset

  • Set the NPR corrections

  1. Start the software and configure the hardware.

  2. From the Closed Mode menu, select Closed Noise Power Ratio (NPR).

  3. Use the default settings or configure the Closed NPR Settings as desired.

  4. Click [image] to download and play the waveform.

  5. Configure the analyzer to view the signal.

Example NPR Signal

The following figures show an example of the default settings for a Closed Wideband Arb Waveform Generator with Calibration.

  • RF Output = On

  • Frequency = 10 GHz

  • Noise Offset = 1 MHz

  1. Configure the analyzer as follows:

  • Span = 100 MHz

  • ResBW = 10 KHz

The analyzer display should look similar to the figure below.

  2. Change the settings to:

  • Span = 5 MHz

  • Select Marker

Notice the carrier feedthrough at 10 GHz.

Return to top

Set the NPR Noise Offset

  1. To offset the notch and noise away from the carrier, set the Closed Noise Offset = 1 MHz.

  2. Click [image] to download and play the waveform.
    Notice that the PSG marker is at 9.999 GHz but the notch itself is still centered around 10 GHz.

Return to top

Set the NPR Corrections

  1. Configure the Closed NPR Settings as follows:

  • Corrections = On

  • Apply Amplitude Accuracy Adjustment = On

  • Desired Suppression = 70 dBc

  2. Click [image] to Download.
    A progress window will appear during the correction process. In this case the correction algorithm may not achieve the 70 dB suppression in all tones.

  3. Click [image] to Play the waveform.

  4. Configure the analyzer:

  • ResBW = 300 Hz

Return to top


Modifying the Amplitude Flatness

Modify the NPR Signal Amplitude Flatness

Amplitude Profile

The Amplitude Profile feature of the N7621 Multitone Distortion application allows you to modify the amplitude flatness of a Noise Power Ratio (NPR) signal. Two examples are presented here. Example 1 will work with most hardware configurations. Example 2 requires a PSG and a Wideband Arb. Both examples use the “TestAmplitudeProfile.txt” file included in the Multitone Distortion\ApiExample directory.

Example 1- Internal Arb

  1. Start the software and configure the system for a Closed Internal Arb Waveform Generator with Calibration using a PSG, ESG, MXG or EXG.

  2. From the Closed Mode menu, select Closed Noise Power Ratio (NPR).

  3. Configure the Closed NPR Signal Frequency and Amplitude as follows:

  • RF Output = On

  • Frequency = 1 GHz

  • Amplitude = 0 dBm

  4. Configure the Closed NPR Settings as follows:

    vale

  • Tone Count = 801

  • Tone Spacing = 100 kHz (This results in an 80 MHz noise bandwidth.)

  • Amplitude Profile = Closed TestAmplitudeProfile.txt example file

  • Corrections = Off

  5. Click [image] to download and play the waveform.

The text file Closed TestAmplitudeProfile.txt contains simulated data from 900 MHz to 1100 MHz and from 9 GHz to 11 GHz, and represents cable attenuation versus frequency.

Amplitude Profile File

The Closed Amplitude Profile file contains two columns. The first column is the absolute frequency in Hz, the second column is the amplitude response in dB or dBm.

The data must be sorted from lowest frequency to highest frequency without duplicate frequency data points. The application interpolates between data points and uses the end points for frequencies beyond the lowest and highest frequencies.

The figure below shows the amplitude profile display of the NPR mode using the settings from step 1 through 4 above.

Amplitude Accuracy Adjustment Disabled (default)

When the Apply Amplitude Accuracy Adjustment is disabled, the Amplitude Profile file must contain the measured amplitude response of both the signal generator and the signal path outside of the signal generator.

The figure below contains the amplitude profile generated using the Closed TestAmplitudeProfile.txt data.

Return to top

Example 2 - Wideband Arb

  1. Start the software and configure the system for a Closed Wideband Arb Waveform Generator with Calibration using the N6030A Arb.

  2. From the Closed Mode menu, select Closed Noise Power Ratio (NPR).

  3. Configure the Closed NPR Signal Frequency and Amplitude as follows:

  • RF Output = On

  • Frequency = 10 GHz

  • Amplitude = 0 dBm

  4. Configure the Closed NPR Settings as follows:

  • Tone Count = 1001

  • Tone Spacing = 1 MHz (This results in a 1 GHz noise bandwidth.)

  • Amplitude Profile = Closed TestAmplitudeProfile.txt example file

  • Corrections = Off

  5. Click [image] to download and play the waveform.

The text file Closed TestAmplitudeProfile.txt contains simulated data from 9 GHz to 11 GHz and represents cable attenuation versus frequency, as shown in the figure below.

Amplitude Profile File

The Closed Amplitude Profile file contains two columns. The first column is the absolute frequency in Hz, the second column is the amplitude response in dB or dBm.

The data must be sorted from lowest frequency to highest frequency without duplicate frequency data points. The application interpolates between data points and uses the end points for frequencies beyond the lowest and highest frequencies.

The figure below shows the amplitude profile display of the NPR mode using the settings from step 1 through 4 above.

The Amplitude Profile can be used with or without the NPR application's Closed Apply Amplitude Accuracy Adjustment.

Amplitude Accuracy Adjustment Disabled (default)

When the Apply Amplitude Accuracy Adjustment is disabled, the Amplitude Profile file must contain the measured amplitude response of both the signal generator and the signal path outside of the signal generator.

The figure below contains the amplitude profile generated using the Closed TestAmplitudeProfile.txt data.

The ripple in the plot is from the RF output path of the signal generator. The TestAmplitudeProfile.txt file does not contain any information to correct the RF signal generator output profile.

Amplitude Accuracy Adjustment Enabled

When the Apply Amplitude Accuracy Adjustment is enabled, the correction measurement will characterize the amplitude profile of the signal generator and signal path up to the spectrum analyzer. It corrects for the signal generator flatness and then adds the correction needed by the response in the Amplitude Profile file. The figure below shows this correction.

When providing the amplitude profile of the signal generator by sweeping a sine wave in the wideband I or Q input, be sure to turn the ALC off.

There are several harmonic and/or spur filters in the RF output path. Be sure to characterize the RF output on both sides of the filter switch points. The following figures show the signal generator amplitude response at 5 GHz and 5.000000001 GHz.

Flatness at 5 GHz

Flatness at 5.000000001 GHz (5.5 GHz low pass filter switched out)

Return to top


Optimizing the Wideband IQ Signal

Optimize the Signal Performance Before Corrections

Perform an I/Q Calibration to Minimize Carrier Leakage

If the ESG/PSG I/Q calibration has not been performed recently, or the instrument's environment has changed, it is recommended that you run the I/Q calibration procedure by pressing the I/Q key on the front panel of your signal generator. The I/Q key accesses a menu that enables you to set the start and stop frequency for a user-defined I/Q calibration, or choose an I/Q calibration over the entire frequency range of the signal generator. In this menu you can also restore the original factory calibration data for the I/Q modulator. The N7621 software has a signal generator instrument control panel that allows you to adjust the I and Q offsets from the software as well as the instrument's front panel.

The I/Q calibration adjusts the DC offsets into the I/Q modulator to minimize carrier leakage. It also insures that the I/Q modulator is in Quadrature to help minimize images. It may be possible to reduce the carrier leakage even further by using the I and Q offset adjustments on the ESG/PSG.

An I/Q calibration should be performed approximately every 30 days, but it can be performed at any time to peak the performance of the I/Q modulator.

I/Q calibration data is not affected by a preset or by a power cycle.

When performing an I/Q calibration on an E8267D-015, make sure there is no signal present at the wideband I/Q inputs while executing the IQ calibration. There are no internal switches to disconnect the I/Q inputs during a calibration. Having any signal present on the wideband I/Q inputs will cause the calibration to be incorrect and in some cases to fail outright.

Optimize the Wideband IQ Signal

Use this procedure to match the time length and amplitude gain of the I and Q signal paths when using Wideband IQ modulation. Following this process will help the correction measurement to achieve its best results.

1. Start the software and configure the system for a Closed Wideband Arb Waveform Generator with Calibration using the N6030A or N8241A AWG.

  2. From the Closed Control menu, select Play Test Signal.

The analyzer display should look similar to the figure below — a typical IQ test signal with no adjustments.

  3. Use the IQ Skew and IQ Gain Balance parameters to minimize images.

The Gain Balance should be less than a few tenths of a dB. The IQ Skew should be less than a few hundred pico seconds.

  4. Click [image] to download and play the waveform. (A download and play is required to apply each change to IQ Skew or IQ Gain Balance.)

The analyzer display should look similar to the figure below — a typical IQ test signal with IQ Skew and Gain Balance adjustments.

  5. Experiment with different IQ Skew and IQ Gain Balance values until the images reach a minimum value.

The IQ Skew and IQ Gain Balance values determined here can also be used in the NPR application.


Export waveform

Exporting a Waveform to the M9330A, N8241A, and N6030A Wideband Arb

Follow this procedure to export a wideband Arb waveform created with the N7621B software and to play it back independently of the N7621B software.

  1. Configure the hardware for a wideband Arb.

  2. Generate a waveform either with or without corrections and download it to the hardware.

  3. Export the waveform.

  1. From the File menu, select Closed Export Wideband Arb Data...

  2. Navigate to the location where you want to save the file.

  3. Enter a name for the file and click Save.

The waveform file will automatically be saved as the following 4 files:

  • <filename>Ch1.bin

  • <filename>Ch2.bin

  • <filename>Mkr1.bin

  • <filename>Mkr2.bin

You must be connected to hardware for the Export Wideband Arb Data... parameter to function.

  4. Save the signal generator settings.

  1. From the File menu, select Closed Save As...

  2. Navigate to the location where you want to save the file. (Consider saving it in the same location as the waveform file in step 3.)

  3. Enter a name for the file and click Save.

  5. On the wideband Arb, start the control utility.

  6. Load the four *.bin files into the wideband arb using the control utility as shown in the figure below.

  7. Match the software settings for the signal generator and wideband arb to the control utility settings for the signal generator and wideband arb.

The output voltage is listed differently in the N7621 software and the control utility. Make sure to account for this when you verify that the values match. The N7621 software lists the output voltage as a peak-to-peak value; the control utility lists the output voltage as a peak value.

  8. Shut down the N7621 software.

  9. Now you can play the waveform directly on the wideband Arb.


API Control

The Signal Studio software includes a full Microsoft .NET-based application programming interface (API) as an alternative to manually entering data in the Signal Studio graphical user interface. Using API, you can automate the entire signal configuration and playback process in a programming environment of your choice.

API Introduction

Information on accessing API help, references and usage requirements.

Sample API Programs

Information to guide you in using the API examples, included with the software, that can be modified for your application.

Updating Older API Programs

API programs written for older versions of the N7621 software may need to be updated to work correctly with N7621B software version 3 and later. This topic provides detailed information on the subject.

LabVIEW

  • Using the API with LabVIEW

Instructions on using Signal Studio .NET APIs with LabVIEW.

  • LabVIEW Multitone Example

Description of the included LabVIEW VI example multitone file.

  • Error Messages

List of codes and messages for N7621B software exceptions.

Agilent.SignalStudio.N7621 Namespace

N7621B API help topics.


API Introduction

This software includes a full API, meaning that it has the same functionality as the UI.

Programmable control of the Signal Studio for multitone distortion software is possible through the built-in .NET API. The API Help is included in TOC of the main N7621B help. Alternatively, you can open the standalone API help document at:

Win7 64-bit and XP 32-bit:

C:\Program Files\Keysight\SignalStudio\Multitone Distortion\doc\N7621ApiHelp.chm

Win7 32-bit:

C:\Program Files (x86)\Keysight\SignalStudio\Multitone Distortion\doc\N7621ApiHelp.chm

Refer to www.keysight.com/find/signalstudio for the latest software updates.

If you elect to install the software in a directory other than the default directory during the installation process, you will need to consider this change from the default directory when looking for these files.

The Keysight N7621B software provides an Application Programming Interface to its Component Object Model, or COM API. This API, known as COM Callable Wrapper (CCW), is automatically generated from N7621 .NET API during installation.

For help on classes, enumerations, methods, properties and events, please refer to .NET API help content.

Following are some COM API details for COM programmers:

Reference name (for early binding in Visual Basic 6.0 and Visual Basic scripts) - Keysight Signal Studio for multitone distortion

ProgID - Agilent.SignalStudio.N7621.MDist

Other details for advanced users - Refer to Agilent.SignalStudio.N7621.xml.in your installation's \bin folder.

You can find COM API example programs (for Visual Basic 6.0 users) in your installation's ApiExamples folder. See Sample API Programs for more information.

Many of the links in the N7621B Documentation Class Library API help require the Microsoft Visual Studio .NET integrated development environment (IDE) to work. Without the development environment, those links appear broken. After you obtain and download the IDE, the links will work.

Refer to www.keysight.com/find/signalstudio for the latest software updates.

Sample API Programs

When you install the Signal Studio software, sample API program files are included with the installation. You can use these sample API programs as a starting point to develop your own API programs using Microsoft Visual C# .NET or a similar IDE application.

Numeric format

This software recognizes only US-style decimal points ("."). It does not support localized decimal points such as commas. Example:

0.90E+09 2.0

TestAmplitudeProfile.txt, located in your installation's ApiExamples folder, provides a more complete example. See Sample API Programs for more information.

Language Requirements

You must set the API locale to "en-US," using the following commands, prior to starting the user main routine:

// Sets the culture to English (US)
Thread.CurrentThread.CurrentCulture = new CultureInfo("en-US");

// Sets the UI culture to English (US)
Thread.CurrentThread.CurrentUICulture = new CultureInfo("en-US");

Loading .NET Mixed-Mode Assemblies

The .NET Framework 4.x allows you to load pure managed assemblies built in any version of the .NET Framework. However, for some Signal Studio applications, API usage involves assemblies that are not pure .NET CLR. In these cases, you must configure your program (e.g. User_App.exe) to load .NET mixed-mode assemblies using the following steps:

  1. Open a text editor.

  2. Copy the following text into the text editor:

    <?xml version ="1.0" encoding="utf-8" ?>

    <configuration>

    <startup useLegacyV2RuntimeActivationPolicy="true">

    <supportedRuntime version="v4.0"/>

    </startup>

    </configuration>

  3. Save this new configuration file in the same directory as User_App.exe. Name the file User_App.exe.config.

  4. Re-launch User_App.exe.

References

The Microsoft.NET home page.
Developing Microsoft.NET Skills.
"Migrating Native Code to the .NET CLR," by Don Box.
Troelsen, Andrew. C# and the .NET Platform. New York: Apress, 2001.


Sample API Programs

Several sample API programs are provided to illustrate the basic program flow for automating signal configuration and playback in a .NET programming environment. They are placed in the following locations when you install the software:

Windows 7

C:\Users\Public\Public Documents\Keysight\Multitone Distortion\ApiExamples

Windows XP

C:\Documents and Settings\All Users\Keysight\Multitone Distortion\ApiExamples

If you have existing API programs written for older versions of the N7621 software, they may need to be updated to work correctly with N7621B software version 3 and later. See Updating Older API programs for details.

Basic Program Flow

  1. Create API object.

  2. Configure the instrument connection.

  3. Test IO connections.

  4. Configure the waveform.

  5. Enable corrections

  6. Generate and download the waveform to the signal generator.

  7. Play the signal

Before editing the sample programs, make backup copies of all files. To save the files, you will need to right-click each file, select Properties, and de-select the Read-only attribute.

SimpleDownload Sample Project

The SimpleDownload sample project (...\ApiExamples\DotNet\SimpleDownload\SimpleDownload.sln), provides a simple, basic program to generate and download waveforms using API commands.

To view the code, open SimpleDownload.sln using the Microsoft Visual C# .NET application as shown in the figure below, or open SimpleDownload.cs using another text editor, such as Notepad.

Figure 1. Source code of SimpleDownload.cs in Microsoft Visual C# .NET

To view the .NET GUI, click the SimpleDownload.cs [Design] tab as shown in the figure below.

Figure 2. API Graphical User Interface displayed in Microsoft Visual C# .NET

Return to top


Updating Older API Programs

Release 3 and later of the N7621B software utilizes both the Microsoft .Net 4.0 and .Net 3.5 dll components. Release 3 and later also utilizes certain dll components based on the Windows platform and installed N7621B version (32-bit for XP or 64-bit for Win7). For these reasons, older API programs need to be modified.

When the N7621B software is installed on 64-bit operating systems, the Multitone API may not correctly handle function calls from other 32-bit applications.

If you want to use an API program that was written for N7621 versions 2.x and earlier, you will need to make the following updates:

  1. Update the project's app.config configuration file
    1. Make sure your project/solution has an app.config file. If app.config exists, proceed to step 1.b. If not, add a configuration file to the project:
      1. In Visual Studio's Solution Explorer, right-click the project and select Add > New Item...
      2. In the Add New Item dialog, select Application Configuration File from the list and click Add.
    2. Add the following line to the app.config configuration file:
      <startup useLegacyV2RuntimeActivationPolicy="true">

      You can find an example app.config file at C:\Program Files\Keysight\Signal Studio\Multitone Distortion\bin\. It contains the following:
      <?xml version="1.0"?>
      <configuration>
      <startup useLegacyV2RuntimeActivationPolicy="true">
      <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.0"/>
      <requiredRuntime version="v4.0.20506" />
      </startup>
      </configuration>
  2. Change the project's Platform target and Target framework settings
    1. In Visual Studio's Solution Explorer, right-click the project and select Properties
    2. In the Build tab, set Platform target: to Any CPU
    3. In the Application tab, set Target framework: to .NET Framework 4


Using API in LabVIEW

Using Signal Studio .NET APIs in LabVIEW

This topic provides instructions (outlined below) for using Signal Studio .Net APIs in LabVIEW.

  • Load .NET Mixed-Mode Assemblies

  • Creating .NET Objects in the Block Diagram

    • Step 1: Configure the Constructor Node

    • Step 2: Configure Properties for Methods for the .NET Object

    • Step 3: Wire the Added .NET Nodes

    • Step 4: Run the VI

  • Example LabVIEW VIs using Signal Studio APIs

  • .NET Topics in LabVIEW Help

Load .NET Mixed-Mode Assemblies

The .NET Framework 4.0 allows you to load pure managed assemblies built in any version of the .NET Framework and LabVIEW loads the .NET Common Language Runtime (CLR) 4.0 by default. However, for some Signal Studio applications, API usage involves assemblies that are not pure .NET CLR. In these cases, you must configure LabVIEW to load .NET mixed-mode assemblies using the following steps:

  1. Open a text editor.

  2. Copy the following text into the text editor:

    <?xml version ="1.0" encoding="utf-8" ?>

    <configuration>

    <startup useLegacyV2RuntimeActivationPolicy="true">

    <supportedRuntime version="v4.0.30319"/>

    </startup>

    </configuration>

  3. Save this new configuration file in the same directory as LabVIEW.exe. Typically the directory is C:\Program Files (x86)\National Instruments\LabVIEW 2014. Name the file LabVIEW.exe.config.

  4. Re-launch LabVIEW.

Creating .NET Objects in the Block Diagram

Signal Studio APIs do not provide graphical controls, so most of the usages of APIs should be done in the Block Diagram view of LabVIEW (Window > Show Block Diagram).

Step 1: Configure the Constructor Node

  1. Add the Constructor Node to the block diagram to launch the Select .NET Constructor dialog box.

  2. Select an assembly, objects, and constructors for a .NET object.

    First, right click the constructor and choose Select Constructor..., then browse to the Signal Studio software installation directory to select the assembly (.dll or .exe) that provides the API interfaces. Select the appropriate Object and Constructor.

    Choose which assembly, object, or constructor according to your testing needs and also by looking at the related API help contents shipped with the Signal Studio software.

    • API related topics in the main help file (Help > Contents)

    • API referenc help file (Help > API Reference)

Step 2: Configure Properties for Methods for the .NET Object

Right click the Constructor node to select a Method node.

Step 3: Wire the Added .NET Nodes

After all the needed nodes are created, wire them up (using the reference and error input/output connectors of the nodes) to execute the API test flow/procedure.

When wiring the whole test procedure up, you may need to add other nodes (e.g. a numeric constant), or a front panel control (in the Window > Show Front Panel view, to do runtime control) to the block diagram as appropriate.

Some properties may be “read only” so you may need to right-click the property and select Change To Write to assign value to the property.

Select Help > Show Context Help to open the Context Help window. Context Help is useful in wiring the correct type of node/control to the property node.

Your block diagram will look something like this:

Step 4: Run the VI

After all the nodes/controls are wired up correctly, you can try to run the VI by clicking the play button on the toolbar.

It is important to add a method node to call Dispose() as the last step in the block diagram to release/clean up some resources associated with the API usage.

Example LabVIEW VI using Signal Studio API

Use the multitone

An included LabVIEW VI example file loads an N7621B Multitone Distortion setting file and then downloads and plays the signal. See LabVIEW Example for Multitone Distortion for more information.

To run the VIs, LabVIEW and the Signal Studio software need to be installed on your PC.

.NET Topics in LabVIEW Help

Refer to the LabVIEW help for more detailed information about using .NET objects. The image below shows where to find this information or you search on "Creating .NET Objects on the Block Diagram."


LabVIEW Example for Multitone Distortion

The example file MultitoneExample_SimpleRecallAndPlay.vi was created using LabVIEW 2015. It loads an N7621B Multitone Distortion setting file and then downloads and plays the signal. The setting file contains both a Multitone and NPR signal. The signal is generated at 1 GHz RF. You can find the LabVIEW example file at:

C:\Users\Public\Public Documents\Keysight\Multitone Distortion\ApiExamples\LabVIEW\MultitoneExample_SimpleRecallAndPlay.vi

Here is a view of the LabVIEW virtual instrument (VI):

LabVIEW VI Properties

The user can set the following properties in the LabVIEW VI:

Signal Generator IQ Inputs – The signal input source.

  • InternalArb – Uses the arb inside the signal generator (PSG, ESG, MXG, EXG).

  • ExternalArb – Uses the External IQ inputs on the signal generator (PSG, ESG, MXG, EXG).

  • WidebandArb – Uses the Wideband IQ inputs (option 016) on the PSG signal generator.

  • ArbOnly – Use the N8241A, N6030A, M9330A or M8190A Arb to generate the signal.

The example works for InternalArb, ExternalArb and WidebandArb.

The example will also work for ArbOnly when the Arb is an M8190A.

Signal Generator Address – This is the address used to connect to the signal generator.

The connection can be made using LAN, GPIB or USB.

TCPIP0::192.168.0.1::INSTR

GPIB0::19::INSTR

This property must be set for InternalArb, ExternalArb and WidebandArb.

It is ignored when using ArbOnly.

Arb Address – This is the Arb address when using a separate Arb.

The connection can be made using LAN or PXI depending on the Arb

TCPIP0::192.168.0.1::INSTR

The property must be set when using ExternalArb, WidebandArb or ArbOnly.

Signal Analyzer Address – This is the address used to connect to the signal analyzer.

The connection can be made using LAN, GPIB or USB.

TCPIP0::192.168.0.2::INSTR

GPIB0::18::INSTR

This property must be set when Corrections are enabled.

Leave empty to NOT configure a Signal Analyzer as part of the system.

Arb is an M8190A – When true the separate Arb is an M8190A.

This property must be set when configured for ExternalArb, WidebandArb or ArbOnly mode.

The default is false.

Current Measurement Mode – Select signal type Multitone or NPR.

This property must be set and defaults to Multitone.

Corrections Enable – Enable corrections when a Signal Analyzer Address is set.

This property must be set and defaults to false.

Setting File – This is the N7621B Multitone setting file to be opened then downloaded and played.

It uses a default setting file “DefaultMTandNPRforLabVIEW.mtd” in this directory. This file can be opened using the N7621B GUI for further inspection.

The Multitone Signal contains 8 tones spaced 1 MHz apart.

Here is the Multitone signal at 1 GHz.

Here is the same multitone signal after corrections. Note the reduced IMD products.

The NPR Signal is 80 MHz wide with a 1% notch (800 kHz) in the center.

Here is the NPR signal at 1 GHz.

Here is the same signal with corrections enabled. Note the RF flatness and notch depth improvement.


Error Messages List

Error Messages

Typically in .NET, the user will experience a .NET exception when something goes wrong. In LabVIEW, all .NET exceptions are bundled under a single error code 1172. LabVIEW also reports the .NET exception message with the error 1172. To aid the LabVIEW user, the Multitone Distortion software has an error number embedded at the beginning of each .NET exception message. The error number can be parsed off and processed if desired.

In the following example, the error 1172 displays the LabVIEW exception message followed by an "Inner Exception," which is the is a Multitone Distortion-generated error 9111, where the application is unable to connect to the instrument at TCPIP address 141.121.151.0:

In the .NET error messages list below, the placeholders {0}...{n} represent variables that are replaced/filled with specific error details about where the error occurred, as shown in the above example.

Argument Out Of Range Exception

2001 | {0} value exceeds limit [{1}, {2}].
2002 | {0} clipped, range is [{1}, {2}].
2003 | The {0} Must be between [{1} and {2}].
2101 | Suppression band # {0} {1} frequency exceeds maximum possible frequency for the current configuration and sample rate.
2102 | Cannot set Tone Count while Tone Table Auto Update is disabled.
2103 | Phase Value clipped, range is [{0}, {1}].
2104 | The Tone Frequency Resolution cannot be set when ToneTableAutoUpdate is Enabled.
2105 | Tone Frequency Resolution clipped to {0} limit: [{1}].
2106 | User specified sampleRate and waveform size set {0} Tone Frequency Resolution limit: [{1}].
2107 | User specified sampleRate and waveform size set Tone Frequency Resolution to integer multiples of: [{0}].
2108 | Tone # {0} frequency exceeds maximum possible frequency for the current configuration and sample rate.
2109 | Tone Count clipped, range is [{0}, {1}].
2110 | Tone Spacing clipped, range is [{0}, {1}].
2111 | User specified sampleRate and waveform size control Tone Spacing resolution and range to [{0}, {1}].
2112 | Noise Offset clipped, range is [{0}, {1}].
2113 | Notch Offset clipped, range is [{0}, {1}].
2114 | Notch Width clipped, range is [{0}, {1}].
2115 | The Desired Suppression value exceeds limit [{0}, {1}].
2116 | Sample Rate value exceeds limit [{0}, {1}].
2117 | Waveform Size value exceeds limit [{0}, {1}]. And the waveform size must be a multiple of {2} points.
2118 | Waveform Name truncated to 22 characters.
2119 | Invalid Waveform Name.
2120 | IQSkew value exceeds limit [{0}, {1}].
2121 | IQ Gain Balance value exceeds limit [{0}, {1}].
2122 | Marker {2} Start value exceeds limit [{0}, {1}].
2123 | Marker {2} Length value exceeds limit [{0}, {1}].
2124 | Cannot adjust amplitude value when using an N6030A/N8241A/M9330A system.
2125 | User specified sampleRate and waveform size control Tone Spacing resolution and range to [{0}, {1}].
2126 | The PSG-C does not support External Trigger Delay in Samples
2127 | The Output Voltage must be between [{0} and {1}].
2128 | The Voltage Offset must be between [{0} and {1}].
2129 | Sync Marker {0} exceeds limits [{1}, {2}].
2130 | Sample Marker {0} exceeds limits [{1}, {2}].
2131 | The PSG-C does not support Power Search Manual Level.
2132 | The Output Voltage exceeds limit is [{0}, {1}] or was adjusted for IQ Gain Balance.
2133 | Marker {0} Delay exceeds limits[{1}, {2}].
2134 | Marker {0} Width exceeds limits[{1}, {2}].
2135 | Trigger {0} Delay exceeds limits[{1}, {2}].
2136 | Trigger {0} Level exceeds limits[{1}, {2}].
2137 | The Signal Generator {0} value exceeds limit [{1}, {2}].

Application Exception

9001 | Simulated System
9002 | Tone Spacing was adjusted based on current setup.
9003 | Export tone table error: {0}.
9004 | Export NPR Amplitude Profile: {0}.
9005 | Tone count changed to an odd number.
9006 | The Waveform Size cannot be set when Sample Rate Calculation is Auto.
9007 | The Sample Rate cannot be set when Sample Rate Calculation is Auto.
9008 | The Signal Analyzer Alignment is disabled.
9009 | The array sizes for Waveform Names, Repetitions, and Marker Enables must be the same.
9010 | Unable to measure IMD. No suppression bands specified.
9011 | Tone count is at its {0}, unable to {1} tones.
9012 | The tone table {0}.
9013 | The RF Frequency is {0} than the {1} frequency {2}.
9014 | The signal Amplitude is {0} than the {1} amplitude supported by the signal generator {2} dBm.
9015 | The required RF signal bandwidth and the center frequency exceeds the capabilities of the Arb. Reduce the Tone Count, the Tone Spacing, and/or set the Frequency to the center of the Arb bandwidth ({0}).
9016 | The required RF signal bandwidth exceeds the capabilities of the signal generator.
9017 | The Tone {0} was adjusted based on the capabilities of the current setup. Download again to generate the adjusted signal.
9018 | The Tone Frequency Resolution is not consistent with the Tone Table Frequencies values.
9019 | Invalid {0}.
9020 | Download already in progress.
9021 | The Amplitude Profile {0}.
9022 | Cannot correct waveform without a spectrum analyzer configured in the system.
9023 | The waveform name array, the repetitions array, and the marker enable array must contain the same number of entries.
9024 | The sequence {0}.
9025 | Unable to measure {0}.
9026 | No tone in the tone table has 0 dB amplitude.
9027 | The {0} Generator and the Spectrum Analyzer do not share a common 10 MHz reference. Correction aborted.
9028 | The {0} limits have not been initialized.
9029 | The maximum desired signal frequency{0}exceeds the system capabilities. Reduce the tone count and/or reduce the tone spacing. For multitone it may also help to reduce the IMD correction start and stop frequencies. For NPR it may also help to disable the Noise Offset Calculation.
9030 | Unsupported External Trigger Delay Mode <Sample>.
9031 | Could not do {0}.
9032 | The waveform {0} exceeds the maximum waveform size of {1} points.
9033 | The waveform {0} is smaller than the minimum waveform size of {1} points.
9034 | The waveform {0} must be a multiple of {1} points.
9035 | The waveform {0} exceeds the available waveform size of {1} points for channel {2}. Delete waveform segments or clear Arb memory.
9036 | The Arb sequence memory is full. The sequence {0} exceeds the {1} sequence size of {2}. Delete sequences or clear Arb memory.
9037 | There are not any available waveform segment pointers. Delete waveform segments or clear Arb memory.
9038 | Internal clock source cannot be used for both channels if they have different output modes.
9039 | Channel coupling should be always '{0}' for active channel: {1}.
9040 | Cannot use sample clock out 'Internal' if both channels have external clock source and different output modes.
9041 | Interpolated mode is not supported. Option 'DUC' is not installed.
9042 | Error: Negative number of references to N6030/N8241A/M9330A Arb IO at address {0}.
9043 | Error: Unable to close N6030/N8241A/M9330A Arb IO session because there is no such connection at address: {0}.
9044 | Sequence must contain two or more waveform segments.
9045 | Sequence data arrays (Waveform Names, Repetitions, Marker Enables) must be the same size.
9046 | Waveform File Not Found: {0}.
9047 | Power Search Failed or timed out.
9048 | The spectrum analyzer is aligning.
9049 | Update To Instrument Failed -
9050 | Not enough memory to store spectrum analyzer state. Make more room so that application can store current state.

Unsupported Instrument Exception

9101 | Model {0} is not supported signal generator.
9102 | Model {0} is not supported spectrum analyzer.
9103 | The Arb Waveform Generator {0} is not one of the supported models {1}.
9104 | Invalid signal generator: {0}.
9105 | The Arb Waveform Generator {0} has incompatible options {1}.
9106 | The Arb Waveform Generator {0} requires the following options {1}.
9107 | The Arb Waveform Generator {0} prefers firmware revision {1} or later.

Unsupported Operation Exception

9108 | The function is not implemented.
9109 | Must have an E4438C without option UNB to access alternate amplitude marker routing.
9110 | Real time noise not supported in wideband mode.

Cannot Make Connection Exception

9111 | Unable to make connection to {0}.
9112 | Unable to make connection to the M9330A/N824xA/N603xA Arb at {0}.
9113 | Arb does not support a connection with: {0}.
9114 | Error: The Keysight M9330A/N8241A IVI-C Driver is required to connect to the M9330A/N824xA/N603xA Arb.

Unsupported IQ Inputs Exception

9115 | ESG does not support {0}.
9116 | MXG does not support {0}.
9117 | The PSG signal generator requires Option {0} for wideband.
9118 | The PSG signal generator requires Option {0} differential wideband.

Abort Suppress IMD Exception

9119 | SuppressIMD abort.
9120 | Need option 403 to access real time noise.

Exception

9401 | The hardware system has not been configured.
9402 | {0} is an invalid Settings File.
9403 | File {0} Not Found.
9404 | Arb External Clock Not Found.
9405 | External Clock Signal Not Found. The Arb was reset and existing waveforms and sequences were lost. Make sure external clock signal is present.
9406 | Multitone Distortion Failed to import.
9407 | Signal Generator Failed to import.
9408 | Controller Failed to export.
9409 | {0} IO not established.
9410 | {0} Firmware update required.
9411 | Amplitude Profile file contains duplicate frequency values {0}.
9412 | Cannot correct the signal because the Signal Generator is unleveled.
9413 | Cannot correct the signal because power search failed.
9414 | Error: Unable to query the model number.
9415 | Waveform Segment {0} Not Found.
9416 | {0:s} AGN6030A IVI-C driver returns {3} 0x{1:X} {2:s}.
9417 | Unable to access serial number.
9418 | Update driver to 1.20 or higher.
9419 | Error: The connected N603xA/N824xA Arb has option SL1 (No Sequencer) and is not supported by this application.
9420 | Sequence {0} Not Found.
9421 | Advanced Sequence {0} Not Found.
9422 | Cannot {0} the instrument. Please try "Run System Configuration Wizard" under System Menu to re-configure the system.
9423 | Spectrum Analyzer not configured as part of the system.

API Application Exception

API Setting Invalid

9801

{0}

API Unsupported

9802

{0}

API Reference of a null object

9803

{0}


Troubleshooting

Software Problems | identifies common software problems and solutions.
Interface Problems | gives help on communication problems between the PC and the signal generator.
Waveform Download Problems | describes problems with downloading generated waveform data to a signal generator for playback.
Instrument Problems | describes measurement or operation problems with the signal generator.
Printing Problems | describes how to resolve common printing problems.
Error Messages List | provides a list of error codes and messages, organized by exception type.


Software Problems

"Restricted User" cannot run Signal Studio application

Cause: When a "Restricted User" tries to run the Signal Studio application without the correct security permissions, an unhandled exception error message indicates that access is denied.

Solution: The administrator must set the correct user permissions in the Signal Studio installation folder. See the instructions in User Permissions.

Baseband generator DAC over range error

Cause: The number of frames and some baseband filter selections (such as NONE) can result in a high crest factor, causing digital to analog converter (DAC) overflow.

Solution: Reduce the runtime scaling value. For example, 50 percent or less.

Signal generator front panel keys do not work

Cause: Downloading the waveform places the signal generator in remote operation, which deactivates the front panel operation.

Solution: On the ESG/PSG/MXG, press the Local key to restore front panel operation.

An Authorization dialog box or license error message appears

Cause: A license file for a signal generator being used cannot be found on the PC or in the instrument.

Solution: The software requires a license to be fully functional. You must have either a permanent license or a non-expired 14-day trial license for each signal generator being used. Make sure that any permanent license file is in the directory: C:\Program Files\Keysight\Signal Generation License Files\Drop on your computer. To get a free one time 14-day trial license or purchase a permanent license, see Licensing.

"FW version is not valid" appears in the Note column of the Instruments window

Cause: The current firmware version of the signal generator needs to be upgraded.

Solution: See system requirements for information on updating the required firmware.

"Connection failed" appears in the Note column of the Instruments window.

Cause: The instrument connection via LAN or GPIB may not be properly enabled.

Solution: Verify that all equipment is properly connected and that any LAN or GPIB interface has been correctly installed and configured. (See Keysight IO Libraries.) Ensure that the GPIB or LAN information that you entered in the Instrument window matches the instrument and interface you are using.


Interface Problems

If you experience problems communicating with or controlling instruments over the LAN or GPIB, check the following items. If this does not solve the problem, refer to the utility Connection Expert, installed with the Keysight IO Libraries. Full information on using Connection Expert is available in the IO Libraries Suite Online Help.

Troubleshooting the GPIB Interface

  1. Ensure that the cable and all connectors are undamaged.

  2. Ensure that the GPIB cable is securely connected to the PC and the signal generator.

  3. Verify that the GPIB address entered in the software matches that of the ESG. In the software, click Hardware in the tree view to view the GPIB settings.

  4. Validate the connection. Select an ESG connection and click Test I/O Connection. Observe the results to verify that the software is connecting to the ESG.

  5. Review the information about installing Keysight I/O libraries.

National Instruments GPIB Card

If you are using a National Instruments (NI) GPIB card and errors occur when you download a waveform, follow steps 1-3 below. If you have both an Keysight and a National Instruments GPIB card installed, and you want to use the Keysight card, you will also need to perform steps 4-5.

  1. Uninstall any Keysight IO Libraries that you have previously installed.

  2. Ensure that you have both the NI PCI card drivers and NI VISA installed, and verify that the NI card is working.

  3. Reinstall Keysight IO Libraries version 15.1. If you select a "Custom” installation, make sure the "Keysight VISA as primary VISA” is unchecked in the Select Features window. This is the default setting for a "Typical” installation.

Continue with steps 4-5 only if you have both Keysight and NI GPIB cards installed.

  4. Open National's Measurement and Automation Explorer (MAX).

  5. Select Tools > NI-Visa > Visa Options > Passports. Ensure the NiVisaTulip.dll box is checked.

Troubleshooting the LAN Interface

If the ESG is connected directly to a computer, use a crossover LAN cable; if the ESG is connected to a network/external server, use a standard LAN cable.

  1. Ensure that the cable and all connectors are undamaged.

  2. Ensure that the LAN cable is securely connected to the PC and the signal generator.

  3. Ensure that the instrument LAN connectors are active: flashing green or yellow lights indicate LAN activity.

  4. Verify that the Hostname or IP address entered in the software matches that of the signal generator. In the software, click Hardware in the tree view to view the LAN settings.

  5. Validate the connection. Select an ESG connection and click Test I/O Connection. Observe the results to verify that the software is connecting to the ESG.

  6. Run the 'ping' program:

  1. On the computer go to Start > Programs > Command Prompt (or DOS).

  2. At the C:\> prompt, enter ping <IP address>,
    where <IP address> is the ESG's IP address.

  3. If the signal generator does not respond, contact your IT department for help.


Waveform Download Problems

License Errors

If you attempt to download a waveform and the waveform license is not found or is expired, an error message displays in the status bar and the status window. See Licensing for information on resolving license errors.

Download Takes a Long Time

If the signal generator connects directly to the PC using a crossover LAN cable and downloading a waveform takes a long time, or there are connection problems even if the ping command is successful, add the signal generator's IP address and hostname to the Hosts file. The Hosts file is a common way to map a hostname to an IP address. (For more information on Hosts files, go to www.microsoft.com and search on "example hosts file.")

Depending on the operating system, you will find the Hosts file in one of the following directory paths:

C:\Winnt\System32\Drivers\Etc\

C:\Windows\System32\Drivers\Etc\

Procedure

  1. In a text editor such as Notepad, open the Hosts file.

  2. Write the IP address for the signal generator at the bottom of the file. (Refer to the example of a hosts file below.)

  3. Save the file and close the text editor.

Do not use "Save As" when saving the Hosts file; this file does not have a file extension.

Example Hosts File

# Copyright (c) 1993-1999 Microsoft Corp.

#

# This is a sample HOSTS file used by Microsoft TCP/IP for Windows.

#

# This file contains the mappings of IP addresses to host names. Each

# entry should be kept on an individual line. The IP address should

# be placed in the first column followed by the corresponding host name.

# The IP address and the host name should be separated by at least one

# space.

#

# Additionally, comments (such as these) may be inserted on individual

# lines or following the machine name denoted by a '#' symbol.

#

# For example:

#

#   102.54.94.97   rhino.acme.com   # source server

#    38.25.63.10   x.acme.com       # x client host

<xxx.xxx.xxx.xxx> localhost

<xxx.xxx.xxx.xxx> <signal generator hostname>


Instrument Problems

No RF Signal Displayed on the Spectrum Analyzer

If the spectrum analyzer display indicates that there is no RF signal, the signal generator, spectrum analyzer, or both, could have problems. To isolate the problem it is best to substitute a known good RF source in place of the signal generator. The signal generator may appear to have no or low output. Leave the signal generator connected to the signal analyzer as shown in the instrument setup figure. Turn on the equipment and perform the following steps:

  1. Check the error messages in the signal generator and spectrum analyzer. If possible, correct the conditions indicated by the messages.

  2. Ensure that the signal analyzer and signal generator connectors are clean and in good condition. Check to see that the RF cable connecting the signal generator and spectrum analyzer is the correct cable and that it is not damaged or broken.

  3. Put the signal generator and signal analyzer in Local mode.

  4. Turn off the signal generator and spectrum analyzer and then turn them both back on.

  5. Set the following signal generator parameters:

Frequency: 1 GHz
RF Power: 0 dBm
RF Out: On
MOD: Off

  6. Set the following spectrum analyzer parameters:

CF Frequency: 1 GHz
Span: 500 MHz or Start Frequency:0.5 GHz and Stop Frequency: 1.5 GHz
Ref Level: 10 dBm

There should be a signal displayed on the spectrum analyzer. If there is no signal, perform the following:

  1. Disconnect the RF cable from the spectrum analyzer and check the RF power using an RF power meter. If the power meter reads approximately 0 dBm, then the problem is with the spectrum analyzer. If the power meter reading is wrong, then continue with step 2.

  2. Disconnect the RF cable from the signal generator and check the signal generator RF output power using an RF power meter. If the power reads approximately 0 dBm, the problem is with the RF cable. If the power level is wrong, the problem is with the signal generator.

You can also substitute a known good signal source in place of the signal generator. If the spectrum analyzer displays a signal with the new source, then the signal generator probably has a problem. If there is still no signal on the spectrum analyzer, the problem is probably with the spectrum analyzer.

No Communication with the Signal Generator or Spectrum Analyzer

  1. Ensure that the correct IO Libraries are installed on your PC.

  2. Perform the Keysight IO Libraries GPIB and LAN configurations.
    Refer to the Keysight Signal Studio Software Installation Guide. for more information on configuring and troubleshooting the interface.

  3. Ensure that you are using a valid TCP/IP address. A long time-out when entering the TCP/IP address may indicate that it is incorrect.

  4. Verify that the Host file is correct.

  5. Run the Closed ping program.

    1. From the computer, go to Start > Run, type command then click OK.

    2. At the C:\> prompt, type ping <IP address>, where <IP address> is the signal generator's IP address or hostname.

    3. If the signal generator does not respond, contact your IP department.

    4. Type exit in the command prompt window then press Enter.

  6. For more information on the 'ping' program, refer to the Keysight Signal Studio Software Installation Guide.

Signal Generator

Error Messages

  1. Check the signal generator for any error messages. If possible, correct any conditions indicated by the messages.

When a setting conflict (error) occurs, an error number and a brief message appear at the bottom of the signal genertor display. You can view the full text of the error message either by using the front panel of the signal generator or by executing SCPI commands.

Front Panel: | On the ESG/PSG, press Utility > Error Info. On the MXG, press the Error hardkey.
SCPI: | Execute the SCPI error commands described in the System Subsystem located in the SCPI Command Reference.

  2. Refer to the ESG, PSG, or MXG documentation for further troubleshooting.

  3. Contact a Keysight Technologies Service Center.

Front Panel Keys Do Not Work

Downloading the signal configuration places the signal generator in remote operation mode, which deactivates front panel operation. To restore front panel operation to the signal generator, press the Local key on the signal generator, or press the Local button in the software.

Computer

  1. Verify that the equipment meets the minimum requirements, as described in the system requirements.

  2. Refer to the computer's documentation for troubleshooting and repair.


Printing Problems

Printing Popup Topics

The Popup Text Prints Over Existing Topic

When you click the print icon [image] while a popup is active, the printer prints the popup text over the existing topic text. The popup text has to be printed separately from the topic text. This procedure demonstrates how to print the popup text separately.

  1. Activate the popup.

  2. Move the cursor over the popup text.

  3. Right-click.

If the popup closes, reopen it and make sure that the cursor is over the popup when you right-click.

  4. From the menu that appears, choose Print.


Release Notes

3.1.20 - May, 2016

3.1.18 - April, 2016

3.1.12 - October, 2015

3.1.9 - June, 2015

3.1 - September, 2014

3.0 - October, 2013

1.4.9 - February, 2010

1.4 - May, 2009

1.3 - June, 2008

1.2 - November, 2007

1.1.0.0 - July, 2007

1.0.29.0 - June, 2007

3.1.20 – May, 2016

Enhancements:

  • Added support for N9010B EXA, N9020B MXA, and N9030B PXA Signal Analyzers

3.1.18 – April, 2016

Enhancements:

  • NPR Amplitude Profile

    • Improved amplitude profile out-of-date reporting

    • Increased amplitude profile range to -30 dB to +200dB with limitations. See Amplitude Profile in the N7621B help for more information.

    • Added checking of Amplitude Profile file last write time to be sure latest data is used.

    • Added 900 MHz to 1100 MHz profile data to Amplitude Profile example file to work with ESG and MXG.

  • Added error code numbers to error messages

  • Added MultitoneDistortion.ClearCalibration() method to API

  • Added LabVIEW example and documentation

Bug fixes:

  • Fixed a problem where users could not save settings when configured in wideband IQ simulation mode with N8241A Arb.

  • Fixed a problem where Amplitude Profile file was scaled incorrectly when used as a way to create multiple notches.

3.1.12 – October, 2015

Bug fixes:

  • Added the Dispose() .NET API call to prevent crashes in LabVIEW. See the LabVIEW help topic for more information.

  • Fixed an error condition when connecting to an M8190A AWG without option 14B.

3.1.9 – June, 2015

Enhancements:

  • Minor rebranding changes

  • Added support for the N9040B UXA Signal Analyzer

3.1 – September, 2014

Enhancements:

  • Applied Keysight brand to software.

    As a result of re-branding, certain software installation folders on your PC have been renamed from "Agilent" to "Keysight." This can cause errors with existing API programs attempting to access the old folder name. In these cases, you must modify the reference path in your program.

3.0 – October, 2013

Enhancements:

  • Support for Windows 7 (32/64 bit)

  • Newly supported hardware:

    • M8190A wideband arbitrary waveform generator (FW version 2.4.3.1 or higher)

    • N5172B/N5182B vector signal generator with Internal Arb (FW version B.01.40 or higher)

1.4.9 – February, 2010

Enhancement:

  • Added support for the N9030A X-Series (PXA) Signal Analyzer for correction measurement.

1.4 – May, 2009

Enhancements:

  • Added wideband IQ below 3.2 GHz (PSG-D with option H18 or 018)

  • Added option HBQ (bandwidth-limited wideband IQ inputs)

  • Newly supported hardware:

    • E8267D PSG Option H18

    • N9010A and N9020A X-Series (EXA and MXA) Signal Analyzers for correction measurement

    • N603xA and N824xA half-rate external Arb waveform generators

  • Added the ability to enable or disable the Shift RF Filter Switch Points feature

Bug fixes:

  • Corrected some support issues with PSG Option H18/018.

  • Fixed a bug that incorrectly set Arb sample rates for half-rate external Arb waveform generators.

  • Fixed a problem where using amplitude profile would cause the application to hang.

  • Adjusted NPR amplitude profile numeric format to comply with US decimal standard.

  • Corrected a problem where wideband spectrum below 250 MHz was inverted.

1.3 June, 2008

Enhancement:

  • Added support for the N5162A MXG ATE vector signal generator.

1.2 – November, 2007

Bug fix:

  • Corrected a bug that was preventing installation of the N7621 Signal Studio for Multitone Distortion on a system with Agilent IO Libraries Suite Version 15.0 or higher.

1.1.0.0 – July, 2007

Bug fix:

  • The 14-day trial license now works correctly.

1.0.29.0 – June, 2007

This is the initial release of the N7621 Signal Studio for multitone distortion software that is used to generate multitone and noise power ratio (NPR) test signals.

Features:

Features depend on installed hardware and firmware options in the signal generator.

  • Supports N5182A MXG, E8267C/D PSG, and E4438C ESG signal generators

  • Control signal generator functions remotely through the software

  • Automatic programming interface (API) for automating signal creation

  • Flexible licensing: fixed, transportable, and time-based

  • Configure distortion-free two-tone and multitone test signals, with up to 4097 tones (IMD suppression > 70 dBc)

  • Configure a NPR test stimulus with up to 100 MHz noise BW, notch depth >60 dBc, and +/- .5 dB noise flatness

  • Control magnitude and phase (random, parabolic, or constant phase) for individual tones with presets across tones to control CCDF characteristics

  • Reduce carrier feedthrough issues using tone/noise/notch offset capability

  • Sequence waveforms with the API for smooth transition between signals

  • Control frequency, amplitude, and ALC, markers, triggering, and more

  • Automate signal configuration and generation using the COM and .NET API

  • Apply pre-distortion to enhance signal quality and minimize test uncertainty

  • Download waveform files over LAN and GPIB


Additional Information

Contacting Keysight Technologies

For more information on Keysight Technologies’ products, applications or services, please contact your local Keysight office.

Americas

Canada (877) 894 4414

Brazil 55 11 3351 7010

Mexico 001 800 254 2440

United States (800) 829 4444

Asia Pacific

Australia 1 800 629 485

China 800 810 0189

Hong Kong 800 938 693

India 1 800 112 929

Japan 0120 (421) 345

Korea 080 769 0800

Malaysia 1 800 888 848

Singapore 1 800 375 8100

Taiwan 0800 047 866

Other AP Countries (65) 6375 8100

Europe & Middle East

Austria 0800 001122

Belgium 0800 58580

Finland 0800 523252

France 0805 980333

Germany 0800 6270999

Ireland 1800 832700

Israel 1 809 343051

Italy 800 599100

Luxembourg +32 800 58580

Netherlands 0800 0233200

Russia 8800 5009286

Spain 0800 000154

Sweden 0200 882255

Switzerland 0800 805353

Opt. 1 (DE)

Opt. 2 (FR)

Opt. 3 (IT)

United Kingdom 0800 0260637

For other unlisted countries:

www.keysight.com/find/contactus

(BP-07-10-14)


Crossover LAN

Configuring for a Crossover LAN

To set up your system for a crossover LAN connection (direct connection between a PC and instrument), do the following:

Configure the PC

This procedure is based on Windows XP. These steps will vary for Windows 2000.

  1. From your PC's Control Panel, double-click Network Connections > Local Area Connection.

  2. In the Local Area Connection Properties dialog box, highlight Internet Protocol (TCP/IP). Ensure that the check box remains selected.

  3. Click Properties.

  4. Select Use the following IP address (radio selection).

  5. Enter 1 once for each of the four areas that make up the IP address. After your entries, the IP address should show 1.1.1.1.

  6. Click the Subnet mask entry field; an address appears.

  7. Click OK to accept the configuration.

  8. Close the Local Area Connection Properties dialog box.

  9. Close the Network Connections window.

To Reconfigure for a LAN Connection

  1. Reconnect the LAN cable.

  2. From your PC's Control Panel, click Network Connections > Local Area Connection.

  3. In the Local Area Connection Status dialog box, click Properties.

  4. In the Local Area Connection Properties dialog box, highlight Internet Protocol (TCP/IP). Ensure that the check box remains selected.

  5. Click Properties.

  6. Select the Obtain an IP address automatically option or enter your system IP address.

  7. Click OK to accept the configuration.

  8. Close the Local Area Connection Properties dialog box.

  9. Close the Local Area Connection Status dialog box and the Network Connections window.

Configure the Signal Generator

  1. Turn on the signal generator.

  2. Use the appropriate key-press sequence for the signal generator you are using:

    EXG or MXG: Utility > I/O Config > LAN Setup > Manual Config Settings > IP Address

    ESG or PSG: Utility > GPIB/RS-232 LAN > LAN Setup > IP Address

  3. Record the current IP address.

  4. Enter 1.1.1.2 as the new IP address.

  5. Press Enter > Proceed with Reconfiguration > Confirm Change.

    The signal generator reboots, completing the LAN reconfiguration.

Configuring Additional Instruments

To configure additional instruments, such as a spectrum analyzer, increment the IP address for each additional instrument by one. For example, use 1.1.1.3 as the IP address for a third instrument and 1.1.1.4 for a fourth instrument. Refer to the user documentation of the instrument you want to add for specific crossover configuration information.


Available Licenses

Free Trial License

A one-time, 14-day, free trial license enables the licensed instrument to play waveforms created with any of the software's optional capabilities. When the trial license expires, the instrument no longer plays the waveforms and the software displays an expiration notice when you attempt to download a waveform to the instrument. After the license expires, you must purchase a valid fixed or transportable license to enable your instrument to play the waveforms. Check trial license availability for your instrument.

Purchased Licenses

Fixed License

A fixed license is assigned to a specific instrument and cannot be transferred to another instrument. Fixed licenses are either perpetual (permanent) or time-based (1-month duration). Only perpetual licenses can be upgraded.

When a time-based fixed license expires, the instrument no longer plays the waveforms and the software displays an expiration notice when you attempt to download a waveform to the instrument. After the license expires, you must purchase a valid fixed or transportable license to enable your instrument to play the waveforms.

Transportable License

A transportable license is transferable from one instrument to another up to 10 times per month, but can be used on only one instrument at a time. Transportable licenses are perpetual (permanent) and can be upgraded. To transport a license, you will need the following:

  • Keysight License Manager (KLM) software

  • PC with an internet connection

  • LAN connection between PC running the KLM software and instruments (direct or networked)

  • Instruments connected to the internet (recommended, but not required)

Related Topics

Moving a Transportable License

Viewing the Remaining Time on a License

Waveform Licensing


Receiving the Entitlement Certificate

When you purchase a software license, you will receive a Software Entitlement Certificate. Redeem this certificate to receive the software license. Keep this certificate in a safe place for future reference.

Record the order number and the certificate number.

You will also need your instrument's model number and serial number.

On EXG, MXG, ESG, and PSG signal generators, press Utility > Instrument Info > Diagnostic Info to view these numbers.


Trial License

To request a trial license, you must provide your contact information along with the model number and serial number of the instrument for which the trial license is being issued.

  • On PSG, MXG, EXG, and ESG signal generators, press Utility > Instrument Info > Diagnostic Info to obtain these numbers.

After completing your request, you will receive an email message that includes the trial license and instructions for installing the license.

Before requesting a trial license, verify that the instrument and PC meet the system requirements.

To request a trial license now, continue to the software licensing website.

Terms and Conditions

A trial license is available that enables you to evaluate this Signal Studio software product prior to purchase. The trial license enables all of the capabilities of the Signal Studio software product for 14 days and will be issued only once per host instrument. The trial period begins when the license is issued through the Keysight Software Licensing website and is non-renewable. To begin your trial, download and install the Signal Studio software and request your trial license as instructed above.

Check trial license availability for your instrument.


Trial License Availability

The N7621B software supports the 14 day Trial license (N7621B-TRL) for all of the supported hardware:

  • PSG/MXG/EXG/ESG Signal Generators
  • M8190A and N8241A/N6030A/M9330A Arbitrary Waveform Generators


Getting the Latest Revision of Help

Keysight frequently updates the Signal Studio online documentation (help system). Your software may not have the latest revision of help installed. This topic describes how to access and install the latest revision of help into your Signal Studio software.

Where to Access the Latest Help

  1. Visit the Signal Studio web page at http://www.keysight.com/find/signalstudio.

  2. At the bottom of the page, click the link for your Signal Studio model.

  3. Under the Technical Support tab, click Manuals. Links to both a downloadable compiled help file (.chm) and a web-viewable help system (webhelp) appear.

  4. Compare the date shown for the .chm file on the web page to the compiled date shown on the main menu page of your software's installed help system. If the compiled date of your software's installed help system is earlier than the date shown on the web page, you may want to consider installing the latest revision of help into your software by using the procedure below.

Installing the Latest Revision of Help in Your Signal Studio Software

  1. Before installing the latest revision of the help file into your software, make sure it still supports the features of your existing software revision. You can make this determination by comparing your software's revision number to the latest software revision number listed in the release notes of the help system available on the Keysight website. If the first digit of your software's revision number (for example, 4.0) matches the most recent revision number listed in the release notes (for example, 4.1), you can be confident that the latest help file will support the features of your current software and contain updated information. If the first digit of the most recent software revision listed in the release notes is greater than your current software revision (for example, 5.0), you may want to consider downloading the latest version of software instead.

  2. Move the existing installed help file to a safe place on your PC. This ensures you can restore it later if you discover the new help file does not suit your needs. If you installed your Signal Studio software with the default directories, the help file (for example, N7621Help.chm) is located in C:\Program Files\Keysight\Signal Studio\<application name>\.

Do not move the API help file (for example, N7621ApiHelp.chm) if it exists.

  3. Download the latest help file (.chm) for your Signal Studio model from the Keysight website and copy it to the same directory from which you moved the existing help file in the previous step.

  4. Verify that the new help file can be accessed from the software by selecting Contents, Index, or Search from the Help drop-down menu.


Connection Diagrams

External IQ System Configuration

Internal Arb System Configuration

Wideband IQ System Configuration

External IQ System Configuration

Internal Arb System Configuration

Wideband IQ System Configuration


Downloading and Installing the Keysight License Manager

4. Downloading and Installing the Keysight License Manager

Installation: 1 2 3 4 5 6 7

You must install a license on the instrument you will use to play the waveforms generated by the Signal Studio software. If you will be using a LAN connection between the PC running the Signal Studio software and your instrument, use the Keysight License Manager to install the Signal Studio license in the instrument.

Download the Keysight License Manager, free of charge, at the following website: http://www.keysight.com/find/licensemanager. At the prompt, select Run to install the software directly, or select Save to save a copy to your PC.

For more information about Signal Studio licenses, see Licensing.

For detailed information about installing Signal Studio licenses, see Installing the License.


External Upconversion

External Upconversion and Downconversion Procedure

The N7621 Signal Studio for multitone distortion software supports the use of an external mixer for signal frequency upconversion or downconversion. The software can be configured to use the products of the mixer's sum or difference.

The software does not control any hardware associated with the external conversion, nor does it control the external LO frequency or amplitude.

When correctly configured, the N7621 software Frequency and Amplitude values refer to the frequency and amplitude at the Closed output of the external conversion. Three parameters are provided for external conversion: Frequency Offset, Amplitude Offset, and Mirror Spectrum.

The Frequency Offset value is used by the N7621 software to correctly set the spectrum analyzer frequency during correction measurements. It also allows you to work using the final output frequency value.

The Amplitude Offset parameter is used by the N7621 software to account for external gain or loss. The correction measurement expects to find the output signal within a 10 dB amplitude window. If additional gain or loss is experienced during the conversion enter the actual value in the amplitude offset parameter.

The Mirror Spectrum parameter is used to mirror the frequency spectrum. It is only required when using the mixer difference products to achieve the desired output frequency.

Upconversion Using the Mixer Sum Products

Using the mixer sum products to upconvert the signal frequency is illustrated in the following two figures. A benefit to using the sum products is, that once the Frequency Offset is set in the N7621 software, the Frequency value reflects the actual output frequency after the conversion. A change to the software frequency value results in a one to one change in the actual output frequency. However, this is not the case when using the mixer difference products.

The Frequency Offset is equal to the LO Frequency when using the mixer sum products for upconversion.

Example values for upconversion using the mixer sum products, where:

  • Frequency = N7621 Frequency value, and the actual frequency after conversion

  • Frequency Offset = N7621 Frequency Offset value; also entered into the ESG/PSG

  • FESG/PSG = Actual frequency produced by the ESG/PSG

  • FLO = LO Frequency

  • FESG/PSGDisplay = Frequency displayed on the ESG/PSG front panel

Frequency | Frequency Offset | FLO | FESG/PSG | FESG/PSGDisplay
17 GHz | 15 GHz | 15 GHz | 2 GHz | 17 GHz
18 GHz | 15 GHz | 15 GHz | 3 GHz | 18 GHz
32 GHz | 20 GHz | 20 GHz | 12 GHz | 32 GHz
33 GHz | 20 GHz | 20 GHz | 13 GHz | 33 GHz
3 GHz | –10 GHz | 10 GHz | 13 GHz | 3 GHz
2 GHz | –10 GHz | 10 GHz | 12 GHz | 2 GHz
1.5 GHz | –10 GHz | 10 GHz | 11.5 GHz | 1.5 GHz

Downconversion Using the Mixer Sum Products

Using the mixer sum products to downconvert the signal frequency is illustrated in the following figure.

The LO frequency must be less than the actual frequency from the ESG/SPG signal generator.

As you may recall, once the Frequency Offset is set in the N7621 software, the Frequency value reflects the actual output frequency after the conversion. A change to the software frequency value results in a one to one change in the actual output frequency.

The Frequency Offset is equal to minus the LO frequency when using the mixer sum products for down conversion.

  • Frequency Offset = –FLO.

Conversion Using the Mixer Difference Products

The N7621 software supports upconversion and downconversion with the products of the mixer's difference. However, the Frequency Offset value must be recalculated each time the frequency is changed.

Upconversion requires that the LO frequency be greater than twice the signal generator frequency.

The spectrum is not the same as the ESG/PSG. Set Closed Mirror Spectrum to correct this.

The Frequency Offset value is:

  • Frequency Offset = FLO – 2*FESG/PSG

Example values for upconversion using the mixer difference products, where:

  • Frequency = N7621 Frequency value, and the actual frequency after conversion

  • Frequency Offset = N7621 Frequency Offset value; also entered into the ESG/PSG

  • FESG/PSG = Actual frequency produced by the ESG/PSG

  • FLO = LO Frequency

  • FESG/PSGDisplay = Frequency displayed on the ESG/PSG front panel

Frequency | Frequency Offset | FLO | FESG/PSG | FESG/PSGDisplay
18 GHz | 16 GHz | 20 GHz | 2 GHz | 18 GHz
17 GHz | 14 GHz | 20 GHz | 3 GHz | 17 GHz
16 GHz | 12 GHz | 20 GHz | 4 GHz | 16 GHz

Downconversion using the mixer difference products is shown in the following figure. The LO frequency must be between the actual ESG/PSG frequency and twice the ESG/PSG frequency for this condition to occur. Closed Mirror Spectrum must be enabled and the frequency offset must be recalculated each time the frequency is changed.

Here the Frequency Offset calculation is the same as for the low-side upconversion, except that the result will be a negative number.

  • Frequency Offset = FLO – 2*FESG/PSG

Example values for downconversion using the mixer difference products, where:

  • Frequency = N7621 Frequency value, and the actual frequency after conversion

  • Frequency Offset = N7621 Frequency Offset value; also entered into the ESG/PSG

  • FESG/PSG = Actual frequency produced by the ESG/PSG

  • FLO = LO Frequency

  • FESG/PSGDisplay = Frequency displayed on the ESG/PSG front panel

Frequency | Frequency Offset | FLO | FESG/PSG | FESG/PSGDisplay
2 GHz | –6 GHz | 10 GHz | 8 GHz | 2 GHz
2.5 GHz | –5 GHz | 10 GHz | 7.5 GHz | 2.5 GHz
3 GHz | –4 GHz | 10 GHz | 7 GHz | 3 GHz


gpibaddress

To view the signal generator's connection information:

On the ESG/PSG, press Utility > GPIB/RS-232/LAN.

On the N5182A MXG, press Utility > I/O Config > GPIB Setup.


Harmonic Filter Affects

There are several harmonic filters in the PSG that switch in and out of the RF signal path based on the signal generator's frequency. If the frequency is set too low, the harmonic filter in that particular signal path produces a clipped amplitude response. In the figure below, a 200 MHz wide noise power ratio (NPR) signal created with the E8267D-016 Wideband differential external I/Q inputs and the N8241A Wideband Arb has a 13 dB "droop". The Amplitude Accuracy Adjustment is not enabled and no corrections have been applied.

As shown in the table below, changing the PSG carrier frequency from 1.0 GHz to 1.000001 GHz causes the RF signal path to switch from the 1040 MHz low-pass filter to the 1.6 GHz low-pass filter, which is the next higher frequency filter. The result is a signal with a much flatter amplitude response, as shown below.

Carrier frequency | Nominal filter cutoff frequencies
≤ 250 MHz | 300 MHz low-pass filter
> 250 to 396 MHz | 220 to 420 MHz band pass filter
> 396 to 628 MHz | 350 to 650 MHz band pass filter
> 628 to 1000 MHz | 1040 MHz low-pass filter
> 1.0 to 1.5 GHz | 1.6 GHz low-pass filter

The PSG signal generator has a function that allows you to adjust the harmonic filter switch points. It can be accessed from the N7621 PSG Signal Generator control panel or through the API. The choices for the Harmonic Filter Switch Point are Normal and Wide. Selecting Wide causes the harmonic filters to switch sooner (lower frequency) to provide more RF signal bandwidth. However, this earlier switching may increase harmonic levels.

  • Normal - The lowband harmonic filters switch in and out normally. This position provides a possible 160 MHz RF bandwidth at the filter 3 dB point.

  • Wide - The lowband harmonic filters switch points are changed to allow wider IQ signals to pass. This position provides over 160 MHz RF bandwidth at the filter 3 dB point.

The N7621 Multitone Distortion Software does not control the Harmonic Filter Switch Point parameter. The default/reset value is normal. The user must set the switch point to wide if necessary.

The SCPI command to change the Harmonic filter switch points is

:OUTP:MOD:LOWB:BAND [WID|NORM]

:OUTP:MOD:LOWB:BAND?


Multiple Suppression Bands

A good time to use multiple suppression bands is for signals with unequally spaced tones. The correction measurement can be made much more efficient by anticipating where the distortion products will be instead of just correcting across a single large band.

In this example, there are 8 equally spaced tones about the carrier. The tone spacing is 10 kHz. There is one additional tone at 1 MHz offset from the carrier. Notice there are 5 suppression bands. The first suppression band (-1.25 MHz to -0.75 MHz) anticipates the image signal from the tone at 1 MHz offset from the carrier. The second suppression band (-160 kHz to 160 kHz) anticipates IMD from the 8 equally spaced tones about the carrier. The third suppression band (0.75 MHz to 1.25 MHz) anticipates IMD mixing around the 1 MHz tone. The final 2 suppression bands are based on the third order mixing products of the 8 tones about the carrier and the tone at 1 MHz offset.

Here is the signal before correction. Note the high-level distortion products at all of the anticipated places. Also note that between the anticipated bands that the distortion is very minor and does not need to be corrected. Shown is the spectral view and the N7621B correction panel.

Signal before correction

Signal with IMD at the start of correction

Spectral view of the corrected signal and the N7621B Correction Panel

Correction complete


Multitone Software

Step 5 - Downloading and Installing Signal Studio Software

Installation: 1 2 3 4 5 6 7

Click the link below to download the setup.exe file that steps you through the installation process. At the prompt, select Run to install the software directly, or select Save to save a copy to your PC.

Download Now

To download the software onto your PC, you must have administrator privileges. If you receive an access denied message, consult your system administrator for the required permissions. See User Permissions.

Related Topics

User Permissions


NPR Noise Offset

Range: -312.5 MHz to +312.5 MHz, System Dependent
Default: 0 Hz

Move the center of the noise bandwidth relative to the carrier. This allows the notch to be in the center of the noise bandwidth without the carrier leakage. Image tones may be visible in the notch of an uncorrected signal but these are much easier to suppress.

The Noise Bandwidth must be less than the maximum available bandwidth to be able to offset it. The noise offset frequency resolution is determined by the tone spacing.

Coupled Parameters:

Frequency – Manually set the Noise Offset when generating multiple signals for use in a sequence. Other wise the noise signal will appear to change frequencies about the carrier.

IQ Skew – Use to minimize images.

IQ Gain Balance – Use to minimize images.

Normal NPR Signal with exaggerated carrier leakage, Noise Offset is 0 Hz

Here is the same NPR signal except the Noise Offset is -3.7 MHz. The carrier has been moved out of the notch. The pedestals in the notch and on the right side of the noise signal are caused by images. In this case the IQ Skew parameter was adjusted to exaggerate the images.

Same NPR Signal with exaggerated carrier leakage, Noise Offset is -3.7 Hz

Same NPR Signal with exaggerated carrier leakage, Noise Offset is -3.7 Hz, IQ Skew removed


NPR Reduce Test Complexity

Reduce Test Complexity

Simplified test setup

Vector modulation saves time and reduces capital equipment costs compared to traditional analog techniques for generating NPR test signals. Instead of using a noise generator, continuous-wave signal generator, upconverter, and band pass filter to generate a NPR test stimulus, now you can use a single vector signal generator to create all your test signals. Vector signal generators employ I/Q modulation to deliver an accurate and repeatable NPR test stimulus that can easily be configured to perform a variety of nonlinear distortion measurements.

Rather than making hardware modifications to change the test stimulus, such as switching band pass filters, different NPR test signals are created mathematically using the Signal Studio for NPR software. Changing signal parameters, like noise bandwidth and notch characteristics, is reduced to a few mouse clicks.

Return to top


NPR Reduce Test Uncertainty

Reduce Test Uncertainty

Graphic

Return to top


Reduce Carrier Feedthrough

  1. Configure the Closed Multitone Settings as follows:

  • Place Tone on Carrier = Off

Notice that the Tone Frequency Resolution is set to 500 KHz.

  2. Click [image] to Download then [image] to Play the waveform.

Refer to the figure below and notice the carrier leakage signal at 10 MHz. (Should this be 10 GHz?)

  3. Configure the analyzer as follows:

  • Select Marker

  • Place the marker on the 10 GHz tone

  • Set ResBW = 10 KHz (for quicker update of the analyzer)

  4. Configure the PSG as follows:

  • Press Local

  • Press IQ

  • Select I/Q Adjustment from the softkey menu

  • Set I/Q Adjustment = On

  5. Select then adjust the I offset until a minimum on the carrier feedthrough signal is reached.

  6. Select then adjust the Q offset until a minimum on the carrier feedthrough signal is reached.

  7. Repeat individual I and Q adjustments until no further reduction is noticeable.

  8. From the Closed Signal Generator pane, press Closed Update from Instrument.

This will input the I and Q offset values from the PSG into the application and will be used in subsequent downloads.

Carrier feedthrough is approximately 65 dBc for a single tone. For multitone signals this ratio is 65 - 10*log10 (# of tones) dBc.

For example, for 10 tones this is 55 dBc; for 100 tones it is 45 dBc

Raw image performance of the internal Arb is approximately -40 dBc at a 40 MHz offset. Raw AWG image performance is dependent on cable matching and may be about -25 dBc at a 500 MHz offset. To improve image performance without corrections enabled see the parameters IQ Skew and IQ Gain Balance in the Waveform section of the Multitone and NPR application. Use the Control > Play Test Signal menu to create a test signal for image suppression. Image performance should be able to be improved to -40 dBc at a 500 MHz offset using these parameters.

Return to top


RF Filter Switch Point Examples

The following pictures show the benefit of enabling the Tools > Options >UseShift RF Filter Switch Points option using both the external arb and the internal arb for wide bandwidth signals.

400 MHz wide chirp generated using a PSG-D with option 016, N8241A Wideband Arb, Default RF Filter Switch Points

400 MHz wide chirp generated using a PSG-D with option 016, N8241A Wideband Arb, Shift RF Filter Switch Points enabled

Internal Arb, Multitone Signal, 80 MHz BW, 1 GHz

Shifting the filter switch point can also be useful when using an internal arb. The yellow trace shows the shifted switch point; the blue trace shows the default switch point.


Software License Redemption

  1. Go to the Keysight Software License Redemption web page:
    http://www.keysight.com/find/softwarelicense    .

  2. Follow the directions on the website and be prepared to enter the following information:

  • order number

  • certificate number

  • model number

  • serial number

  • a valid email address

  3. You will promptly receive an email with the license file attached.


System

The System menu consists of the following menu items:

Click on any of the menu items to navigate to that topic description.

These menu items are used to configure the I/O (input/output) instrument interfaces and establish communication between the PC, signal generator, and spectrum/signal analyzer. Interface connections available include GPIB and LAN. You can also view the system details of the current hardware configuration, view the connection diagrams of supported systems, run an instrument self test, or change to a simulated hardware configuration.

The signal generator menu item uses the dialog window shown below for I/O configuration. The analyzer uses an identical dialog form for I/O connection.

Change hardware connections

This menu item starts the System Configuration Wizard at Closed step 2, where you select a specific system from a list of configured systems, or configure a new hardware system.

Run System Configuration wizard

This menu item starts the System Configuration Wizard, where you configure a new hardware system from a list of supported configurations. You also access this from the Connect to Instrument button [image] on the tool bar.


Trial License Availability

Trial licenses are available for the following instruments:

  • Keysight N5182A MXG signal generator

  • Keysight E4438C ESG signal generator

  • Keysight E8267D PSG signal generator


Understanding CCDF Curves

To better understand CCDF curves, this discussion uses a 50001-tone NPR signal as an example. Figure A shows the power versus time plot of the NPR signal. This plot represents the instantaneous envelope power defined by the equation: Power = I2 + Q2 where I and Q are the in-phase and quadrature components of the waveform.

Figure A

Unfortunately, the signal in the form shown in Figure A is difficult to quantify because of its inherent randomness and inconsistencies. In order to extract useful information from this noise-like signal, we need a statistical description of the power levels in this signal, and a complementary cumulative distribution function (CCDF) curve provides just that.

A CCDF curve shows how much time the signal spends at or above a given power level. The power level is expressed in dB relative to the average power. For example, each of the lines across the waveform shown in Figure A represents a specific power level above the average. The percentage of time the signal spends at or above each line defines the probability for that particular power level. A CCDF curve is a plot of relative power levels versus probability.

Figure B displays the CCDF curve of the same NPR signal. Here, the x-axis is scaled to dB above the average signal power, which means we are actually measuring the peak-to-average ratios as opposed to absolute power levels. The y-axis is the percent of time the signal spends at or above the power level specified by the x-axis. For example, at t = 1% on the y-axis, the corresponding peak-to-average ratio is 7.5 dB on the x-axis. This means the signal power exceeds the average by at least 7.5 dB for 1 percent of the time. The position of the CCDF curve indicates the degree of peak-to-average deviation, with more stressful signals further to the right.

Figure B


Upgrading Firmware

Downloading Signal Generator Firmware

Failure to follow this procedure may affect the signal generator's compatibility with other software applications.

You may need to upgrade the firmware in your signal generator to run the software (System Requirements). Use the following steps to load the latest version of firmware:

  1. Go to http://www.keysight.com/find/upgradeassistant.

  2. This step is for PSG/ESG only. For all other signal generator models, skip to step 3.

    1. Click the Upgrade Assistant Software link for your instrument and install the program.

  3. Select the latest version of firmware for your signal generator model.

  4. Click the Download button and follow the instructions under How to Install (For PSG/ESG, you must run the PSG/ESG Upgrade Assistant to complete the installation).

Downloading Analyzer Firmware

Failure to follow this procedure may affect the signal generator's compatibility with other software applications.

You may need to upgrade the firmware in your spectrum or signal analyzer to run the software (System Requirements). Use the following steps to load the latest version of firmware:

  1. Go to your analyzer's product page (http://www.keysight.com/find/<model number or model name>)

  2. Click Technical Support > Drivers, Firmware & Software.

  3. Select your analyzer's Instrument Firmware/Software link from the list.

  4. Click the Download button to get the latest version of your instrument's firmware/software. Click the link under How to Install for more information.

Related Topics

System Requirements


Using the Software

Tutorials | provides several exercises designed to help you become familiar with the software.
User Interface | describes the features of the software including OFDMA and signal configuration parameters, signal generator settings, and frame configuration parameters.
API Control | provides information on using the Microsoft .NET-based application programming interface (API).
Troubleshooting | gives help on software, interface, instrument, and VSA compatibility problems.


welcome_dialog_popup

Select New hardware configuration, then click OK.